package org.acra.collector;

import java.util.Set;
import org.acra.ReportField;
import org.acra.builder.ReportBuilder;
import org.acra.model.Element;

/* access modifiers changed from: package-private */
public abstract class Collector {
    private final ReportField[] reportFields;

    Collector(ReportField... reportFieldArr) {
        this.reportFields = reportFieldArr;
    }

    /* access modifiers changed from: package-private */
    public final ReportField[] canCollect() {
        return this.reportFields;
    }

    /* access modifiers changed from: package-private */
    public abstract Element collect(ReportField reportField, ReportBuilder reportBuilder);

    /* access modifiers changed from: package-private */
    public boolean shouldCollect(Set<ReportField> set, ReportField reportField, ReportBuilder reportBuilder) {
        return set.contains(reportField);
    }
}
