package org.acra.collector;

import org.acra.ACRAConstants;
import org.acra.ReportField;
import org.acra.builder.ReportBuilder;
import org.acra.model.ComplexElement;
import org.acra.model.Element;
import org.json.JSONException;

/* access modifiers changed from: package-private */
public final class ThreadCollector extends Collector {
    ThreadCollector() {
        super(ReportField.THREAD_DETAILS);
    }

    /* access modifiers changed from: package-private */
    @Override // org.acra.collector.Collector
    public Element collect(ReportField reportField, ReportBuilder reportBuilder) {
        Thread uncaughtExceptionThread = reportBuilder.getUncaughtExceptionThread();
        ComplexElement complexElement = new ComplexElement();
        if (uncaughtExceptionThread == null) {
            return ACRAConstants.NOT_AVAILABLE;
        }
        try {
            complexElement.put("id", uncaughtExceptionThread.getId());
            complexElement.put("name", uncaughtExceptionThread.getName());
            complexElement.put("priority", uncaughtExceptionThread.getPriority());
            if (uncaughtExceptionThread.getThreadGroup() != null) {
                complexElement.put("groupName", uncaughtExceptionThread.getThreadGroup().getName());
            }
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return complexElement;
    }
}
