package org.acra.model;

import java.util.Map;
import org.acra.util.JsonUtils;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class ComplexElement extends JSONObject implements Element {
    public ComplexElement() {
    }

    private static String[] getNames(JSONObject jSONObject) {
        JSONArray names = jSONObject.names();
        if (names == null) {
            return new String[0];
        }
        String[] strArr = new String[names.length()];
        for (int i = 0; i < names.length(); i++) {
            strArr[i] = names.getString(i);
        }
        return strArr;
    }

    @Override // org.acra.model.Element
    public String[] flatten() {
        try {
            return (String[]) JsonUtils.flatten(this).toArray(new String[0]);
        } catch (JSONException unused) {
            return new String[0];
        }
    }

    @Override // org.acra.model.Element
    public Object value() {
        return this;
    }

    public ComplexElement(String str) {
        super(str);
    }

    public ComplexElement(Map<String, ?> map) {
        super(map);
    }

    public ComplexElement(JSONObject jSONObject) {
        super(jSONObject, getNames(jSONObject));
    }
}
