package org.acra.security;

import android.content.Context;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import org.acra.ACRA;
import org.acra.log.ACRALog;

final class FileKeyStoreFactory extends BaseKeyStoreFactory {
    private final String filePath;

    FileKeyStoreFactory(String str, String str2) {
        super(str);
        this.filePath = str2;
    }

    @Override // org.acra.security.BaseKeyStoreFactory
    public InputStream getInputStream(Context context) {
        try {
            return new FileInputStream(this.filePath);
        } catch (FileNotFoundException e2) {
            ACRALog aCRALog = ACRA.log;
            String str = ACRA.LOG_TAG;
            aCRALog.e(str, "Could not find File " + this.filePath, e2);
            return null;
        }
    }
}
