package org.acra.sender;

import android.content.Context;
import android.content.Intent;
import org.acra.ACRA;
import org.acra.config.ACRAConfiguration;

public class SenderServiceStarter {
    private final ACRAConfiguration config;
    private final Context context;

    public SenderServiceStarter(Context context2, ACRAConfiguration aCRAConfiguration) {
        this.context = context2;
        this.config = aCRAConfiguration;
    }

    public void startService(boolean z, boolean z2) {
        if (ACRA.DEV_LOGGING) {
            ACRA.log.d(ACRA.LOG_TAG, "About to start SenderService");
        }
        Intent intent = new Intent(this.context, SenderService.class);
        intent.putExtra(SenderService.EXTRA_ONLY_SEND_SILENT_REPORTS, z);
        intent.putExtra(SenderService.EXTRA_APPROVE_REPORTS_FIRST, z2);
        intent.putExtra(SenderService.EXTRA_ACRA_CONFIG, this.config);
        this.context.startService(intent);
    }
}
