package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.d;
import android.support.v4.media.e;
import android.support.v4.media.session.MediaSessionCompat;
import android.text.TextUtils;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Parcelable.Creator<MediaDescriptionCompat> CREATOR = new a();

    /* renamed from: b  reason: collision with root package name */
    private final String f17b;

    /* renamed from: c  reason: collision with root package name */
    private final CharSequence f18c;

    /* renamed from: d  reason: collision with root package name */
    private final CharSequence f19d;

    /* renamed from: e  reason: collision with root package name */
    private final CharSequence f20e;

    /* renamed from: f  reason: collision with root package name */
    private final Bitmap f21f;
    private final Uri g;
    private final Bundle h;
    private final Uri i;
    private Object j;

    static class a implements Parcelable.Creator<MediaDescriptionCompat> {
        a() {
        }

        /* renamed from: a */
        public MediaDescriptionCompat createFromParcel(Parcel parcel) {
            if (Build.VERSION.SDK_INT < 21) {
                return new MediaDescriptionCompat(parcel);
            }
            return MediaDescriptionCompat.a(d.a(parcel));
        }

        /* renamed from: b */
        public MediaDescriptionCompat[] newArray(int i) {
            return new MediaDescriptionCompat[i];
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private String f22a;

        /* renamed from: b  reason: collision with root package name */
        private CharSequence f23b;

        /* renamed from: c  reason: collision with root package name */
        private CharSequence f24c;

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f25d;

        /* renamed from: e  reason: collision with root package name */
        private Bitmap f26e;

        /* renamed from: f  reason: collision with root package name */
        private Uri f27f;
        private Bundle g;
        private Uri h;

        public MediaDescriptionCompat a() {
            return new MediaDescriptionCompat(this.f22a, this.f23b, this.f24c, this.f25d, this.f26e, this.f27f, this.g, this.h);
        }

        public b b(CharSequence charSequence) {
            this.f25d = charSequence;
            return this;
        }

        public b c(Bundle bundle) {
            this.g = bundle;
            return this;
        }

        public b d(Bitmap bitmap) {
            this.f26e = bitmap;
            return this;
        }

        public b e(Uri uri) {
            this.f27f = uri;
            return this;
        }

        public b f(String str) {
            this.f22a = str;
            return this;
        }

        public b g(Uri uri) {
            this.h = uri;
            return this;
        }

        public b h(CharSequence charSequence) {
            this.f24c = charSequence;
            return this;
        }

        public b i(CharSequence charSequence) {
            this.f23b = charSequence;
            return this;
        }
    }

    MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.f17b = str;
        this.f18c = charSequence;
        this.f19d = charSequence2;
        this.f20e = charSequence3;
        this.f21f = bitmap;
        this.g = uri;
        this.h = bundle;
        this.i = uri2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x006d  */
    public static MediaDescriptionCompat a(Object obj) {
        int i2;
        Uri uri;
        Bundle bundle = null;
        if (obj == null || (i2 = Build.VERSION.SDK_INT) < 21) {
            return null;
        }
        b bVar = new b();
        bVar.f(d.f(obj));
        bVar.i(d.h(obj));
        bVar.h(d.g(obj));
        bVar.b(d.b(obj));
        bVar.d(d.d(obj));
        bVar.e(d.e(obj));
        Bundle c2 = d.c(obj);
        if (c2 != null) {
            MediaSessionCompat.a(c2);
            uri = (Uri) c2.getParcelable("android.support.v4.media.description.MEDIA_URI");
        } else {
            uri = null;
        }
        if (uri != null) {
            if (!c2.containsKey("android.support.v4.media.description.NULL_BUNDLE_FLAG") || c2.size() != 2) {
                c2.remove("android.support.v4.media.description.MEDIA_URI");
                c2.remove("android.support.v4.media.description.NULL_BUNDLE_FLAG");
            }
            bVar.c(bundle);
            if (uri == null) {
                bVar.g(uri);
            } else if (i2 >= 23) {
                bVar.g(e.a(obj));
            }
            MediaDescriptionCompat a2 = bVar.a();
            a2.j = obj;
            return a2;
        }
        bundle = c2;
        bVar.c(bundle);
        if (uri == null) {
        }
        MediaDescriptionCompat a22 = bVar.a();
        a22.j = obj;
        return a22;
    }

    public Object b() {
        int i2;
        Object obj = this.j;
        if (obj != null || (i2 = Build.VERSION.SDK_INT) < 21) {
            return obj;
        }
        Object b2 = d.a.b();
        d.a.g(b2, this.f17b);
        d.a.i(b2, this.f18c);
        d.a.h(b2, this.f19d);
        d.a.c(b2, this.f20e);
        d.a.e(b2, this.f21f);
        d.a.f(b2, this.g);
        Bundle bundle = this.h;
        if (i2 < 23 && this.i != null) {
            if (bundle == null) {
                bundle = new Bundle();
                bundle.putBoolean("android.support.v4.media.description.NULL_BUNDLE_FLAG", true);
            }
            bundle.putParcelable("android.support.v4.media.description.MEDIA_URI", this.i);
        }
        d.a.d(b2, bundle);
        if (i2 >= 23) {
            e.a.a(b2, this.i);
        }
        Object a2 = d.a.a(b2);
        this.j = a2;
        return a2;
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return ((Object) this.f18c) + ", " + ((Object) this.f19d) + ", " + ((Object) this.f20e);
    }

    public void writeToParcel(Parcel parcel, int i2) {
        if (Build.VERSION.SDK_INT < 21) {
            parcel.writeString(this.f17b);
            TextUtils.writeToParcel(this.f18c, parcel, i2);
            TextUtils.writeToParcel(this.f19d, parcel, i2);
            TextUtils.writeToParcel(this.f20e, parcel, i2);
            parcel.writeParcelable(this.f21f, i2);
            parcel.writeParcelable(this.g, i2);
            parcel.writeBundle(this.h);
            parcel.writeParcelable(this.i, i2);
            return;
        }
        d.i(b(), parcel, i2);
    }

    MediaDescriptionCompat(Parcel parcel) {
        this.f17b = parcel.readString();
        this.f18c = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f19d = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f20e = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        ClassLoader classLoader = MediaDescriptionCompat.class.getClassLoader();
        this.f21f = (Bitmap) parcel.readParcelable(classLoader);
        this.g = (Uri) parcel.readParcelable(classLoader);
        this.h = parcel.readBundle(classLoader);
        this.i = (Uri) parcel.readParcelable(classLoader);
    }
}
