package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.session.g;
import android.text.TextUtils;
import java.util.ArrayList;
import java.util.List;

public final class PlaybackStateCompat implements Parcelable {
    public static final Parcelable.Creator<PlaybackStateCompat> CREATOR = new a();

    /* renamed from: b  reason: collision with root package name */
    final int f49b;

    /* renamed from: c  reason: collision with root package name */
    final long f50c;

    /* renamed from: d  reason: collision with root package name */
    final long f51d;

    /* renamed from: e  reason: collision with root package name */
    final float f52e;

    /* renamed from: f  reason: collision with root package name */
    final long f53f;
    final int g;
    final CharSequence h;
    final long i;
    List<CustomAction> j;
    final long k;
    final Bundle l;
    private Object m;

    static class a implements Parcelable.Creator<PlaybackStateCompat> {
        a() {
        }

        /* renamed from: a */
        public PlaybackStateCompat createFromParcel(Parcel parcel) {
            return new PlaybackStateCompat(parcel);
        }

        /* renamed from: b */
        public PlaybackStateCompat[] newArray(int i) {
            return new PlaybackStateCompat[i];
        }
    }

    PlaybackStateCompat(int i2, long j2, long j3, float f2, long j4, int i3, CharSequence charSequence, long j5, List<CustomAction> list, long j6, Bundle bundle) {
        this.f49b = i2;
        this.f50c = j2;
        this.f51d = j3;
        this.f52e = f2;
        this.f53f = j4;
        this.g = i3;
        this.h = charSequence;
        this.i = j5;
        this.j = new ArrayList(list);
        this.k = j6;
        this.l = bundle;
    }

    public static PlaybackStateCompat a(Object obj) {
        ArrayList arrayList;
        int i2 = Build.VERSION.SDK_INT;
        Bundle bundle = null;
        if (obj == null || i2 < 21) {
            return null;
        }
        List<Object> d2 = g.d(obj);
        if (d2 != null) {
            ArrayList arrayList2 = new ArrayList(d2.size());
            for (Object obj2 : d2) {
                arrayList2.add(CustomAction.a(obj2));
            }
            arrayList = arrayList2;
        } else {
            arrayList = null;
        }
        if (i2 >= 22) {
            bundle = h.a(obj);
        }
        PlaybackStateCompat playbackStateCompat = new PlaybackStateCompat(g.i(obj), g.h(obj), g.c(obj), g.g(obj), g.a(obj), 0, g.e(obj), g.f(obj), arrayList, g.b(obj), bundle);
        playbackStateCompat.m = obj;
        return playbackStateCompat;
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return "PlaybackState {" + "state=" + this.f49b + ", position=" + this.f50c + ", buffered position=" + this.f51d + ", speed=" + this.f52e + ", updated=" + this.i + ", actions=" + this.f53f + ", error code=" + this.g + ", error message=" + this.h + ", custom actions=" + this.j + ", active item id=" + this.k + "}";
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f49b);
        parcel.writeLong(this.f50c);
        parcel.writeFloat(this.f52e);
        parcel.writeLong(this.i);
        parcel.writeLong(this.f51d);
        parcel.writeLong(this.f53f);
        TextUtils.writeToParcel(this.h, parcel, i2);
        parcel.writeTypedList(this.j);
        parcel.writeLong(this.k);
        parcel.writeBundle(this.l);
        parcel.writeInt(this.g);
    }

    public static final class CustomAction implements Parcelable {
        public static final Parcelable.Creator<CustomAction> CREATOR = new a();

        /* renamed from: b  reason: collision with root package name */
        private final String f54b;

        /* renamed from: c  reason: collision with root package name */
        private final CharSequence f55c;

        /* renamed from: d  reason: collision with root package name */
        private final int f56d;

        /* renamed from: e  reason: collision with root package name */
        private final Bundle f57e;

        /* renamed from: f  reason: collision with root package name */
        private Object f58f;

        static class a implements Parcelable.Creator<CustomAction> {
            a() {
            }

            /* renamed from: a */
            public CustomAction createFromParcel(Parcel parcel) {
                return new CustomAction(parcel);
            }

            /* renamed from: b */
            public CustomAction[] newArray(int i) {
                return new CustomAction[i];
            }
        }

        CustomAction(String str, CharSequence charSequence, int i, Bundle bundle) {
            this.f54b = str;
            this.f55c = charSequence;
            this.f56d = i;
            this.f57e = bundle;
        }

        public static CustomAction a(Object obj) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            CustomAction customAction = new CustomAction(g.a.a(obj), g.a.d(obj), g.a.c(obj), g.a.b(obj));
            customAction.f58f = obj;
            return customAction;
        }

        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "Action:mName='" + ((Object) this.f55c) + ", mIcon=" + this.f56d + ", mExtras=" + this.f57e;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeString(this.f54b);
            TextUtils.writeToParcel(this.f55c, parcel, i);
            parcel.writeInt(this.f56d);
            parcel.writeBundle(this.f57e);
        }

        CustomAction(Parcel parcel) {
            this.f54b = parcel.readString();
            this.f55c = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f56d = parcel.readInt();
            this.f57e = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        }
    }

    PlaybackStateCompat(Parcel parcel) {
        this.f49b = parcel.readInt();
        this.f50c = parcel.readLong();
        this.f52e = parcel.readFloat();
        this.i = parcel.readLong();
        this.f51d = parcel.readLong();
        this.f53f = parcel.readLong();
        this.h = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.j = parcel.createTypedArrayList(CustomAction.CREATOR);
        this.k = parcel.readLong();
        this.l = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        this.g = parcel.readInt();
    }
}
