package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.Build;
import android.os.Handler;
import android.os.SystemClock;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.view.menu.o;
import androidx.appcompat.widget.i0;
import androidx.appcompat.widget.j0;
import b.a.g;
import b.e.k.p;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: CascadingMenuPopup */
public final class e extends m implements o, View.OnKeyListener, PopupWindow.OnDismissListener {
    private static final int C = g.abc_cascading_menu_item_layout;
    private PopupWindow.OnDismissListener A;
    boolean B;

    /* renamed from: c  reason: collision with root package name */
    private final Context f211c;

    /* renamed from: d  reason: collision with root package name */
    private final int f212d;

    /* renamed from: e  reason: collision with root package name */
    private final int f213e;

    /* renamed from: f  reason: collision with root package name */
    private final int f214f;
    private final boolean g;
    final Handler h;
    private final List<h> i = new ArrayList();
    final List<d> j = new ArrayList();
    final ViewTreeObserver.OnGlobalLayoutListener k = new a();
    private final View.OnAttachStateChangeListener l = new b();
    private final i0 m = new c();
    private int n = 0;
    private int o = 0;
    private View p;
    View q;
    private int r;
    private boolean s;
    private boolean t;
    private int u;
    private int v;
    private boolean w;
    private boolean x;
    private o.a y;
    ViewTreeObserver z;

    /* compiled from: CascadingMenuPopup */
    class a implements ViewTreeObserver.OnGlobalLayoutListener {
        a() {
        }

        public void onGlobalLayout() {
            if (e.this.f() && e.this.j.size() > 0 && !e.this.j.get(0).f222a.p()) {
                View view = e.this.q;
                if (view == null || !view.isShown()) {
                    e.this.dismiss();
                    return;
                }
                for (d dVar : e.this.j) {
                    dVar.f222a.b();
                }
            }
        }
    }

    /* compiled from: CascadingMenuPopup */
    class b implements View.OnAttachStateChangeListener {
        b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = e.this.z;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    e.this.z = view.getViewTreeObserver();
                }
                e eVar = e.this;
                eVar.z.removeGlobalOnLayoutListener(eVar.k);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    /* compiled from: CascadingMenuPopup */
    class c implements i0 {

        /* compiled from: CascadingMenuPopup */
        class a implements Runnable {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ d f218b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ MenuItem f219c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ h f220d;

            a(d dVar, MenuItem menuItem, h hVar) {
                this.f218b = dVar;
                this.f219c = menuItem;
                this.f220d = hVar;
            }

            public void run() {
                d dVar = this.f218b;
                if (dVar != null) {
                    e.this.B = true;
                    dVar.f223b.e(false);
                    e.this.B = false;
                }
                if (this.f219c.isEnabled() && this.f219c.hasSubMenu()) {
                    this.f220d.L(this.f219c, 4);
                }
            }
        }

        c() {
        }

        @Override // androidx.appcompat.widget.i0
        public void a(h hVar, MenuItem menuItem) {
            d dVar = null;
            e.this.h.removeCallbacksAndMessages(null);
            int size = e.this.j.size();
            int i = 0;
            while (true) {
                if (i >= size) {
                    i = -1;
                    break;
                } else if (hVar == e.this.j.get(i).f223b) {
                    break;
                } else {
                    i++;
                }
            }
            if (i != -1) {
                int i2 = i + 1;
                if (i2 < e.this.j.size()) {
                    dVar = e.this.j.get(i2);
                }
                e.this.h.postAtTime(new a(dVar, menuItem, hVar), hVar, SystemClock.uptimeMillis() + 200);
            }
        }

        @Override // androidx.appcompat.widget.i0
        public void c(h hVar, MenuItem menuItem) {
            e.this.h.removeCallbacksAndMessages(hVar);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: CascadingMenuPopup */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final j0 f222a;

        /* renamed from: b  reason: collision with root package name */
        public final h f223b;

        /* renamed from: c  reason: collision with root package name */
        public final int f224c;

        public d(j0 j0Var, h hVar, int i) {
            this.f222a = j0Var;
            this.f223b = hVar;
            this.f224c = i;
        }

        public ListView a() {
            return this.f222a.g();
        }
    }

    public e(Context context, View view, int i2, int i3, boolean z2) {
        this.f211c = context;
        this.p = view;
        this.f213e = i2;
        this.f214f = i3;
        this.g = z2;
        this.w = false;
        this.r = D();
        Resources resources = context.getResources();
        this.f212d = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(b.a.d.abc_config_prefDialogWidth));
        this.h = new Handler();
    }

    private int A(h hVar) {
        int size = this.j.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (hVar == this.j.get(i2).f223b) {
                return i2;
            }
        }
        return -1;
    }

    private MenuItem B(h hVar, h hVar2) {
        int size = hVar.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = hVar.getItem(i2);
            if (item.hasSubMenu() && hVar2 == item.getSubMenu()) {
                return item;
            }
        }
        return null;
    }

    private View C(d dVar, h hVar) {
        int i2;
        g gVar;
        int firstVisiblePosition;
        MenuItem B2 = B(dVar.f223b, hVar);
        if (B2 == null) {
            return null;
        }
        ListView a2 = dVar.a();
        ListAdapter adapter = a2.getAdapter();
        int i3 = 0;
        if (adapter instanceof HeaderViewListAdapter) {
            HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
            i2 = headerViewListAdapter.getHeadersCount();
            gVar = (g) headerViewListAdapter.getWrappedAdapter();
        } else {
            gVar = (g) adapter;
            i2 = 0;
        }
        int count = gVar.getCount();
        while (true) {
            if (i3 >= count) {
                i3 = -1;
                break;
            } else if (B2 == gVar.getItem(i3)) {
                break;
            } else {
                i3++;
            }
        }
        if (i3 != -1 && (firstVisiblePosition = (i3 + i2) - a2.getFirstVisiblePosition()) >= 0 && firstVisiblePosition < a2.getChildCount()) {
            return a2.getChildAt(firstVisiblePosition);
        }
        return null;
    }

    private int D() {
        return p.i(this.p) == 1 ? 0 : 1;
    }

    private int E(int i2) {
        List<d> list = this.j;
        ListView a2 = list.get(list.size() - 1).a();
        int[] iArr = new int[2];
        a2.getLocationOnScreen(iArr);
        Rect rect = new Rect();
        this.q.getWindowVisibleDisplayFrame(rect);
        if (this.r == 1) {
            if (iArr[0] + a2.getWidth() + i2 > rect.right) {
                return 0;
            }
            return 1;
        } else if (iArr[0] - i2 < 0) {
            return 1;
        } else {
            return 0;
        }
    }

    private void F(h hVar) {
        View view;
        d dVar;
        int i2;
        int i3;
        int i4;
        LayoutInflater from = LayoutInflater.from(this.f211c);
        g gVar = new g(hVar, from, this.g, C);
        if (!f() && this.w) {
            gVar.d(true);
        } else if (f()) {
            gVar.d(m.x(hVar));
        }
        int o2 = m.o(gVar, null, this.f211c, this.f212d);
        j0 z2 = z();
        z2.r(gVar);
        z2.v(o2);
        z2.w(this.o);
        if (this.j.size() > 0) {
            List<d> list = this.j;
            dVar = list.get(list.size() - 1);
            view = C(dVar, hVar);
        } else {
            dVar = null;
            view = null;
        }
        if (view != null) {
            z2.M(false);
            z2.J(null);
            int E = E(o2);
            boolean z3 = E == 1;
            this.r = E;
            if (Build.VERSION.SDK_INT >= 26) {
                z2.s(view);
                i3 = 0;
                i2 = 0;
            } else {
                int[] iArr = new int[2];
                this.p.getLocationOnScreen(iArr);
                int[] iArr2 = new int[2];
                view.getLocationOnScreen(iArr2);
                if ((this.o & 7) == 5) {
                    iArr[0] = iArr[0] + this.p.getWidth();
                    iArr2[0] = iArr2[0] + view.getWidth();
                }
                i2 = iArr2[0] - iArr[0];
                i3 = iArr2[1] - iArr[1];
            }
            if ((this.o & 5) != 5) {
                if (z3) {
                    o2 = view.getWidth();
                }
                i4 = i2 - o2;
                z2.y(i4);
                z2.D(true);
                z2.H(i3);
            } else if (!z3) {
                o2 = view.getWidth();
                i4 = i2 - o2;
                z2.y(i4);
                z2.D(true);
                z2.H(i3);
            }
            i4 = i2 + o2;
            z2.y(i4);
            z2.D(true);
            z2.H(i3);
        } else {
            if (this.s) {
                z2.y(this.u);
            }
            if (this.t) {
                z2.H(this.v);
            }
            z2.x(n());
        }
        this.j.add(new d(z2, hVar, this.r));
        z2.b();
        ListView g2 = z2.g();
        g2.setOnKeyListener(this);
        if (dVar == null && this.x && hVar.x() != null) {
            FrameLayout frameLayout = (FrameLayout) from.inflate(g.abc_popup_menu_header_item_layout, (ViewGroup) g2, false);
            frameLayout.setEnabled(false);
            ((TextView) frameLayout.findViewById(16908310)).setText(hVar.x());
            g2.addHeaderView(frameLayout, null, false);
            z2.b();
        }
    }

    private j0 z() {
        j0 j0Var = new j0(this.f211c, null, this.f213e, this.f214f);
        j0Var.L(this.m);
        j0Var.C(this);
        j0Var.B(this);
        j0Var.s(this.p);
        j0Var.w(this.o);
        j0Var.A(true);
        j0Var.z(2);
        return j0Var;
    }

    @Override // androidx.appcompat.view.menu.o
    public void a(h hVar, boolean z2) {
        int A2 = A(hVar);
        if (A2 >= 0) {
            int i2 = A2 + 1;
            if (i2 < this.j.size()) {
                this.j.get(i2).f223b.e(false);
            }
            d remove = this.j.remove(A2);
            remove.f223b.O(this);
            if (this.B) {
                remove.f222a.K(null);
                remove.f222a.t(0);
            }
            remove.f222a.dismiss();
            int size = this.j.size();
            if (size > 0) {
                this.r = this.j.get(size - 1).f224c;
            } else {
                this.r = D();
            }
            if (size == 0) {
                dismiss();
                o.a aVar = this.y;
                if (aVar != null) {
                    aVar.a(hVar, true);
                }
                ViewTreeObserver viewTreeObserver = this.z;
                if (viewTreeObserver != null) {
                    if (viewTreeObserver.isAlive()) {
                        this.z.removeGlobalOnLayoutListener(this.k);
                    }
                    this.z = null;
                }
                this.q.removeOnAttachStateChangeListener(this.l);
                this.A.onDismiss();
            } else if (z2) {
                this.j.get(0).f223b.e(false);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public void b() {
        if (!f()) {
            for (h hVar : this.i) {
                F(hVar);
            }
            this.i.clear();
            View view = this.p;
            this.q = view;
            if (view != null) {
                boolean z2 = this.z == null;
                ViewTreeObserver viewTreeObserver = view.getViewTreeObserver();
                this.z = viewTreeObserver;
                if (z2) {
                    viewTreeObserver.addOnGlobalLayoutListener(this.k);
                }
                this.q.addOnAttachStateChangeListener(this.l);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.o
    public boolean c() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.s
    public void dismiss() {
        int size = this.j.size();
        if (size > 0) {
            d[] dVarArr = (d[]) this.j.toArray(new d[size]);
            for (int i2 = size - 1; i2 >= 0; i2--) {
                d dVar = dVarArr[i2];
                if (dVar.f222a.f()) {
                    dVar.f222a.dismiss();
                }
            }
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public boolean f() {
        return this.j.size() > 0 && this.j.get(0).f222a.f();
    }

    @Override // androidx.appcompat.view.menu.s
    public ListView g() {
        if (this.j.isEmpty()) {
            return null;
        }
        List<d> list = this.j;
        return list.get(list.size() - 1).a();
    }

    @Override // androidx.appcompat.view.menu.o
    public void i(o.a aVar) {
        this.y = aVar;
    }

    @Override // androidx.appcompat.view.menu.o
    public boolean j(u uVar) {
        for (d dVar : this.j) {
            if (uVar == dVar.f223b) {
                dVar.a().requestFocus();
                return true;
            }
        }
        if (!uVar.hasVisibleItems()) {
            return false;
        }
        l(uVar);
        o.a aVar = this.y;
        if (aVar != null) {
            aVar.b(uVar);
        }
        return true;
    }

    @Override // androidx.appcompat.view.menu.o
    public void k(boolean z2) {
        for (d dVar : this.j) {
            m.y(dVar.a().getAdapter()).notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void l(h hVar) {
        hVar.c(this, this.f211c);
        if (f()) {
            F(hVar);
        } else {
            this.i.add(hVar);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.view.menu.m
    public boolean m() {
        return false;
    }

    public void onDismiss() {
        d dVar;
        int size = this.j.size();
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                dVar = null;
                break;
            }
            dVar = this.j.get(i2);
            if (!dVar.f222a.f()) {
                break;
            }
            i2++;
        }
        if (dVar != null) {
            dVar.f223b.e(false);
        }
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // androidx.appcompat.view.menu.m
    public void p(View view) {
        if (this.p != view) {
            this.p = view;
            this.o = b.e.k.c.a(this.n, p.i(view));
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void r(boolean z2) {
        this.w = z2;
    }

    @Override // androidx.appcompat.view.menu.m
    public void s(int i2) {
        if (this.n != i2) {
            this.n = i2;
            this.o = b.e.k.c.a(i2, p.i(this.p));
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void t(int i2) {
        this.s = true;
        this.u = i2;
    }

    @Override // androidx.appcompat.view.menu.m
    public void u(PopupWindow.OnDismissListener onDismissListener) {
        this.A = onDismissListener;
    }

    @Override // androidx.appcompat.view.menu.m
    public void v(boolean z2) {
        this.x = z2;
    }

    @Override // androidx.appcompat.view.menu.m
    public void w(int i2) {
        this.t = true;
        this.v = i2;
    }
}
