package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import java.lang.reflect.Method;

/* compiled from: MenuItemWrapperICS */
public class k extends c<b.e.f.a.b> implements MenuItem {

    /* renamed from: e  reason: collision with root package name */
    private Method f254e;

    /* access modifiers changed from: package-private */
    /* compiled from: MenuItemWrapperICS */
    public class a extends b.e.k.b {

        /* renamed from: b  reason: collision with root package name */
        final ActionProvider f255b;

        public a(Context context, ActionProvider actionProvider) {
            super(context);
            this.f255b = actionProvider;
        }

        @Override // b.e.k.b
        public boolean a() {
            return this.f255b.hasSubMenu();
        }

        @Override // b.e.k.b
        public View c() {
            return this.f255b.onCreateActionView();
        }

        @Override // b.e.k.b
        public boolean e() {
            return this.f255b.onPerformDefaultAction();
        }

        @Override // b.e.k.b
        public void f(SubMenu subMenu) {
            this.f255b.onPrepareSubMenu(k.this.d(subMenu));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    static class b extends FrameLayout implements b.a.m.c {

        /* renamed from: b  reason: collision with root package name */
        final CollapsibleActionView f257b;

        b(View view) {
            super(view.getContext());
            this.f257b = (CollapsibleActionView) view;
            addView(view);
        }

        /* access modifiers changed from: package-private */
        public View a() {
            return (View) this.f257b;
        }

        @Override // b.a.m.c
        public void c() {
            this.f257b.onActionViewExpanded();
        }

        @Override // b.a.m.c
        public void d() {
            this.f257b.onActionViewCollapsed();
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class c extends d<MenuItem.OnActionExpandListener> implements MenuItem.OnActionExpandListener {
        c(MenuItem.OnActionExpandListener onActionExpandListener) {
            super(onActionExpandListener);
        }

        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f210a.onMenuItemActionCollapse(k.this.c(menuItem));
        }

        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f210a.onMenuItemActionExpand(k.this.c(menuItem));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class d extends d<MenuItem.OnMenuItemClickListener> implements MenuItem.OnMenuItemClickListener {
        d(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            super(onMenuItemClickListener);
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f210a.onMenuItemClick(k.this.c(menuItem));
        }
    }

    k(Context context, b.e.f.a.b bVar) {
        super(context, bVar);
    }

    public boolean collapseActionView() {
        return this.f210a.collapseActionView();
    }

    public boolean expandActionView() {
        return this.f210a.expandActionView();
    }

    public ActionProvider getActionProvider() {
        b.e.k.b b2 = this.f210a.b();
        if (b2 instanceof a) {
            return ((a) b2).f255b;
        }
        return null;
    }

    public View getActionView() {
        View actionView = this.f210a.getActionView();
        return actionView instanceof b ? ((b) actionView).a() : actionView;
    }

    public int getAlphabeticModifiers() {
        return this.f210a.getAlphabeticModifiers();
    }

    public char getAlphabeticShortcut() {
        return this.f210a.getAlphabeticShortcut();
    }

    public CharSequence getContentDescription() {
        return this.f210a.getContentDescription();
    }

    public int getGroupId() {
        return this.f210a.getGroupId();
    }

    public Drawable getIcon() {
        return this.f210a.getIcon();
    }

    public ColorStateList getIconTintList() {
        return this.f210a.getIconTintList();
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f210a.getIconTintMode();
    }

    public Intent getIntent() {
        return this.f210a.getIntent();
    }

    public int getItemId() {
        return this.f210a.getItemId();
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f210a.getMenuInfo();
    }

    public int getNumericModifiers() {
        return this.f210a.getNumericModifiers();
    }

    public char getNumericShortcut() {
        return this.f210a.getNumericShortcut();
    }

    public int getOrder() {
        return this.f210a.getOrder();
    }

    public SubMenu getSubMenu() {
        return d(this.f210a.getSubMenu());
    }

    public CharSequence getTitle() {
        return this.f210a.getTitle();
    }

    public CharSequence getTitleCondensed() {
        return this.f210a.getTitleCondensed();
    }

    public CharSequence getTooltipText() {
        return this.f210a.getTooltipText();
    }

    /* access modifiers changed from: package-private */
    public a h(ActionProvider actionProvider) {
        return new a(this.f207b, actionProvider);
    }

    public boolean hasSubMenu() {
        return this.f210a.hasSubMenu();
    }

    public void i(boolean z) {
        try {
            if (this.f254e == null) {
                this.f254e = this.f210a.getClass().getDeclaredMethod("setExclusiveCheckable", Boolean.TYPE);
            }
            this.f254e.invoke(this.f210a, Boolean.valueOf(z));
        } catch (Exception e2) {
            Log.w("MenuItemWrapper", "Error while calling setExclusiveCheckable", e2);
        }
    }

    public boolean isActionViewExpanded() {
        return this.f210a.isActionViewExpanded();
    }

    public boolean isCheckable() {
        return this.f210a.isCheckable();
    }

    public boolean isChecked() {
        return this.f210a.isChecked();
    }

    public boolean isEnabled() {
        return this.f210a.isEnabled();
    }

    public boolean isVisible() {
        return this.f210a.isVisible();
    }

    public MenuItem setActionProvider(ActionProvider actionProvider) {
        this.f210a.a(actionProvider != null ? h(actionProvider) : null);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new b(view);
        }
        this.f210a.setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        this.f210a.setAlphabeticShortcut(c2);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        this.f210a.setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        this.f210a.setChecked(z);
        return this;
    }

    public MenuItem setContentDescription(CharSequence charSequence) {
        this.f210a.setContentDescription(charSequence);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        this.f210a.setEnabled(z);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f210a.setIcon(drawable);
        return this;
    }

    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f210a.setIconTintList(colorStateList);
        return this;
    }

    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f210a.setIconTintMode(mode);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f210a.setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        this.f210a.setNumericShortcut(c2);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f210a.setOnActionExpandListener(onActionExpandListener != null ? new c(onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f210a.setOnMenuItemClickListener(onMenuItemClickListener != null ? new d(onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f210a.setShortcut(c2, c3);
        return this;
    }

    public void setShowAsAction(int i) {
        this.f210a.setShowAsAction(i);
    }

    public MenuItem setShowAsActionFlags(int i) {
        this.f210a.setShowAsActionFlags(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f210a.setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f210a.setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setTooltipText(CharSequence charSequence) {
        this.f210a.setTooltipText(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return this.f210a.setVisible(z);
    }

    public MenuItem setAlphabeticShortcut(char c2, int i) {
        this.f210a.setAlphabeticShortcut(c2, i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i) {
        this.f210a.setIcon(i);
        return this;
    }

    public MenuItem setNumericShortcut(char c2, int i) {
        this.f210a.setNumericShortcut(c2, i);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3, int i, int i2) {
        this.f210a.setShortcut(c2, c3, i, i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i) {
        this.f210a.setTitle(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i) {
        this.f210a.setActionView(i);
        View actionView = this.f210a.getActionView();
        if (actionView instanceof CollapsibleActionView) {
            this.f210a.setActionView(new b(actionView));
        }
        return this;
    }
}
