package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.view.menu.o;
import androidx.appcompat.widget.j0;
import b.a.d;
import b.a.g;
import b.e.k.p;

/* access modifiers changed from: package-private */
/* compiled from: StandardMenuPopup */
public final class t extends m implements PopupWindow.OnDismissListener, AdapterView.OnItemClickListener, o, View.OnKeyListener {
    private static final int w = g.abc_popup_menu_item_layout;

    /* renamed from: c  reason: collision with root package name */
    private final Context f269c;

    /* renamed from: d  reason: collision with root package name */
    private final h f270d;

    /* renamed from: e  reason: collision with root package name */
    private final g f271e;

    /* renamed from: f  reason: collision with root package name */
    private final boolean f272f;
    private final int g;
    private final int h;
    private final int i;
    final j0 j;
    final ViewTreeObserver.OnGlobalLayoutListener k = new a();
    private final View.OnAttachStateChangeListener l = new b();
    private PopupWindow.OnDismissListener m;
    private View n;
    View o;
    private o.a p;
    ViewTreeObserver q;
    private boolean r;
    private boolean s;
    private int t;
    private int u = 0;
    private boolean v;

    /* compiled from: StandardMenuPopup */
    class a implements ViewTreeObserver.OnGlobalLayoutListener {
        a() {
        }

        public void onGlobalLayout() {
            if (t.this.f() && !t.this.j.p()) {
                View view = t.this.o;
                if (view == null || !view.isShown()) {
                    t.this.dismiss();
                } else {
                    t.this.j.b();
                }
            }
        }
    }

    /* compiled from: StandardMenuPopup */
    class b implements View.OnAttachStateChangeListener {
        b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = t.this.q;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    t.this.q = view.getViewTreeObserver();
                }
                t tVar = t.this;
                tVar.q.removeGlobalOnLayoutListener(tVar.k);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    public t(Context context, h hVar, View view, int i2, int i3, boolean z) {
        this.f269c = context;
        this.f270d = hVar;
        this.f272f = z;
        this.f271e = new g(hVar, LayoutInflater.from(context), z, w);
        this.h = i2;
        this.i = i3;
        Resources resources = context.getResources();
        this.g = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(d.abc_config_prefDialogWidth));
        this.n = view;
        this.j = new j0(context, null, i2, i3);
        hVar.c(this, context);
    }

    private boolean z() {
        View view;
        if (f()) {
            return true;
        }
        if (this.r || (view = this.n) == null) {
            return false;
        }
        this.o = view;
        this.j.B(this);
        this.j.C(this);
        this.j.A(true);
        View view2 = this.o;
        boolean z = this.q == null;
        ViewTreeObserver viewTreeObserver = view2.getViewTreeObserver();
        this.q = viewTreeObserver;
        if (z) {
            viewTreeObserver.addOnGlobalLayoutListener(this.k);
        }
        view2.addOnAttachStateChangeListener(this.l);
        this.j.s(view2);
        this.j.w(this.u);
        if (!this.s) {
            this.t = m.o(this.f271e, null, this.f269c, this.g);
            this.s = true;
        }
        this.j.v(this.t);
        this.j.z(2);
        this.j.x(n());
        this.j.b();
        ListView g2 = this.j.g();
        g2.setOnKeyListener(this);
        if (this.v && this.f270d.x() != null) {
            FrameLayout frameLayout = (FrameLayout) LayoutInflater.from(this.f269c).inflate(g.abc_popup_menu_header_item_layout, (ViewGroup) g2, false);
            TextView textView = (TextView) frameLayout.findViewById(16908310);
            if (textView != null) {
                textView.setText(this.f270d.x());
            }
            frameLayout.setEnabled(false);
            g2.addHeaderView(frameLayout, null, false);
        }
        this.j.r(this.f271e);
        this.j.b();
        return true;
    }

    @Override // androidx.appcompat.view.menu.o
    public void a(h hVar, boolean z) {
        if (hVar == this.f270d) {
            dismiss();
            o.a aVar = this.p;
            if (aVar != null) {
                aVar.a(hVar, z);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public void b() {
        if (!z()) {
            throw new IllegalStateException("StandardMenuPopup cannot be used without an anchor");
        }
    }

    @Override // androidx.appcompat.view.menu.o
    public boolean c() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.s
    public void dismiss() {
        if (f()) {
            this.j.dismiss();
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public boolean f() {
        return !this.r && this.j.f();
    }

    @Override // androidx.appcompat.view.menu.s
    public ListView g() {
        return this.j.g();
    }

    @Override // androidx.appcompat.view.menu.o
    public void i(o.a aVar) {
        this.p = aVar;
    }

    @Override // androidx.appcompat.view.menu.o
    public boolean j(u uVar) {
        if (uVar.hasVisibleItems()) {
            n nVar = new n(this.f269c, uVar, this.o, this.f272f, this.h, this.i);
            nVar.j(this.p);
            nVar.g(m.x(uVar));
            nVar.i(this.m);
            this.m = null;
            this.f270d.e(false);
            int k2 = this.j.k();
            int m2 = this.j.m();
            if ((Gravity.getAbsoluteGravity(this.u, p.i(this.n)) & 7) == 5) {
                k2 += this.n.getWidth();
            }
            if (nVar.n(k2, m2)) {
                o.a aVar = this.p;
                if (aVar == null) {
                    return true;
                }
                aVar.b(uVar);
                return true;
            }
        }
        return false;
    }

    @Override // androidx.appcompat.view.menu.o
    public void k(boolean z) {
        this.s = false;
        g gVar = this.f271e;
        if (gVar != null) {
            gVar.notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void l(h hVar) {
    }

    public void onDismiss() {
        this.r = true;
        this.f270d.close();
        ViewTreeObserver viewTreeObserver = this.q;
        if (viewTreeObserver != null) {
            if (!viewTreeObserver.isAlive()) {
                this.q = this.o.getViewTreeObserver();
            }
            this.q.removeGlobalOnLayoutListener(this.k);
            this.q = null;
        }
        this.o.removeOnAttachStateChangeListener(this.l);
        PopupWindow.OnDismissListener onDismissListener = this.m;
        if (onDismissListener != null) {
            onDismissListener.onDismiss();
        }
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // androidx.appcompat.view.menu.m
    public void p(View view) {
        this.n = view;
    }

    @Override // androidx.appcompat.view.menu.m
    public void r(boolean z) {
        this.f271e.d(z);
    }

    @Override // androidx.appcompat.view.menu.m
    public void s(int i2) {
        this.u = i2;
    }

    @Override // androidx.appcompat.view.menu.m
    public void t(int i2) {
        this.j.y(i2);
    }

    @Override // androidx.appcompat.view.menu.m
    public void u(PopupWindow.OnDismissListener onDismissListener) {
        this.m = onDismissListener;
    }

    @Override // androidx.appcompat.view.menu.m
    public void v(boolean z) {
        this.v = z;
    }

    @Override // androidx.appcompat.view.menu.m
    public void w(int i2) {
        this.j.H(i2);
    }
}
