package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import androidx.appcompat.view.menu.s;
import androidx.core.widget.h;
import b.a.j;
import b.e.k.p;
import java.lang.reflect.Method;

/* compiled from: ListPopupWindow */
public class h0 implements s {
    private static Method G;
    private static Method H;
    private static Method I;
    private final b A;
    final Handler B;
    private final Rect C;
    private Rect D;
    private boolean E;
    PopupWindow F;

    /* renamed from: b  reason: collision with root package name */
    private Context f396b;

    /* renamed from: c  reason: collision with root package name */
    private ListAdapter f397c;

    /* renamed from: d  reason: collision with root package name */
    d0 f398d;

    /* renamed from: e  reason: collision with root package name */
    private int f399e;

    /* renamed from: f  reason: collision with root package name */
    private int f400f;
    private int g;
    private int h;
    private int i;
    private boolean j;
    private boolean k;
    private boolean l;
    private int m;
    private boolean n;
    private boolean o;
    int p;
    private View q;
    private int r;
    private DataSetObserver s;
    private View t;
    private Drawable u;
    private AdapterView.OnItemClickListener v;
    private AdapterView.OnItemSelectedListener w;
    final f x;
    private final e y;
    private final d z;

    /* access modifiers changed from: package-private */
    /* compiled from: ListPopupWindow */
    public class a implements AdapterView.OnItemSelectedListener {
        a() {
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
            d0 d0Var;
            if (i != -1 && (d0Var = h0.this.f398d) != null) {
                d0Var.setListSelectionHidden(false);
            }
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ListPopupWindow */
    public class b implements Runnable {
        b() {
        }

        public void run() {
            h0.this.e();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ListPopupWindow */
    public class c extends DataSetObserver {
        c() {
        }

        public void onChanged() {
            if (h0.this.f()) {
                h0.this.b();
            }
        }

        public void onInvalidated() {
            h0.this.dismiss();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ListPopupWindow */
    public class d implements AbsListView.OnScrollListener {
        d() {
        }

        public void onScroll(AbsListView absListView, int i, int i2, int i3) {
        }

        public void onScrollStateChanged(AbsListView absListView, int i) {
            if (i == 1 && !h0.this.o() && h0.this.F.getContentView() != null) {
                h0 h0Var = h0.this;
                h0Var.B.removeCallbacks(h0Var.x);
                h0.this.x.run();
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ListPopupWindow */
    public class e implements View.OnTouchListener {
        e() {
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            PopupWindow popupWindow;
            int action = motionEvent.getAction();
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            if (action == 0 && (popupWindow = h0.this.F) != null && popupWindow.isShowing() && x >= 0 && x < h0.this.F.getWidth() && y >= 0 && y < h0.this.F.getHeight()) {
                h0 h0Var = h0.this;
                h0Var.B.postDelayed(h0Var.x, 250);
                return false;
            } else if (action != 1) {
                return false;
            } else {
                h0 h0Var2 = h0.this;
                h0Var2.B.removeCallbacks(h0Var2.x);
                return false;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ListPopupWindow */
    public class f implements Runnable {
        f() {
        }

        public void run() {
            d0 d0Var = h0.this.f398d;
            if (d0Var != null && p.r(d0Var) && h0.this.f398d.getCount() > h0.this.f398d.getChildCount()) {
                int childCount = h0.this.f398d.getChildCount();
                h0 h0Var = h0.this;
                if (childCount <= h0Var.p) {
                    h0Var.F.setInputMethodMode(2);
                    h0.this.b();
                }
            }
        }
    }

    static {
        Class cls = Boolean.TYPE;
        try {
            G = PopupWindow.class.getDeclaredMethod("setClipToScreenEnabled", cls);
        } catch (NoSuchMethodException unused) {
            Log.i("ListPopupWindow", "Could not find method setClipToScreenEnabled() on PopupWindow. Oh well.");
        }
        try {
            H = PopupWindow.class.getDeclaredMethod("getMaxAvailableHeight", View.class, Integer.TYPE, cls);
        } catch (NoSuchMethodException unused2) {
            Log.i("ListPopupWindow", "Could not find method getMaxAvailableHeight(View, int, boolean) on PopupWindow. Oh well.");
        }
        try {
            I = PopupWindow.class.getDeclaredMethod("setEpicenterBounds", Rect.class);
        } catch (NoSuchMethodException unused3) {
            Log.i("ListPopupWindow", "Could not find method setEpicenterBounds(Rect) on PopupWindow. Oh well.");
        }
    }

    public h0(Context context, AttributeSet attributeSet, int i2) {
        this(context, attributeSet, i2, 0);
    }

    private void E(boolean z2) {
        Method method = G;
        if (method != null) {
            try {
                method.invoke(this.F, Boolean.valueOf(z2));
            } catch (Exception unused) {
                Log.i("ListPopupWindow", "Could not call setClipToScreenEnabled() on PopupWindow. Oh well.");
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v3, resolved type: android.widget.LinearLayout */
    /* JADX WARN: Multi-variable type inference failed */
    private int d() {
        int i2;
        int i3;
        int i4;
        int i5;
        boolean z2 = true;
        if (this.f398d == null) {
            Context context = this.f396b;
            d0 h2 = h(context, !this.E);
            this.f398d = h2;
            Drawable drawable = this.u;
            if (drawable != null) {
                h2.setSelector(drawable);
            }
            this.f398d.setAdapter(this.f397c);
            this.f398d.setOnItemClickListener(this.v);
            this.f398d.setFocusable(true);
            this.f398d.setFocusableInTouchMode(true);
            this.f398d.setOnItemSelectedListener(new a());
            this.f398d.setOnScrollListener(this.z);
            AdapterView.OnItemSelectedListener onItemSelectedListener = this.w;
            if (onItemSelectedListener != null) {
                this.f398d.setOnItemSelectedListener(onItemSelectedListener);
            }
            d0 d0Var = this.f398d;
            View view = this.q;
            if (view != null) {
                LinearLayout linearLayout = new LinearLayout(context);
                linearLayout.setOrientation(1);
                LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-1, 0, 1.0f);
                int i6 = this.r;
                if (i6 == 0) {
                    linearLayout.addView(view);
                    linearLayout.addView(d0Var, layoutParams);
                } else if (i6 != 1) {
                    Log.e("ListPopupWindow", "Invalid hint position " + this.r);
                } else {
                    linearLayout.addView(d0Var, layoutParams);
                    linearLayout.addView(view);
                }
                int i7 = this.f400f;
                if (i7 >= 0) {
                    i5 = Integer.MIN_VALUE;
                } else {
                    i7 = 0;
                    i5 = 0;
                }
                view.measure(View.MeasureSpec.makeMeasureSpec(i7, i5), 0);
                LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) view.getLayoutParams();
                i2 = view.getMeasuredHeight() + layoutParams2.topMargin + layoutParams2.bottomMargin;
                d0Var = linearLayout;
            } else {
                i2 = 0;
            }
            this.F.setContentView(d0Var);
        } else {
            ViewGroup viewGroup = (ViewGroup) this.F.getContentView();
            View view2 = this.q;
            if (view2 != null) {
                LinearLayout.LayoutParams layoutParams3 = (LinearLayout.LayoutParams) view2.getLayoutParams();
                i2 = view2.getMeasuredHeight() + layoutParams3.topMargin + layoutParams3.bottomMargin;
            } else {
                i2 = 0;
            }
        }
        Drawable background = this.F.getBackground();
        if (background != null) {
            background.getPadding(this.C);
            Rect rect = this.C;
            int i8 = rect.top;
            i3 = rect.bottom + i8;
            if (!this.j) {
                this.h = -i8;
            }
        } else {
            this.C.setEmpty();
            i3 = 0;
        }
        if (this.F.getInputMethodMode() != 2) {
            z2 = false;
        }
        int l2 = l(i(), this.h, z2);
        if (this.n || this.f399e == -1) {
            return l2 + i3;
        }
        int i9 = this.f400f;
        if (i9 == -2) {
            int i10 = this.f396b.getResources().getDisplayMetrics().widthPixels;
            Rect rect2 = this.C;
            i4 = View.MeasureSpec.makeMeasureSpec(i10 - (rect2.left + rect2.right), Integer.MIN_VALUE);
        } else if (i9 != -1) {
            i4 = View.MeasureSpec.makeMeasureSpec(i9, 1073741824);
        } else {
            int i11 = this.f396b.getResources().getDisplayMetrics().widthPixels;
            Rect rect3 = this.C;
            i4 = View.MeasureSpec.makeMeasureSpec(i11 - (rect3.left + rect3.right), 1073741824);
        }
        int d2 = this.f398d.d(i4, 0, -1, l2 - i2, -1);
        if (d2 > 0) {
            i2 += i3 + this.f398d.getPaddingTop() + this.f398d.getPaddingBottom();
        }
        return d2 + i2;
    }

    private int l(View view, int i2, boolean z2) {
        Method method = H;
        if (method != null) {
            try {
                return ((Integer) method.invoke(this.F, view, Integer.valueOf(i2), Boolean.valueOf(z2))).intValue();
            } catch (Exception unused) {
                Log.i("ListPopupWindow", "Could not call getMaxAvailableHeightMethod(View, int, boolean) on PopupWindow. Using the public version.");
            }
        }
        return this.F.getMaxAvailableHeight(view, i2);
    }

    private void q() {
        View view = this.q;
        if (view != null) {
            ViewParent parent = view.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.q);
            }
        }
    }

    public void A(boolean z2) {
        this.E = z2;
        this.F.setFocusable(z2);
    }

    public void B(PopupWindow.OnDismissListener onDismissListener) {
        this.F.setOnDismissListener(onDismissListener);
    }

    public void C(AdapterView.OnItemClickListener onItemClickListener) {
        this.v = onItemClickListener;
    }

    public void D(boolean z2) {
        this.l = true;
        this.k = z2;
    }

    public void F(int i2) {
        this.r = i2;
    }

    public void G(int i2) {
        d0 d0Var = this.f398d;
        if (f() && d0Var != null) {
            d0Var.setListSelectionHidden(false);
            d0Var.setSelection(i2);
            if (d0Var.getChoiceMode() != 0) {
                d0Var.setItemChecked(i2, true);
            }
        }
    }

    public void H(int i2) {
        this.h = i2;
        this.j = true;
    }

    public void I(int i2) {
        this.f400f = i2;
    }

    @Override // androidx.appcompat.view.menu.s
    public void b() {
        int d2 = d();
        boolean o2 = o();
        h.b(this.F, this.i);
        boolean z2 = true;
        if (!this.F.isShowing()) {
            int i2 = this.f400f;
            if (i2 == -1) {
                i2 = -1;
            } else if (i2 == -2) {
                i2 = i().getWidth();
            }
            int i3 = this.f399e;
            if (i3 == -1) {
                d2 = -1;
            } else if (i3 != -2) {
                d2 = i3;
            }
            this.F.setWidth(i2);
            this.F.setHeight(d2);
            E(true);
            this.F.setOutsideTouchable(!this.o && !this.n);
            this.F.setTouchInterceptor(this.y);
            if (this.l) {
                h.a(this.F, this.k);
            }
            Method method = I;
            if (method != null) {
                try {
                    method.invoke(this.F, this.D);
                } catch (Exception e2) {
                    Log.e("ListPopupWindow", "Could not invoke setEpicenterBounds on PopupWindow", e2);
                }
            }
            h.c(this.F, i(), this.g, this.h, this.m);
            this.f398d.setSelection(-1);
            if (!this.E || this.f398d.isInTouchMode()) {
                e();
            }
            if (!this.E) {
                this.B.post(this.A);
            }
        } else if (p.r(i())) {
            int i4 = this.f400f;
            if (i4 == -1) {
                i4 = -1;
            } else if (i4 == -2) {
                i4 = i().getWidth();
            }
            int i5 = this.f399e;
            if (i5 == -1) {
                if (!o2) {
                    d2 = -1;
                }
                if (o2) {
                    this.F.setWidth(this.f400f == -1 ? -1 : 0);
                    this.F.setHeight(0);
                } else {
                    this.F.setWidth(this.f400f == -1 ? -1 : 0);
                    this.F.setHeight(-1);
                }
            } else if (i5 != -2) {
                d2 = i5;
            }
            PopupWindow popupWindow = this.F;
            if (this.o || this.n) {
                z2 = false;
            }
            popupWindow.setOutsideTouchable(z2);
            this.F.update(i(), this.g, this.h, i4 < 0 ? -1 : i4, d2 < 0 ? -1 : d2);
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public void dismiss() {
        this.F.dismiss();
        q();
        this.F.setContentView(null);
        this.f398d = null;
        this.B.removeCallbacks(this.x);
    }

    public void e() {
        d0 d0Var = this.f398d;
        if (d0Var != null) {
            d0Var.setListSelectionHidden(true);
            d0Var.requestLayout();
        }
    }

    @Override // androidx.appcompat.view.menu.s
    public boolean f() {
        return this.F.isShowing();
    }

    @Override // androidx.appcompat.view.menu.s
    public ListView g() {
        return this.f398d;
    }

    /* access modifiers changed from: package-private */
    public d0 h(Context context, boolean z2) {
        return new d0(context, z2);
    }

    public View i() {
        return this.t;
    }

    public Drawable j() {
        return this.F.getBackground();
    }

    public int k() {
        return this.g;
    }

    public int m() {
        if (!this.j) {
            return 0;
        }
        return this.h;
    }

    public int n() {
        return this.f400f;
    }

    public boolean o() {
        return this.F.getInputMethodMode() == 2;
    }

    public boolean p() {
        return this.E;
    }

    public void r(ListAdapter listAdapter) {
        DataSetObserver dataSetObserver = this.s;
        if (dataSetObserver == null) {
            this.s = new c();
        } else {
            ListAdapter listAdapter2 = this.f397c;
            if (listAdapter2 != null) {
                listAdapter2.unregisterDataSetObserver(dataSetObserver);
            }
        }
        this.f397c = listAdapter;
        if (listAdapter != null) {
            listAdapter.registerDataSetObserver(this.s);
        }
        d0 d0Var = this.f398d;
        if (d0Var != null) {
            d0Var.setAdapter(this.f397c);
        }
    }

    public void s(View view) {
        this.t = view;
    }

    public void t(int i2) {
        this.F.setAnimationStyle(i2);
    }

    public void u(Drawable drawable) {
        this.F.setBackgroundDrawable(drawable);
    }

    public void v(int i2) {
        Drawable background = this.F.getBackground();
        if (background != null) {
            background.getPadding(this.C);
            Rect rect = this.C;
            this.f400f = rect.left + rect.right + i2;
            return;
        }
        I(i2);
    }

    public void w(int i2) {
        this.m = i2;
    }

    public void x(Rect rect) {
        this.D = rect;
    }

    public void y(int i2) {
        this.g = i2;
    }

    public void z(int i2) {
        this.F.setInputMethodMode(i2);
    }

    public h0(Context context, AttributeSet attributeSet, int i2, int i3) {
        this.f399e = -2;
        this.f400f = -2;
        this.i = 1002;
        this.m = 0;
        this.n = false;
        this.o = false;
        this.p = Integer.MAX_VALUE;
        this.r = 0;
        this.x = new f();
        this.y = new e();
        this.z = new d();
        this.A = new b();
        this.C = new Rect();
        this.f396b = context;
        this.B = new Handler(context.getMainLooper());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.j1, i2, i3);
        this.g = obtainStyledAttributes.getDimensionPixelOffset(j.k1, 0);
        int dimensionPixelOffset = obtainStyledAttributes.getDimensionPixelOffset(j.l1, 0);
        this.h = dimensionPixelOffset;
        if (dimensionPixelOffset != 0) {
            this.j = true;
        }
        obtainStyledAttributes.recycle();
        q qVar = new q(context, attributeSet, i2, i3);
        this.F = qVar;
        qVar.setInputMethodMode(1);
    }
}
