package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import b.c.h;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: AppCompatDrawableManager */
public final class j {
    private static final PorterDuff.Mode g = PorterDuff.Mode.SRC_IN;
    private static j h;
    private static final c i = new c(6);
    private static final int[] j = {b.a.e.abc_textfield_search_default_mtrl_alpha, b.a.e.abc_textfield_default_mtrl_alpha, b.a.e.abc_ab_share_pack_mtrl_alpha};
    private static final int[] k = {b.a.e.abc_ic_commit_search_api_mtrl_alpha, b.a.e.abc_seekbar_tick_mark_material, b.a.e.abc_ic_menu_share_mtrl_alpha, b.a.e.abc_ic_menu_copy_mtrl_am_alpha, b.a.e.abc_ic_menu_cut_mtrl_alpha, b.a.e.abc_ic_menu_selectall_mtrl_alpha, b.a.e.abc_ic_menu_paste_mtrl_am_alpha};
    private static final int[] l = {b.a.e.abc_textfield_activated_mtrl_alpha, b.a.e.abc_textfield_search_activated_mtrl_alpha, b.a.e.abc_cab_background_top_mtrl_alpha, b.a.e.abc_text_cursor_material, b.a.e.abc_text_select_handle_left_mtrl_dark, b.a.e.abc_text_select_handle_middle_mtrl_dark, b.a.e.abc_text_select_handle_right_mtrl_dark, b.a.e.abc_text_select_handle_left_mtrl_light, b.a.e.abc_text_select_handle_middle_mtrl_light, b.a.e.abc_text_select_handle_right_mtrl_light};
    private static final int[] m = {b.a.e.abc_popup_background_mtrl_mult, b.a.e.abc_cab_background_internal_bg, b.a.e.abc_menu_hardkey_panel_mtrl_mult};
    private static final int[] n = {b.a.e.abc_tab_indicator_material, b.a.e.abc_textfield_search_material};
    private static final int[] o = {b.a.e.abc_btn_check_material, b.a.e.abc_btn_radio_material};

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap<Context, h<ColorStateList>> f413a;

    /* renamed from: b  reason: collision with root package name */
    private b.c.a<String, d> f414b;

    /* renamed from: c  reason: collision with root package name */
    private h<String> f415c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakHashMap<Context, b.c.d<WeakReference<Drawable.ConstantState>>> f416d = new WeakHashMap<>(0);

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f417e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f418f;

    /* access modifiers changed from: package-private */
    /* compiled from: AppCompatDrawableManager */
    public static class a implements d {
        a() {
        }

        @Override // androidx.appcompat.widget.j.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return b.a.l.a.a.m(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class b implements d {
        b() {
        }

        @Override // androidx.appcompat.widget.j.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return b.l.a.a.b.a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class c extends b.c.e<Integer, PorterDuffColorFilter> {
        public c(int i) {
            super(i);
        }

        private static int h(int i, PorterDuff.Mode mode) {
            return ((i + 31) * 31) + mode.hashCode();
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter i(int i, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) c(Integer.valueOf(h(i, mode)));
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter j(int i, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) d(Integer.valueOf(h(i, mode)), porterDuffColorFilter);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public interface d {
        Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatDrawableManager */
    public static class e implements d {
        e() {
        }

        @Override // androidx.appcompat.widget.j.d
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return b.l.a.a.h.c(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e2);
                return null;
            }
        }
    }

    private static void A(Drawable drawable, int i2, PorterDuff.Mode mode) {
        if (c0.a(drawable)) {
            drawable = drawable.mutate();
        }
        if (mode == null) {
            mode = g;
        }
        drawable.setColorFilter(r(i2, mode));
    }

    private Drawable B(Context context, int i2, boolean z, Drawable drawable) {
        ColorStateList s = s(context, i2);
        if (s != null) {
            if (c0.a(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable p = androidx.core.graphics.drawable.a.p(drawable);
            androidx.core.graphics.drawable.a.n(p, s);
            PorterDuff.Mode u = u(i2);
            if (u == null) {
                return p;
            }
            androidx.core.graphics.drawable.a.o(p, u);
            return p;
        } else if (i2 == b.a.e.abc_seekbar_track_material) {
            LayerDrawable layerDrawable = (LayerDrawable) drawable;
            Drawable findDrawableByLayerId = layerDrawable.findDrawableByLayerId(16908288);
            int i3 = b.a.a.colorControlNormal;
            int b2 = o0.b(context, i3);
            PorterDuff.Mode mode = g;
            A(findDrawableByLayerId, b2, mode);
            A(layerDrawable.findDrawableByLayerId(16908303), o0.b(context, i3), mode);
            A(layerDrawable.findDrawableByLayerId(16908301), o0.b(context, b.a.a.colorControlActivated), mode);
            return drawable;
        } else if (i2 == b.a.e.abc_ratingbar_material || i2 == b.a.e.abc_ratingbar_indicator_material || i2 == b.a.e.abc_ratingbar_small_material) {
            LayerDrawable layerDrawable2 = (LayerDrawable) drawable;
            Drawable findDrawableByLayerId2 = layerDrawable2.findDrawableByLayerId(16908288);
            int a2 = o0.a(context, b.a.a.colorControlNormal);
            PorterDuff.Mode mode2 = g;
            A(findDrawableByLayerId2, a2, mode2);
            Drawable findDrawableByLayerId3 = layerDrawable2.findDrawableByLayerId(16908303);
            int i4 = b.a.a.colorControlActivated;
            A(findDrawableByLayerId3, o0.b(context, i4), mode2);
            A(layerDrawable2.findDrawableByLayerId(16908301), o0.b(context, i4), mode2);
            return drawable;
        } else if (D(context, i2, drawable) || !z) {
            return drawable;
        } else {
            return null;
        }
    }

    static void C(Drawable drawable, r0 r0Var, int[] iArr) {
        if (!c0.a(drawable) || drawable.mutate() == drawable) {
            boolean z = r0Var.f476d;
            if (z || r0Var.f475c) {
                drawable.setColorFilter(m(z ? r0Var.f473a : null, r0Var.f475c ? r0Var.f474b : g, iArr));
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d("AppCompatDrawableManag", "Mutated drawable is not the same instance as the input.");
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0044  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x005f A[RETURN] */
    static boolean D(Context context, int i2, Drawable drawable) {
        int i3;
        boolean z;
        PorterDuff.Mode mode = g;
        int i4 = 16842801;
        if (d(j, i2)) {
            i4 = b.a.a.colorControlNormal;
        } else if (d(l, i2)) {
            i4 = b.a.a.colorControlActivated;
        } else if (d(m, i2)) {
            mode = PorterDuff.Mode.MULTIPLY;
        } else if (i2 == b.a.e.abc_list_divider_mtrl_alpha) {
            i4 = 16842800;
            i3 = Math.round(40.8f);
            z = true;
            if (!z) {
                return false;
            }
            if (c0.a(drawable)) {
                drawable = drawable.mutate();
            }
            drawable.setColorFilter(r(o0.b(context, i4), mode));
            if (i3 != -1) {
                drawable.setAlpha(i3);
            }
            return true;
        } else if (i2 != b.a.e.abc_dialog_material_background) {
            i3 = -1;
            z = false;
            i4 = 0;
            if (!z) {
            }
        }
        i3 = -1;
        z = true;
        if (!z) {
        }
    }

    private void a(String str, d dVar) {
        if (this.f414b == null) {
            this.f414b = new b.c.a<>();
        }
        this.f414b.put(str, dVar);
    }

    private synchronized boolean b(Context context, long j2, Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        b.c.d<WeakReference<Drawable.ConstantState>> dVar = this.f416d.get(context);
        if (dVar == null) {
            dVar = new b.c.d<>();
            this.f416d.put(context, dVar);
        }
        dVar.m(j2, new WeakReference<>(constantState));
        return true;
    }

    private void c(Context context, int i2, ColorStateList colorStateList) {
        if (this.f413a == null) {
            this.f413a = new WeakHashMap<>();
        }
        h<ColorStateList> hVar = this.f413a.get(context);
        if (hVar == null) {
            hVar = new h<>();
            this.f413a.put(context, hVar);
        }
        hVar.b(i2, colorStateList);
    }

    private static boolean d(int[] iArr, int i2) {
        for (int i3 : iArr) {
            if (i3 == i2) {
                return true;
            }
        }
        return false;
    }

    private void e(Context context) {
        if (!this.f418f) {
            this.f418f = true;
            Drawable p = p(context, b.a.e.abc_vector_test);
            if (p == null || !w(p)) {
                this.f418f = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    private ColorStateList f(Context context) {
        return g(context, 0);
    }

    private ColorStateList g(Context context, int i2) {
        int b2 = o0.b(context, b.a.a.colorControlHighlight);
        int a2 = o0.a(context, b.a.a.colorButtonNormal);
        return new ColorStateList(new int[][]{o0.f456b, o0.f458d, o0.f457c, o0.f460f}, new int[]{a2, b.e.d.a.b(b2, i2), b.e.d.a.b(b2, i2), i2});
    }

    private static long h(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    private ColorStateList i(Context context) {
        return g(context, o0.b(context, b.a.a.colorAccent));
    }

    private ColorStateList j(Context context) {
        return g(context, o0.b(context, b.a.a.colorButtonNormal));
    }

    private Drawable k(Context context, int i2) {
        if (this.f417e == null) {
            this.f417e = new TypedValue();
        }
        TypedValue typedValue = this.f417e;
        context.getResources().getValue(i2, typedValue, true);
        long h2 = h(typedValue);
        Drawable o2 = o(context, h2);
        if (o2 != null) {
            return o2;
        }
        if (i2 == b.a.e.abc_cab_background_top_material) {
            o2 = new LayerDrawable(new Drawable[]{p(context, b.a.e.abc_cab_background_internal_bg), p(context, b.a.e.abc_cab_background_top_mtrl_alpha)});
        }
        if (o2 != null) {
            o2.setChangingConfigurations(typedValue.changingConfigurations);
            b(context, h2, o2);
        }
        return o2;
    }

    private ColorStateList l(Context context) {
        int[][] iArr = new int[3][];
        int[] iArr2 = new int[3];
        int i2 = b.a.a.colorSwitchThumbNormal;
        ColorStateList d2 = o0.d(context, i2);
        if (d2 == null || !d2.isStateful()) {
            iArr[0] = o0.f456b;
            iArr2[0] = o0.a(context, i2);
            iArr[1] = o0.f459e;
            iArr2[1] = o0.b(context, b.a.a.colorControlActivated);
            iArr[2] = o0.f460f;
            iArr2[2] = o0.b(context, i2);
        } else {
            iArr[0] = o0.f456b;
            iArr2[0] = d2.getColorForState(iArr[0], 0);
            iArr[1] = o0.f459e;
            iArr2[1] = o0.b(context, b.a.a.colorControlActivated);
            iArr[2] = o0.f460f;
            iArr2[2] = d2.getDefaultColor();
        }
        return new ColorStateList(iArr, iArr2);
    }

    private static PorterDuffColorFilter m(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return r(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static synchronized j n() {
        j jVar;
        synchronized (j.class) {
            if (h == null) {
                j jVar2 = new j();
                h = jVar2;
                v(jVar2);
            }
            jVar = h;
        }
        return jVar;
    }

    private synchronized Drawable o(Context context, long j2) {
        b.c.d<WeakReference<Drawable.ConstantState>> dVar = this.f416d.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> i2 = dVar.i(j2);
        if (i2 != null) {
            Drawable.ConstantState constantState = i2.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.g(j2);
        }
        return null;
    }

    public static synchronized PorterDuffColorFilter r(int i2, PorterDuff.Mode mode) {
        PorterDuffColorFilter i3;
        synchronized (j.class) {
            c cVar = i;
            i3 = cVar.i(i2, mode);
            if (i3 == null) {
                i3 = new PorterDuffColorFilter(i2, mode);
                cVar.j(i2, mode, i3);
            }
        }
        return i3;
    }

    private ColorStateList t(Context context, int i2) {
        h<ColorStateList> hVar;
        WeakHashMap<Context, h<ColorStateList>> weakHashMap = this.f413a;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.i(i2);
    }

    static PorterDuff.Mode u(int i2) {
        if (i2 == b.a.e.abc_switch_thumb_material) {
            return PorterDuff.Mode.MULTIPLY;
        }
        return null;
    }

    private static void v(j jVar) {
        if (Build.VERSION.SDK_INT < 24) {
            jVar.a("vector", new e());
            jVar.a("animated-vector", new b());
            jVar.a("animated-selector", new a());
        }
    }

    private static boolean w(Drawable drawable) {
        return (drawable instanceof b.l.a.a.h) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0073 A[Catch:{ Exception -> 0x00a2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009a A[Catch:{ Exception -> 0x00a2 }] */
    private Drawable x(Context context, int i2) {
        int next;
        b.c.a<String, d> aVar = this.f414b;
        if (aVar == null || aVar.isEmpty()) {
            return null;
        }
        h<String> hVar = this.f415c;
        if (hVar != null) {
            String i3 = hVar.i(i2);
            if ("appcompat_skip_skip".equals(i3) || (i3 != null && this.f414b.get(i3) == null)) {
                return null;
            }
        } else {
            this.f415c = new h<>();
        }
        if (this.f417e == null) {
            this.f417e = new TypedValue();
        }
        TypedValue typedValue = this.f417e;
        Resources resources = context.getResources();
        resources.getValue(i2, typedValue, true);
        long h2 = h(typedValue);
        Drawable o2 = o(context, h2);
        if (o2 != null) {
            return o2;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i2);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.f415c.b(i2, name);
                            d dVar = this.f414b.get(name);
                            if (dVar != null) {
                                o2 = dVar.a(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (o2 != null) {
                                o2.setChangingConfigurations(typedValue.changingConfigurations);
                                b(context, h2, o2);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e2) {
                Log.e("AppCompatDrawableManag", "Exception while inflating drawable", e2);
            }
        }
        if (o2 == null) {
            this.f415c.b(i2, "appcompat_skip_skip");
        }
        return o2;
    }

    public synchronized Drawable p(Context context, int i2) {
        return q(context, i2, false);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable q(Context context, int i2, boolean z) {
        Drawable x;
        e(context);
        x = x(context, i2);
        if (x == null) {
            x = k(context, i2);
        }
        if (x == null) {
            x = androidx.core.content.a.d(context, i2);
        }
        if (x != null) {
            x = B(context, i2, z, x);
        }
        if (x != null) {
            c0.b(x);
        }
        return x;
    }

    /* access modifiers changed from: package-private */
    public synchronized ColorStateList s(Context context, int i2) {
        ColorStateList t;
        t = t(context, i2);
        if (t == null) {
            if (i2 == b.a.e.abc_edit_text_material) {
                t = b.a.k.a.a.c(context, b.a.c.abc_tint_edittext);
            } else if (i2 == b.a.e.abc_switch_track_mtrl_alpha) {
                t = b.a.k.a.a.c(context, b.a.c.abc_tint_switch_track);
            } else if (i2 == b.a.e.abc_switch_thumb_material) {
                t = l(context);
            } else if (i2 == b.a.e.abc_btn_default_mtrl_shape) {
                t = j(context);
            } else if (i2 == b.a.e.abc_btn_borderless_material) {
                t = f(context);
            } else if (i2 == b.a.e.abc_btn_colored_material) {
                t = i(context);
            } else {
                if (i2 != b.a.e.abc_spinner_mtrl_am_alpha) {
                    if (i2 != b.a.e.abc_spinner_textfield_background_material) {
                        if (d(k, i2)) {
                            t = o0.d(context, b.a.a.colorControlNormal);
                        } else if (d(n, i2)) {
                            t = b.a.k.a.a.c(context, b.a.c.abc_tint_default);
                        } else if (d(o, i2)) {
                            t = b.a.k.a.a.c(context, b.a.c.abc_tint_btn_checkable);
                        } else if (i2 == b.a.e.abc_seekbar_thumb_material) {
                            t = b.a.k.a.a.c(context, b.a.c.abc_tint_seek_thumb);
                        }
                    }
                }
                t = b.a.k.a.a.c(context, b.a.c.abc_tint_spinner);
            }
            if (t != null) {
                c(context, i2, t);
            }
        }
        return t;
    }

    public synchronized void y(Context context) {
        b.c.d<WeakReference<Drawable.ConstantState>> dVar = this.f416d.get(context);
        if (dVar != null) {
            dVar.e();
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable z(Context context, y0 y0Var, int i2) {
        Drawable x = x(context, i2);
        if (x == null) {
            x = y0Var.c(i2);
        }
        if (x == null) {
            return null;
        }
        return B(context, i2, false, x);
    }
}
