package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.ThemedSpinnerAdapter;
import androidx.appcompat.view.menu.s;
import b.a.g;
import b.a.j;
import b.a.m.d;
import b.e.k.o;
import b.e.k.p;

/* compiled from: AppCompatSpinner */
public class w extends Spinner implements o {
    private static final int[] j = {16843505};

    /* renamed from: b  reason: collision with root package name */
    private final e f499b;

    /* renamed from: c  reason: collision with root package name */
    private final Context f500c;

    /* renamed from: d  reason: collision with root package name */
    private f0 f501d;

    /* renamed from: e  reason: collision with root package name */
    private SpinnerAdapter f502e;

    /* renamed from: f  reason: collision with root package name */
    private final boolean f503f;
    c g;
    int h;
    final Rect i;

    /* compiled from: AppCompatSpinner */
    class a extends f0 {
        final /* synthetic */ c k;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(View view, c cVar) {
            super(view);
            this.k = cVar;
        }

        @Override // androidx.appcompat.widget.f0
        public s b() {
            return this.k;
        }

        @Override // androidx.appcompat.widget.f0
        public boolean c() {
            if (w.this.g.f()) {
                return true;
            }
            w.this.g.b();
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatSpinner */
    public static class b implements ListAdapter, SpinnerAdapter {

        /* renamed from: b  reason: collision with root package name */
        private SpinnerAdapter f504b;

        /* renamed from: c  reason: collision with root package name */
        private ListAdapter f505c;

        public b(SpinnerAdapter spinnerAdapter, Resources.Theme theme) {
            this.f504b = spinnerAdapter;
            if (spinnerAdapter instanceof ListAdapter) {
                this.f505c = (ListAdapter) spinnerAdapter;
            }
            if (theme == null) {
                return;
            }
            if (Build.VERSION.SDK_INT >= 23 && (spinnerAdapter instanceof ThemedSpinnerAdapter)) {
                ThemedSpinnerAdapter themedSpinnerAdapter = (ThemedSpinnerAdapter) spinnerAdapter;
                if (themedSpinnerAdapter.getDropDownViewTheme() != theme) {
                    themedSpinnerAdapter.setDropDownViewTheme(theme);
                }
            } else if (spinnerAdapter instanceof p0) {
                p0 p0Var = (p0) spinnerAdapter;
                if (p0Var.getDropDownViewTheme() == null) {
                    p0Var.setDropDownViewTheme(theme);
                }
            }
        }

        public boolean areAllItemsEnabled() {
            ListAdapter listAdapter = this.f505c;
            if (listAdapter != null) {
                return listAdapter.areAllItemsEnabled();
            }
            return true;
        }

        public int getCount() {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter == null) {
                return 0;
            }
            return spinnerAdapter.getCount();
        }

        public View getDropDownView(int i, View view, ViewGroup viewGroup) {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getDropDownView(i, view, viewGroup);
        }

        public Object getItem(int i) {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getItem(i);
        }

        public long getItemId(int i) {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter == null) {
                return -1;
            }
            return spinnerAdapter.getItemId(i);
        }

        public int getItemViewType(int i) {
            return 0;
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            return getDropDownView(i, view, viewGroup);
        }

        public int getViewTypeCount() {
            return 1;
        }

        public boolean hasStableIds() {
            SpinnerAdapter spinnerAdapter = this.f504b;
            return spinnerAdapter != null && spinnerAdapter.hasStableIds();
        }

        public boolean isEmpty() {
            return getCount() == 0;
        }

        public boolean isEnabled(int i) {
            ListAdapter listAdapter = this.f505c;
            if (listAdapter != null) {
                return listAdapter.isEnabled(i);
            }
            return true;
        }

        public void registerDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter != null) {
                spinnerAdapter.registerDataSetObserver(dataSetObserver);
            }
        }

        public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f504b;
            if (spinnerAdapter != null) {
                spinnerAdapter.unregisterDataSetObserver(dataSetObserver);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatSpinner */
    public class c extends h0 {
        private CharSequence J;
        ListAdapter K;
        private final Rect L = new Rect();

        /* compiled from: AppCompatSpinner */
        class a implements AdapterView.OnItemClickListener {
            a(w wVar) {
            }

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                w.this.setSelection(i);
                if (w.this.getOnItemClickListener() != null) {
                    c cVar = c.this;
                    w.this.performItemClick(view, i, cVar.K.getItemId(i));
                }
                c.this.dismiss();
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: AppCompatSpinner */
        public class b implements ViewTreeObserver.OnGlobalLayoutListener {
            b() {
            }

            public void onGlobalLayout() {
                c cVar = c.this;
                if (!cVar.M(w.this)) {
                    c.this.dismiss();
                    return;
                }
                c.this.K();
                c.super.b();
            }
        }

        /* access modifiers changed from: package-private */
        /* renamed from: androidx.appcompat.widget.w$c$c  reason: collision with other inner class name */
        /* compiled from: AppCompatSpinner */
        public class C0010c implements PopupWindow.OnDismissListener {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ ViewTreeObserver.OnGlobalLayoutListener f508b;

            C0010c(ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
                this.f508b = onGlobalLayoutListener;
            }

            public void onDismiss() {
                ViewTreeObserver viewTreeObserver = w.this.getViewTreeObserver();
                if (viewTreeObserver != null) {
                    viewTreeObserver.removeGlobalOnLayoutListener(this.f508b);
                }
            }
        }

        public c(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            s(w.this);
            A(true);
            F(0);
            C(new a(w.this));
        }

        /* access modifiers changed from: package-private */
        public void K() {
            Drawable j = j();
            int i = 0;
            if (j != null) {
                j.getPadding(w.this.i);
                i = z0.b(w.this) ? w.this.i.right : -w.this.i.left;
            } else {
                Rect rect = w.this.i;
                rect.right = 0;
                rect.left = 0;
            }
            int paddingLeft = w.this.getPaddingLeft();
            int paddingRight = w.this.getPaddingRight();
            int width = w.this.getWidth();
            w wVar = w.this;
            int i2 = wVar.h;
            if (i2 == -2) {
                int a2 = wVar.a((SpinnerAdapter) this.K, j());
                int i3 = w.this.getContext().getResources().getDisplayMetrics().widthPixels;
                Rect rect2 = w.this.i;
                int i4 = (i3 - rect2.left) - rect2.right;
                if (a2 > i4) {
                    a2 = i4;
                }
                v(Math.max(a2, (width - paddingLeft) - paddingRight));
            } else if (i2 == -1) {
                v((width - paddingLeft) - paddingRight);
            } else {
                v(i2);
            }
            y(z0.b(w.this) ? i + ((width - paddingRight) - n()) : i + paddingLeft);
        }

        public CharSequence L() {
            return this.J;
        }

        /* access modifiers changed from: package-private */
        public boolean M(View view) {
            return p.r(view) && view.getGlobalVisibleRect(this.L);
        }

        public void N(CharSequence charSequence) {
            this.J = charSequence;
        }

        @Override // androidx.appcompat.widget.h0, androidx.appcompat.view.menu.s
        public void b() {
            ViewTreeObserver viewTreeObserver;
            boolean f2 = f();
            K();
            z(2);
            super.b();
            g().setChoiceMode(1);
            G(w.this.getSelectedItemPosition());
            if (!f2 && (viewTreeObserver = w.this.getViewTreeObserver()) != null) {
                b bVar = new b();
                viewTreeObserver.addOnGlobalLayoutListener(bVar);
                B(new C0010c(bVar));
            }
        }

        @Override // androidx.appcompat.widget.h0
        public void r(ListAdapter listAdapter) {
            super.r(listAdapter);
            this.K = listAdapter;
        }
    }

    public w(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, b.a.a.spinnerStyle);
    }

    /* access modifiers changed from: package-private */
    public int a(SpinnerAdapter spinnerAdapter, Drawable drawable) {
        int i2 = 0;
        if (spinnerAdapter == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int max = Math.max(0, getSelectedItemPosition());
        int min = Math.min(spinnerAdapter.getCount(), max + 15);
        View view = null;
        int i3 = 0;
        for (int max2 = Math.max(0, max - (15 - (min - max))); max2 < min; max2++) {
            int itemViewType = spinnerAdapter.getItemViewType(max2);
            if (itemViewType != i2) {
                view = null;
                i2 = itemViewType;
            }
            view = spinnerAdapter.getView(max2, view, this);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i3 = Math.max(i3, view.getMeasuredWidth());
        }
        if (drawable == null) {
            return i3;
        }
        drawable.getPadding(this.i);
        Rect rect = this.i;
        return i3 + rect.left + rect.right;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        e eVar = this.f499b;
        if (eVar != null) {
            eVar.b();
        }
    }

    public int getDropDownHorizontalOffset() {
        c cVar = this.g;
        if (cVar != null) {
            return cVar.k();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownHorizontalOffset();
        }
        return 0;
    }

    public int getDropDownVerticalOffset() {
        c cVar = this.g;
        if (cVar != null) {
            return cVar.m();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownVerticalOffset();
        }
        return 0;
    }

    public int getDropDownWidth() {
        if (this.g != null) {
            return this.h;
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownWidth();
        }
        return 0;
    }

    public Drawable getPopupBackground() {
        c cVar = this.g;
        if (cVar != null) {
            return cVar.j();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getPopupBackground();
        }
        return null;
    }

    public Context getPopupContext() {
        if (this.g != null) {
            return this.f500c;
        }
        if (Build.VERSION.SDK_INT >= 23) {
            return super.getPopupContext();
        }
        return null;
    }

    public CharSequence getPrompt() {
        c cVar = this.g;
        return cVar != null ? cVar.L() : super.getPrompt();
    }

    @Override // b.e.k.o
    public ColorStateList getSupportBackgroundTintList() {
        e eVar = this.f499b;
        if (eVar != null) {
            return eVar.c();
        }
        return null;
    }

    @Override // b.e.k.o
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        e eVar = this.f499b;
        if (eVar != null) {
            return eVar.d();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c cVar = this.g;
        if (cVar != null && cVar.f()) {
            this.g.dismiss();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.g != null && View.MeasureSpec.getMode(i2) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), a(getAdapter(), getBackground())), View.MeasureSpec.getSize(i2)), getMeasuredHeight());
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        f0 f0Var = this.f501d;
        if (f0Var == null || !f0Var.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public boolean performClick() {
        c cVar = this.g;
        if (cVar == null) {
            return super.performClick();
        }
        if (cVar.f()) {
            return true;
        }
        this.g.b();
        return true;
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        e eVar = this.f499b;
        if (eVar != null) {
            eVar.f(drawable);
        }
    }

    public void setBackgroundResource(int i2) {
        super.setBackgroundResource(i2);
        e eVar = this.f499b;
        if (eVar != null) {
            eVar.g(i2);
        }
    }

    public void setDropDownHorizontalOffset(int i2) {
        c cVar = this.g;
        if (cVar != null) {
            cVar.y(i2);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownHorizontalOffset(i2);
        }
    }

    public void setDropDownVerticalOffset(int i2) {
        c cVar = this.g;
        if (cVar != null) {
            cVar.H(i2);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownVerticalOffset(i2);
        }
    }

    public void setDropDownWidth(int i2) {
        if (this.g != null) {
            this.h = i2;
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownWidth(i2);
        }
    }

    public void setPopupBackgroundDrawable(Drawable drawable) {
        c cVar = this.g;
        if (cVar != null) {
            cVar.u(drawable);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setPopupBackgroundDrawable(drawable);
        }
    }

    public void setPopupBackgroundResource(int i2) {
        setPopupBackgroundDrawable(b.a.k.a.a.d(getPopupContext(), i2));
    }

    public void setPrompt(CharSequence charSequence) {
        c cVar = this.g;
        if (cVar != null) {
            cVar.N(charSequence);
        } else {
            super.setPrompt(charSequence);
        }
    }

    @Override // b.e.k.o
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        e eVar = this.f499b;
        if (eVar != null) {
            eVar.i(colorStateList);
        }
    }

    @Override // b.e.k.o
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        e eVar = this.f499b;
        if (eVar != null) {
            eVar.j(mode);
        }
    }

    public w(Context context, AttributeSet attributeSet, int i2) {
        this(context, attributeSet, i2, -1);
    }

    @Override // android.widget.Spinner, android.widget.AbsSpinner
    public void setAdapter(SpinnerAdapter spinnerAdapter) {
        if (!this.f503f) {
            this.f502e = spinnerAdapter;
            return;
        }
        super.setAdapter(spinnerAdapter);
        if (this.g != null) {
            Context context = this.f500c;
            if (context == null) {
                context = getContext();
            }
            this.g.r(new b(spinnerAdapter, context.getTheme()));
        }
    }

    public w(Context context, AttributeSet attributeSet, int i2, int i3) {
        this(context, attributeSet, i2, i3, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0056, code lost:
        if (r12 != null) goto L_0x0058;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0058, code lost:
        r12.recycle();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0069, code lost:
        if (r12 != null) goto L_0x0058;
     */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0070  */
    public w(Context context, AttributeSet attributeSet, int i2, int i3, Resources.Theme theme) {
        super(context, attributeSet, i2);
        Throwable th;
        TypedArray typedArray;
        Exception e2;
        this.i = new Rect();
        t0 t = t0.t(context, attributeSet, j.u2, i2, 0);
        this.f499b = new e(this);
        TypedArray typedArray2 = null;
        if (theme != null) {
            this.f500c = new d(context, theme);
        } else {
            int m = t.m(j.z2, 0);
            if (m != 0) {
                this.f500c = new d(context, m);
            } else {
                this.f500c = Build.VERSION.SDK_INT < 23 ? context : null;
            }
        }
        if (this.f500c != null) {
            if (i3 == -1) {
                try {
                    typedArray = context.obtainStyledAttributes(attributeSet, j, i2, 0);
                    try {
                        i3 = typedArray.hasValue(0) ? typedArray.getInt(0, 0) : i3;
                    } catch (Exception e3) {
                        e2 = e3;
                        try {
                            Log.i("AppCompatSpinner", "Could not read android:spinnerMode", e2);
                        } catch (Throwable th2) {
                            th = th2;
                            typedArray2 = typedArray;
                            if (typedArray2 != null) {
                            }
                            throw th;
                        }
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    typedArray = null;
                    Log.i("AppCompatSpinner", "Could not read android:spinnerMode", e2);
                } catch (Throwable th3) {
                    th = th3;
                    if (typedArray2 != null) {
                        typedArray2.recycle();
                    }
                    throw th;
                }
            }
            if (i3 == 1) {
                c cVar = new c(this.f500c, attributeSet, i2);
                t0 t2 = t0.t(this.f500c, attributeSet, j.u2, i2, 0);
                this.h = t2.l(j.y2, -2);
                cVar.u(t2.f(j.w2));
                cVar.N(t.n(j.x2));
                t2.u();
                this.g = cVar;
                this.f501d = new a(this, cVar);
            }
        }
        CharSequence[] p = t.p(j.v2);
        if (p != null) {
            ArrayAdapter arrayAdapter = new ArrayAdapter(context, 17367048, p);
            arrayAdapter.setDropDownViewResource(g.support_simple_spinner_dropdown_item);
            setAdapter((SpinnerAdapter) arrayAdapter);
        }
        t.u();
        this.f503f = true;
        SpinnerAdapter spinnerAdapter = this.f502e;
        if (spinnerAdapter != null) {
            setAdapter(spinnerAdapter);
            this.f502e = null;
        }
        this.f499b.e(attributeSet, i2);
    }
}
