package androidx.constraintlayout.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import b.d.a.j.e;
import b.d.a.j.f;
import b.d.a.j.g;
import b.d.a.j.i;
import b.d.a.j.l;
import java.util.ArrayList;
import java.util.HashMap;

public class ConstraintLayout extends ViewGroup {

    /* renamed from: b  reason: collision with root package name */
    SparseArray<View> f543b = new SparseArray<>();

    /* renamed from: c  reason: collision with root package name */
    private ArrayList<b> f544c = new ArrayList<>(4);

    /* renamed from: d  reason: collision with root package name */
    private final ArrayList<f> f545d = new ArrayList<>(100);

    /* renamed from: e  reason: collision with root package name */
    g f546e = new g();

    /* renamed from: f  reason: collision with root package name */
    private int f547f = 0;
    private int g = 0;
    private int h = Integer.MAX_VALUE;
    private int i = Integer.MAX_VALUE;
    private boolean j = true;
    private int k = 7;
    private c l = null;
    private int m = -1;
    private HashMap<String, Integer> n = new HashMap<>();
    private int o = -1;
    private int p = -1;
    private b.d.a.f q;

    public ConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        g(attributeSet);
    }

    private final f d(int i2) {
        if (i2 == 0) {
            return this.f546e;
        }
        View view = this.f543b.get(i2);
        if (view == null && (view = findViewById(i2)) != null && view != this && view.getParent() == this) {
            onViewAdded(view);
        }
        if (view == this) {
            return this.f546e;
        }
        if (view == null) {
            return null;
        }
        return ((a) view.getLayoutParams()).k0;
    }

    private void g(AttributeSet attributeSet) {
        this.f546e.W(this);
        this.f543b.put(getId(), this);
        this.l = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, h.f573a);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == h.f577e) {
                    this.f547f = obtainStyledAttributes.getDimensionPixelOffset(index, this.f547f);
                } else if (index == h.f578f) {
                    this.g = obtainStyledAttributes.getDimensionPixelOffset(index, this.g);
                } else if (index == h.f575c) {
                    this.h = obtainStyledAttributes.getDimensionPixelOffset(index, this.h);
                } else if (index == h.f576d) {
                    this.i = obtainStyledAttributes.getDimensionPixelOffset(index, this.i);
                } else if (index == h.h0) {
                    this.k = obtainStyledAttributes.getInt(index, this.k);
                } else if (index == h.i) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        c cVar = new c();
                        this.l = cVar;
                        cVar.e(getContext(), resourceId);
                    } catch (Resources.NotFoundException unused) {
                        this.l = null;
                    }
                    this.m = resourceId;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.f546e.c1(this.k);
    }

    private void h(int i2, int i3) {
        boolean z;
        boolean z2;
        int baseline;
        int i4;
        int i5;
        boolean z3;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                a aVar = (a) childAt.getLayoutParams();
                f fVar = aVar.k0;
                if (!aVar.X && !aVar.Y) {
                    fVar.x0(childAt.getVisibility());
                    int i7 = ((ViewGroup.MarginLayoutParams) aVar).width;
                    int i8 = ((ViewGroup.MarginLayoutParams) aVar).height;
                    boolean z4 = aVar.U;
                    if (z4 || (z3 = aVar.V) || (!z4 && aVar.H == 1) || i7 == -1 || (!z3 && (aVar.I == 1 || i8 == -1))) {
                        if (i7 == 0) {
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -2);
                            z2 = true;
                        } else if (i7 == -1) {
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, -1);
                            z2 = false;
                        } else {
                            z2 = i7 == -2;
                            i4 = ViewGroup.getChildMeasureSpec(i2, paddingLeft, i7);
                        }
                        if (i8 == 0) {
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -2);
                            z = true;
                        } else if (i8 == -1) {
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -1);
                            z = false;
                        } else {
                            z = i8 == -2;
                            i5 = ViewGroup.getChildMeasureSpec(i3, paddingTop, i8);
                        }
                        childAt.measure(i4, i5);
                        b.d.a.f fVar2 = this.q;
                        if (fVar2 != null) {
                            fVar2.f1127a++;
                        }
                        fVar.z0(i7 == -2);
                        fVar.c0(i8 == -2);
                        i7 = childAt.getMeasuredWidth();
                        i8 = childAt.getMeasuredHeight();
                    } else {
                        z2 = false;
                        z = false;
                    }
                    fVar.y0(i7);
                    fVar.b0(i8);
                    if (z2) {
                        fVar.B0(i7);
                    }
                    if (z) {
                        fVar.A0(i8);
                    }
                    if (aVar.W && (baseline = childAt.getBaseline()) != -1) {
                        fVar.V(baseline);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x01fe  */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x0239  */
    /* JADX WARNING: Removed duplicated region for block: B:128:0x025e  */
    /* JADX WARNING: Removed duplicated region for block: B:129:0x0267  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x026c  */
    /* JADX WARNING: Removed duplicated region for block: B:133:0x026e  */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0274  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x0276  */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x028a  */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x028f  */
    /* JADX WARNING: Removed duplicated region for block: B:144:0x0294  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x029c  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x02a5  */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x02ad  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x02b8  */
    /* JADX WARNING: Removed duplicated region for block: B:154:0x02c3  */
    private void i(int i2, int i3) {
        long j2;
        int i4;
        int i5;
        int i6;
        long j3;
        boolean z;
        int i7;
        int i8;
        boolean z2;
        int i9;
        b.d.a.f fVar;
        int i10;
        int baseline;
        ConstraintLayout constraintLayout = this;
        int i11 = i2;
        int i12 = i3;
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int childCount = getChildCount();
        int i13 = 0;
        while (true) {
            j2 = 1;
            i4 = 8;
            if (i13 >= childCount) {
                break;
            }
            View childAt = constraintLayout.getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                a aVar = (a) childAt.getLayoutParams();
                f fVar2 = aVar.k0;
                if (!aVar.X && !aVar.Y) {
                    fVar2.x0(childAt.getVisibility());
                    int i14 = ((ViewGroup.MarginLayoutParams) aVar).width;
                    int i15 = ((ViewGroup.MarginLayoutParams) aVar).height;
                    if (i14 == 0 || i15 == 0) {
                        i10 = paddingTop;
                        fVar2.x().c();
                        fVar2.w().c();
                        i13++;
                        i12 = i3;
                        paddingTop = i10;
                    } else {
                        boolean z3 = i14 == -2;
                        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i11, paddingLeft, i14);
                        boolean z4 = i15 == -2;
                        childAt.measure(childMeasureSpec, ViewGroup.getChildMeasureSpec(i12, paddingTop, i15));
                        b.d.a.f fVar3 = constraintLayout.q;
                        i10 = paddingTop;
                        if (fVar3 != null) {
                            fVar3.f1127a++;
                        }
                        fVar2.z0(i14 == -2);
                        fVar2.c0(i15 == -2);
                        int measuredWidth = childAt.getMeasuredWidth();
                        int measuredHeight = childAt.getMeasuredHeight();
                        fVar2.y0(measuredWidth);
                        fVar2.b0(measuredHeight);
                        if (z3) {
                            fVar2.B0(measuredWidth);
                        }
                        if (z4) {
                            fVar2.A0(measuredHeight);
                        }
                        if (aVar.W && (baseline = childAt.getBaseline()) != -1) {
                            fVar2.V(baseline);
                        }
                        if (aVar.U && aVar.V) {
                            fVar2.x().h(measuredWidth);
                            fVar2.w().h(measuredHeight);
                        }
                        i13++;
                        i12 = i3;
                        paddingTop = i10;
                    }
                }
            }
            i10 = paddingTop;
            i13++;
            i12 = i3;
            paddingTop = i10;
        }
        constraintLayout.f546e.e1();
        int i16 = 0;
        while (i16 < childCount) {
            View childAt2 = constraintLayout.getChildAt(i16);
            if (childAt2.getVisibility() != i4) {
                a aVar2 = (a) childAt2.getLayoutParams();
                f fVar4 = aVar2.k0;
                if (!aVar2.X && !aVar2.Y) {
                    fVar4.x0(childAt2.getVisibility());
                    int i17 = ((ViewGroup.MarginLayoutParams) aVar2).width;
                    int i18 = ((ViewGroup.MarginLayoutParams) aVar2).height;
                    if (i17 == 0 || i18 == 0) {
                        e.d dVar = e.d.LEFT;
                        l f2 = fVar4.h(dVar).f();
                        e.d dVar2 = e.d.RIGHT;
                        l f3 = fVar4.h(dVar2).f();
                        boolean z5 = (fVar4.h(dVar).i() == null || fVar4.h(dVar2).i() == null) ? false : true;
                        e.d dVar3 = e.d.TOP;
                        l f4 = fVar4.h(dVar3).f();
                        e.d dVar4 = e.d.BOTTOM;
                        l f5 = fVar4.h(dVar4).f();
                        boolean z6 = (fVar4.h(dVar3).i() == null || fVar4.h(dVar4).i() == null) ? false : true;
                        if (i17 != 0 || i18 != 0 || !z5 || !z6) {
                            f.b s = constraintLayout.f546e.s();
                            i6 = childCount;
                            f.b bVar = f.b.WRAP_CONTENT;
                            i5 = i16;
                            boolean z7 = s != bVar;
                            boolean z8 = constraintLayout.f546e.B() != bVar;
                            if (!z7) {
                                fVar4.x().c();
                            }
                            if (!z8) {
                                fVar4.w().c();
                            }
                            if (i17 == 0) {
                                if (!z7 || !fVar4.P() || !z5 || !f2.d() || !f3.d()) {
                                    i7 = ViewGroup.getChildMeasureSpec(i11, paddingLeft, -2);
                                    z = true;
                                    z7 = false;
                                    if (i18 == 0) {
                                        if (!z8 || !fVar4.O() || !z6 || !f4.d() || !f5.d()) {
                                            i9 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -2);
                                            i8 = i18;
                                            z8 = false;
                                            z2 = true;
                                            childAt2.measure(i7, i9);
                                            fVar = constraintLayout.q;
                                            if (fVar != null) {
                                                j3 = 1;
                                                fVar.f1127a++;
                                            } else {
                                                j3 = 1;
                                            }
                                            fVar4.z0(i17 == -2);
                                            fVar4.c0(i8 == -2);
                                            int measuredWidth2 = childAt2.getMeasuredWidth();
                                            int measuredHeight2 = childAt2.getMeasuredHeight();
                                            fVar4.y0(measuredWidth2);
                                            fVar4.b0(measuredHeight2);
                                            if (z) {
                                                fVar4.B0(measuredWidth2);
                                            }
                                            if (z2) {
                                                fVar4.A0(measuredHeight2);
                                            }
                                            if (z7) {
                                                fVar4.x().h(measuredWidth2);
                                            } else {
                                                fVar4.x().g();
                                            }
                                            if (z8) {
                                                fVar4.w().h(measuredHeight2);
                                            } else {
                                                fVar4.w().g();
                                            }
                                            if (aVar2.W) {
                                                int baseline2 = childAt2.getBaseline();
                                                if (baseline2 != -1) {
                                                    fVar4.V(baseline2);
                                                }
                                            }
                                            constraintLayout = this;
                                            i16 = i5 + 1;
                                            j2 = j3;
                                            childCount = i6;
                                            i4 = 8;
                                            i11 = i2;
                                        } else {
                                            int k2 = (int) (f5.k() - f4.k());
                                            fVar4.w().h(k2);
                                            i9 = ViewGroup.getChildMeasureSpec(i3, paddingTop, k2);
                                            i8 = k2;
                                        }
                                    } else if (i18 == -1) {
                                        i8 = i18;
                                        i9 = ViewGroup.getChildMeasureSpec(i3, paddingTop, -1);
                                    } else {
                                        boolean z9 = i18 == -2;
                                        int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i3, paddingTop, i18);
                                        z2 = z9;
                                        i9 = childMeasureSpec2;
                                        i8 = i18;
                                        childAt2.measure(i7, i9);
                                        fVar = constraintLayout.q;
                                        if (fVar != null) {
                                        }
                                        fVar4.z0(i17 == -2);
                                        fVar4.c0(i8 == -2);
                                        int measuredWidth22 = childAt2.getMeasuredWidth();
                                        int measuredHeight22 = childAt2.getMeasuredHeight();
                                        fVar4.y0(measuredWidth22);
                                        fVar4.b0(measuredHeight22);
                                        if (z) {
                                        }
                                        if (z2) {
                                        }
                                        if (z7) {
                                        }
                                        if (z8) {
                                        }
                                        if (aVar2.W) {
                                        }
                                        constraintLayout = this;
                                        i16 = i5 + 1;
                                        j2 = j3;
                                        childCount = i6;
                                        i4 = 8;
                                        i11 = i2;
                                    }
                                    z2 = false;
                                    childAt2.measure(i7, i9);
                                    fVar = constraintLayout.q;
                                    if (fVar != null) {
                                    }
                                    fVar4.z0(i17 == -2);
                                    fVar4.c0(i8 == -2);
                                    int measuredWidth222 = childAt2.getMeasuredWidth();
                                    int measuredHeight222 = childAt2.getMeasuredHeight();
                                    fVar4.y0(measuredWidth222);
                                    fVar4.b0(measuredHeight222);
                                    if (z) {
                                    }
                                    if (z2) {
                                    }
                                    if (z7) {
                                    }
                                    if (z8) {
                                    }
                                    if (aVar2.W) {
                                    }
                                    constraintLayout = this;
                                    i16 = i5 + 1;
                                    j2 = j3;
                                    childCount = i6;
                                    i4 = 8;
                                    i11 = i2;
                                } else {
                                    i17 = (int) (f3.k() - f2.k());
                                    fVar4.x().h(i17);
                                    i7 = ViewGroup.getChildMeasureSpec(i11, paddingLeft, i17);
                                }
                            } else if (i17 == -1) {
                                i7 = ViewGroup.getChildMeasureSpec(i11, paddingLeft, -1);
                            } else {
                                z = i17 == -2;
                                i7 = ViewGroup.getChildMeasureSpec(i11, paddingLeft, i17);
                                if (i18 == 0) {
                                }
                                z2 = false;
                                childAt2.measure(i7, i9);
                                fVar = constraintLayout.q;
                                if (fVar != null) {
                                }
                                fVar4.z0(i17 == -2);
                                fVar4.c0(i8 == -2);
                                int measuredWidth2222 = childAt2.getMeasuredWidth();
                                int measuredHeight2222 = childAt2.getMeasuredHeight();
                                fVar4.y0(measuredWidth2222);
                                fVar4.b0(measuredHeight2222);
                                if (z) {
                                }
                                if (z2) {
                                }
                                if (z7) {
                                }
                                if (z8) {
                                }
                                if (aVar2.W) {
                                }
                                constraintLayout = this;
                                i16 = i5 + 1;
                                j2 = j3;
                                childCount = i6;
                                i4 = 8;
                                i11 = i2;
                            }
                            z = false;
                            if (i18 == 0) {
                            }
                            z2 = false;
                            childAt2.measure(i7, i9);
                            fVar = constraintLayout.q;
                            if (fVar != null) {
                            }
                            fVar4.z0(i17 == -2);
                            fVar4.c0(i8 == -2);
                            int measuredWidth22222 = childAt2.getMeasuredWidth();
                            int measuredHeight22222 = childAt2.getMeasuredHeight();
                            fVar4.y0(measuredWidth22222);
                            fVar4.b0(measuredHeight22222);
                            if (z) {
                            }
                            if (z2) {
                            }
                            if (z7) {
                            }
                            if (z8) {
                            }
                            if (aVar2.W) {
                            }
                            constraintLayout = this;
                            i16 = i5 + 1;
                            j2 = j3;
                            childCount = i6;
                            i4 = 8;
                            i11 = i2;
                        } else {
                            i5 = i16;
                            i6 = childCount;
                            j3 = 1;
                            constraintLayout = this;
                            i16 = i5 + 1;
                            j2 = j3;
                            childCount = i6;
                            i4 = 8;
                            i11 = i2;
                        }
                    }
                }
            }
            i5 = i16;
            i6 = childCount;
            j3 = j2;
            constraintLayout = this;
            i16 = i5 + 1;
            j2 = j3;
            childCount = i6;
            i4 = 8;
            i11 = i2;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:149:0x0245  */
    /* JADX WARNING: Removed duplicated region for block: B:152:0x0258  */
    /* JADX WARNING: Removed duplicated region for block: B:159:0x0271  */
    /* JADX WARNING: Removed duplicated region for block: B:162:0x0283  */
    /* JADX WARNING: Removed duplicated region for block: B:169:0x029f  */
    /* JADX WARNING: Removed duplicated region for block: B:172:0x02b2  */
    /* JADX WARNING: Removed duplicated region for block: B:179:0x02cd  */
    private void j() {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        float f2;
        f d2;
        f d3;
        f d4;
        int i13 = Build.VERSION.SDK_INT;
        boolean isInEditMode = isInEditMode();
        int childCount = getChildCount();
        boolean z = false;
        int i14 = -1;
        if (isInEditMode) {
            for (int i15 = 0; i15 < childCount; i15++) {
                View childAt = getChildAt(i15);
                try {
                    String resourceName = getResources().getResourceName(childAt.getId());
                    k(0, resourceName, Integer.valueOf(childAt.getId()));
                    int indexOf = resourceName.indexOf(47);
                    if (indexOf != -1) {
                        resourceName = resourceName.substring(indexOf + 1);
                    }
                    d(childAt.getId()).X(resourceName);
                } catch (Resources.NotFoundException unused) {
                }
            }
        }
        for (int i16 = 0; i16 < childCount; i16++) {
            f f3 = f(getChildAt(i16));
            if (f3 != null) {
                f3.Q();
            }
        }
        if (this.m != -1) {
            for (int i17 = 0; i17 < childCount; i17++) {
                View childAt2 = getChildAt(i17);
                if (childAt2.getId() == this.m && (childAt2 instanceof d)) {
                    this.l = ((d) childAt2).getConstraintSet();
                }
            }
        }
        c cVar = this.l;
        if (cVar != null) {
            cVar.a(this);
        }
        this.f546e.M0();
        int size = this.f544c.size();
        if (size > 0) {
            for (int i18 = 0; i18 < size; i18++) {
                this.f544c.get(i18).e(this);
            }
        }
        for (int i19 = 0; i19 < childCount; i19++) {
            View childAt3 = getChildAt(i19);
            if (childAt3 instanceof f) {
                ((f) childAt3).b(this);
            }
        }
        for (int i20 = 0; i20 < childCount; i20++) {
            View childAt4 = getChildAt(i20);
            f f4 = f(childAt4);
            if (f4 != null) {
                a aVar = (a) childAt4.getLayoutParams();
                aVar.a();
                if (aVar.l0) {
                    aVar.l0 = z;
                } else if (isInEditMode) {
                    try {
                        String resourceName2 = getResources().getResourceName(childAt4.getId());
                        Object valueOf = Integer.valueOf(childAt4.getId());
                        int i21 = z ? 1 : 0;
                        int i22 = z ? 1 : 0;
                        int i23 = z ? 1 : 0;
                        int i24 = z ? 1 : 0;
                        int i25 = z ? 1 : 0;
                        int i26 = z ? 1 : 0;
                        int i27 = z ? 1 : 0;
                        k(i21, resourceName2, valueOf);
                        d(childAt4.getId()).X(resourceName2.substring(resourceName2.indexOf("id/") + 3));
                    } catch (Resources.NotFoundException unused2) {
                    }
                }
                f4.x0(childAt4.getVisibility());
                if (aVar.Z) {
                    f4.x0(8);
                }
                f4.W(childAt4);
                this.f546e.I0(f4);
                if (!aVar.V || !aVar.U) {
                    this.f545d.add(f4);
                }
                if (aVar.X) {
                    i iVar = (i) f4;
                    int i28 = aVar.h0;
                    int i29 = aVar.i0;
                    float f5 = aVar.j0;
                    if (i13 < 17) {
                        i28 = aVar.f548a;
                        i29 = aVar.f549b;
                        f5 = aVar.f550c;
                    }
                    if (f5 != -1.0f) {
                        iVar.L0(f5);
                    } else if (i28 != i14) {
                        iVar.J0(i28);
                    } else if (i29 != i14) {
                        iVar.K0(i29);
                    }
                } else {
                    int i30 = aVar.f551d;
                    if (i30 != i14 || aVar.f552e != i14 || aVar.f553f != i14 || aVar.g != i14 || aVar.q != i14 || aVar.p != i14 || aVar.r != i14 || aVar.s != i14 || aVar.h != i14 || aVar.i != i14 || aVar.j != i14 || aVar.k != i14 || aVar.l != i14 || aVar.P != i14 || aVar.Q != i14 || aVar.m != i14 || ((ViewGroup.MarginLayoutParams) aVar).width == i14 || ((ViewGroup.MarginLayoutParams) aVar).height == i14) {
                        int i31 = aVar.a0;
                        int i32 = aVar.b0;
                        int i33 = aVar.c0;
                        int i34 = aVar.d0;
                        int i35 = aVar.e0;
                        int i36 = aVar.f0;
                        float f6 = aVar.g0;
                        if (i13 < 17) {
                            int i37 = aVar.f552e;
                            int i38 = aVar.f553f;
                            int i39 = aVar.g;
                            int i40 = aVar.t;
                            int i41 = aVar.v;
                            float f7 = aVar.z;
                            if (i30 == -1 && i37 == -1) {
                                int i42 = aVar.q;
                                if (i42 != -1) {
                                    i30 = i42;
                                } else {
                                    int i43 = aVar.p;
                                    if (i43 != -1) {
                                        i37 = i43;
                                    }
                                }
                            }
                            if (i38 == -1 && i39 == -1) {
                                int i44 = aVar.r;
                                if (i44 != -1) {
                                    i32 = i37;
                                    i3 = i40;
                                    i2 = i41;
                                    f6 = f7;
                                    i6 = i44;
                                    i31 = i30;
                                    i4 = i39;
                                    i5 = -1;
                                } else {
                                    i4 = aVar.s;
                                    if (i4 != -1) {
                                        i32 = i37;
                                        i3 = i40;
                                        i2 = i41;
                                        f6 = f7;
                                        i6 = i38;
                                        i31 = i30;
                                        i5 = -1;
                                    }
                                }
                            }
                            i32 = i37;
                            i3 = i40;
                            i2 = i41;
                            f6 = f7;
                            i6 = i38;
                            i4 = i39;
                            i31 = i30;
                            i5 = -1;
                        } else {
                            i5 = -1;
                            i2 = i36;
                            i6 = i33;
                            i3 = i35;
                            i4 = i34;
                        }
                        int i45 = aVar.m;
                        if (i45 != i5) {
                            f d5 = d(i45);
                            if (d5 != null) {
                                f4.f(d5, aVar.o, aVar.n);
                            }
                        } else {
                            if (i31 != i5) {
                                f d6 = d(i31);
                                if (d6 != null) {
                                    e.d dVar = e.d.LEFT;
                                    i9 = i4;
                                    f4.J(dVar, d6, dVar, ((ViewGroup.MarginLayoutParams) aVar).leftMargin, i3);
                                } else {
                                    i9 = i4;
                                }
                            } else {
                                i9 = i4;
                                i8 = -1;
                                if (i32 != -1) {
                                    f d7 = d(i32);
                                    if (d7 != null) {
                                        f4.J(e.d.LEFT, d7, e.d.RIGHT, ((ViewGroup.MarginLayoutParams) aVar).leftMargin, i3);
                                    }
                                }
                                if (i6 == i8) {
                                    f d8 = d(i6);
                                    if (d8 != null) {
                                        f4.J(e.d.RIGHT, d8, e.d.LEFT, ((ViewGroup.MarginLayoutParams) aVar).rightMargin, i2);
                                    }
                                } else if (!(i9 == -1 || (d4 = d(i9)) == null)) {
                                    e.d dVar2 = e.d.RIGHT;
                                    f4.J(dVar2, d4, dVar2, ((ViewGroup.MarginLayoutParams) aVar).rightMargin, i2);
                                }
                                i10 = aVar.h;
                                if (i10 == -1) {
                                    f d9 = d(i10);
                                    if (d9 != null) {
                                        e.d dVar3 = e.d.TOP;
                                        f4.J(dVar3, d9, dVar3, ((ViewGroup.MarginLayoutParams) aVar).topMargin, aVar.u);
                                    }
                                } else {
                                    int i46 = aVar.i;
                                    if (!(i46 == -1 || (d3 = d(i46)) == null)) {
                                        f4.J(e.d.TOP, d3, e.d.BOTTOM, ((ViewGroup.MarginLayoutParams) aVar).topMargin, aVar.u);
                                    }
                                }
                                i11 = aVar.j;
                                if (i11 == -1) {
                                    f d10 = d(i11);
                                    if (d10 != null) {
                                        f4.J(e.d.BOTTOM, d10, e.d.TOP, ((ViewGroup.MarginLayoutParams) aVar).bottomMargin, aVar.w);
                                    }
                                } else {
                                    int i47 = aVar.k;
                                    if (!(i47 == -1 || (d2 = d(i47)) == null)) {
                                        e.d dVar4 = e.d.BOTTOM;
                                        f4.J(dVar4, d2, dVar4, ((ViewGroup.MarginLayoutParams) aVar).bottomMargin, aVar.w);
                                    }
                                }
                                i12 = aVar.l;
                                if (i12 != -1) {
                                    View view = this.f543b.get(i12);
                                    f d11 = d(aVar.l);
                                    if (!(d11 == null || view == null || !(view.getLayoutParams() instanceof a))) {
                                        aVar.W = true;
                                        ((a) view.getLayoutParams()).W = true;
                                        e.d dVar5 = e.d.BASELINE;
                                        f4.h(dVar5).a(d11.h(dVar5), 0, -1, e.c.STRONG, 0, true);
                                        f4.h(e.d.TOP).m();
                                        f4.h(e.d.BOTTOM).m();
                                    }
                                }
                                if (f6 >= 0.0f && f6 != 0.5f) {
                                    f4.d0(f6);
                                }
                                f2 = aVar.A;
                                if (f2 >= 0.0f && f2 != 0.5f) {
                                    f4.r0(f2);
                                }
                            }
                            i8 = -1;
                            if (i6 == i8) {
                            }
                            i10 = aVar.h;
                            if (i10 == -1) {
                            }
                            i11 = aVar.j;
                            if (i11 == -1) {
                            }
                            i12 = aVar.l;
                            if (i12 != -1) {
                            }
                            f4.d0(f6);
                            f2 = aVar.A;
                            f4.r0(f2);
                        }
                        if (isInEditMode) {
                            int i48 = aVar.P;
                            i7 = -1;
                            if (!(i48 == -1 && aVar.Q == -1)) {
                                f4.o0(i48, aVar.Q);
                            }
                        } else {
                            i7 = -1;
                        }
                        if (aVar.U) {
                            f4.g0(f.b.FIXED);
                            f4.y0(((ViewGroup.MarginLayoutParams) aVar).width);
                        } else if (((ViewGroup.MarginLayoutParams) aVar).width == i7) {
                            f4.g0(f.b.MATCH_PARENT);
                            f4.h(e.d.LEFT).f1156e = ((ViewGroup.MarginLayoutParams) aVar).leftMargin;
                            f4.h(e.d.RIGHT).f1156e = ((ViewGroup.MarginLayoutParams) aVar).rightMargin;
                        } else {
                            f4.g0(f.b.MATCH_CONSTRAINT);
                            f4.y0(0);
                        }
                        if (!aVar.V) {
                            i14 = -1;
                            if (((ViewGroup.MarginLayoutParams) aVar).height == -1) {
                                f4.u0(f.b.MATCH_PARENT);
                                f4.h(e.d.TOP).f1156e = ((ViewGroup.MarginLayoutParams) aVar).topMargin;
                                f4.h(e.d.BOTTOM).f1156e = ((ViewGroup.MarginLayoutParams) aVar).bottomMargin;
                                z = false;
                            } else {
                                f4.u0(f.b.MATCH_CONSTRAINT);
                                z = false;
                                f4.b0(0);
                            }
                        } else {
                            z = false;
                            i14 = -1;
                            f4.u0(f.b.FIXED);
                            f4.b0(((ViewGroup.MarginLayoutParams) aVar).height);
                        }
                        String str = aVar.B;
                        if (str != null) {
                            f4.Y(str);
                        }
                        f4.i0(aVar.D);
                        f4.w0(aVar.E);
                        f4.e0(aVar.F);
                        f4.s0(aVar.G);
                        f4.h0(aVar.H, aVar.J, aVar.L, aVar.N);
                        f4.v0(aVar.I, aVar.K, aVar.M, aVar.O);
                    }
                }
            }
        }
    }

    private void l(int i2, int i3) {
        f.b bVar;
        int i4;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        f.b bVar2 = f.b.FIXED;
        getLayoutParams();
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                bVar = f.b.WRAP_CONTENT;
            } else if (mode != 1073741824) {
                bVar = bVar2;
            } else {
                i4 = Math.min(this.h, size) - paddingLeft;
                bVar = bVar2;
            }
            i4 = 0;
        } else {
            i4 = size;
            bVar = f.b.WRAP_CONTENT;
        }
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                bVar2 = f.b.WRAP_CONTENT;
            } else if (mode2 == 1073741824) {
                size2 = Math.min(this.i, size2) - paddingTop;
            }
            size2 = 0;
        } else {
            bVar2 = f.b.WRAP_CONTENT;
        }
        this.f546e.m0(0);
        this.f546e.l0(0);
        this.f546e.g0(bVar);
        this.f546e.y0(i4);
        this.f546e.u0(bVar2);
        this.f546e.b0(size2);
        this.f546e.m0((this.f547f - getPaddingLeft()) - getPaddingRight());
        this.f546e.l0((this.g - getPaddingTop()) - getPaddingBottom());
    }

    private void n() {
        int childCount = getChildCount();
        boolean z = false;
        int i2 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            } else if (getChildAt(i2).isLayoutRequested()) {
                z = true;
                break;
            } else {
                i2++;
            }
        }
        if (z) {
            this.f545d.clear();
            j();
        }
    }

    private void o() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt instanceof f) {
                ((f) childAt).a(this);
            }
        }
        int size = this.f544c.size();
        if (size > 0) {
            for (int i3 = 0; i3 < size; i3++) {
                this.f544c.get(i3).d(this);
            }
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public a generateDefaultLayoutParams() {
        return new a(-2, -2);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i2, layoutParams);
        if (Build.VERSION.SDK_INT < 14) {
            onViewAdded(view);
        }
    }

    /* renamed from: b */
    public a generateLayoutParams(AttributeSet attributeSet) {
        return new a(getContext(), attributeSet);
    }

    public Object c(int i2, Object obj) {
        if (i2 != 0 || !(obj instanceof String)) {
            return null;
        }
        String str = (String) obj;
        HashMap<String, Integer> hashMap = this.n;
        if (hashMap == null || !hashMap.containsKey(str)) {
            return null;
        }
        return this.n.get(str);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof a;
    }

    public void dispatchDraw(Canvas canvas) {
        Object tag;
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            int childCount = getChildCount();
            float width = (float) getWidth();
            float height = (float) getHeight();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = getChildAt(i2);
                if (!(childAt.getVisibility() == 8 || (tag = childAt.getTag()) == null || !(tag instanceof String))) {
                    String[] split = ((String) tag).split(",");
                    if (split.length == 4) {
                        int parseInt = Integer.parseInt(split[0]);
                        int parseInt2 = Integer.parseInt(split[1]);
                        int parseInt3 = Integer.parseInt(split[2]);
                        int i3 = (int) ((((float) parseInt) / 1080.0f) * width);
                        int i4 = (int) ((((float) parseInt2) / 1920.0f) * height);
                        Paint paint = new Paint();
                        paint.setColor(-65536);
                        float f2 = (float) i3;
                        float f3 = (float) i4;
                        float f4 = (float) (i3 + ((int) ((((float) parseInt3) / 1080.0f) * width)));
                        canvas.drawLine(f2, f3, f4, f3, paint);
                        float parseInt4 = (float) (i4 + ((int) ((((float) Integer.parseInt(split[3])) / 1920.0f) * height)));
                        canvas.drawLine(f4, f3, f4, parseInt4, paint);
                        canvas.drawLine(f4, parseInt4, f2, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f2, f3, paint);
                        paint.setColor(-16711936);
                        canvas.drawLine(f2, f3, f4, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f4, f3, paint);
                    }
                }
            }
        }
    }

    public View e(int i2) {
        return this.f543b.get(i2);
    }

    public final f f(View view) {
        if (view == this) {
            return this.f546e;
        }
        if (view == null) {
            return null;
        }
        return ((a) view.getLayoutParams()).k0;
    }

    public int getMaxHeight() {
        return this.i;
    }

    public int getMaxWidth() {
        return this.h;
    }

    public int getMinHeight() {
        return this.g;
    }

    public int getMinWidth() {
        return this.f547f;
    }

    public int getOptimizationLevel() {
        return this.f546e.R0();
    }

    public void k(int i2, Object obj, Object obj2) {
        if (i2 == 0 && (obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.n == null) {
                this.n = new HashMap<>();
            }
            String str = (String) obj;
            int indexOf = str.indexOf("/");
            if (indexOf != -1) {
                str = str.substring(indexOf + 1);
            }
            this.n.put(str, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    /* access modifiers changed from: protected */
    public void m(String str) {
        this.f546e.K0();
        b.d.a.f fVar = this.q;
        if (fVar != null) {
            fVar.f1129c++;
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        View content;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            a aVar = (a) childAt.getLayoutParams();
            f fVar = aVar.k0;
            if ((childAt.getVisibility() != 8 || aVar.X || aVar.Y || isInEditMode) && !aVar.Z) {
                int p2 = fVar.p();
                int q2 = fVar.q();
                int D = fVar.D() + p2;
                int r = fVar.r() + q2;
                childAt.layout(p2, q2, D, r);
                if ((childAt instanceof f) && (content = ((f) childAt).getContent()) != null) {
                    content.setVisibility(0);
                    content.layout(p2, q2, D, r);
                }
            }
        }
        int size = this.f544c.size();
        if (size > 0) {
            for (int i7 = 0; i7 < size; i7++) {
                this.f544c.get(i7).c(this);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        boolean z;
        int i4;
        int i5;
        boolean z2;
        boolean z3;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        boolean z4;
        int i11;
        int baseline;
        int i12 = i2;
        int i13 = Build.VERSION.SDK_INT;
        System.currentTimeMillis();
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        this.f546e.C0(paddingLeft);
        this.f546e.D0(paddingTop);
        this.f546e.k0(this.h);
        this.f546e.j0(this.i);
        if (i13 >= 17) {
            this.f546e.d1(getLayoutDirection() == 1);
        }
        l(i2, i3);
        int D = this.f546e.D();
        int r = this.f546e.r();
        if (this.j) {
            this.j = false;
            n();
            z = true;
        } else {
            z = false;
        }
        boolean z5 = (this.k & 8) == 8;
        if (z5) {
            this.f546e.a1();
            this.f546e.Y0(D, r);
            i(i2, i3);
        } else {
            h(i2, i3);
        }
        o();
        if (getChildCount() > 0 && z) {
            b.d.a.j.a.a(this.f546e);
        }
        g gVar = this.f546e;
        if (gVar.x0) {
            if (gVar.y0 && mode == Integer.MIN_VALUE) {
                int i14 = gVar.A0;
                if (i14 < size) {
                    gVar.y0(i14);
                }
                this.f546e.g0(f.b.FIXED);
            }
            g gVar2 = this.f546e;
            if (gVar2.z0 && mode2 == Integer.MIN_VALUE) {
                int i15 = gVar2.B0;
                if (i15 < size2) {
                    gVar2.b0(i15);
                }
                this.f546e.u0(f.b.FIXED);
            }
        }
        if ((this.k & 32) == 32) {
            int D2 = this.f546e.D();
            int r2 = this.f546e.r();
            i4 = r;
            if (this.o != D2 && mode == 1073741824) {
                b.d.a.j.a.i(this.f546e.w0, 0, D2);
            }
            if (this.p != r2 && mode2 == 1073741824) {
                b.d.a.j.a.i(this.f546e.w0, 1, r2);
            }
            g gVar3 = this.f546e;
            if (gVar3.y0 && gVar3.A0 > size) {
                b.d.a.j.a.i(gVar3.w0, 0, size);
            }
            g gVar4 = this.f546e;
            if (gVar4.z0 && gVar4.B0 > size2) {
                b.d.a.j.a.i(gVar4.w0, 1, size2);
            }
        } else {
            i4 = r;
        }
        if (getChildCount() > 0) {
            m("First pass");
        }
        int size3 = this.f545d.size();
        int paddingBottom = paddingTop + getPaddingBottom();
        int paddingRight = paddingLeft + getPaddingRight();
        if (size3 > 0) {
            f.b s = this.f546e.s();
            f.b bVar = f.b.WRAP_CONTENT;
            boolean z6 = s == bVar;
            boolean z7 = this.f546e.B() == bVar;
            int max = Math.max(this.f546e.D(), this.f547f);
            int max2 = Math.max(this.f546e.r(), this.g);
            int i16 = 0;
            boolean z8 = false;
            int i17 = 0;
            while (i16 < size3) {
                f fVar = this.f545d.get(i16);
                View view = (View) fVar.m();
                if (view == null) {
                    i7 = size3;
                    i8 = D;
                } else {
                    i7 = size3;
                    a aVar = (a) view.getLayoutParams();
                    i8 = D;
                    if (!aVar.Y && !aVar.X) {
                        i6 = i16;
                        if (view.getVisibility() != 8 && (!z5 || !fVar.x().d() || !fVar.w().d())) {
                            int i18 = ((ViewGroup.MarginLayoutParams) aVar).width;
                            if (i18 != -2 || !aVar.U) {
                                i9 = View.MeasureSpec.makeMeasureSpec(fVar.D(), 1073741824);
                            } else {
                                i9 = ViewGroup.getChildMeasureSpec(i12, paddingRight, i18);
                            }
                            int i19 = ((ViewGroup.MarginLayoutParams) aVar).height;
                            if (i19 != -2 || !aVar.V) {
                                i10 = View.MeasureSpec.makeMeasureSpec(fVar.r(), 1073741824);
                            } else {
                                i10 = ViewGroup.getChildMeasureSpec(i3, paddingBottom, i19);
                            }
                            view.measure(i9, i10);
                            b.d.a.f fVar2 = this.q;
                            if (fVar2 != null) {
                                fVar2.f1128b++;
                            }
                            int measuredWidth = view.getMeasuredWidth();
                            int measuredHeight = view.getMeasuredHeight();
                            if (measuredWidth != fVar.D()) {
                                fVar.y0(measuredWidth);
                                if (z5) {
                                    fVar.x().h(measuredWidth);
                                }
                                if (z6 && fVar.y() > max) {
                                    max = Math.max(max, fVar.y() + fVar.h(e.d.RIGHT).d());
                                }
                                z8 = true;
                            }
                            if (measuredHeight != fVar.r()) {
                                fVar.b0(measuredHeight);
                                if (z5) {
                                    fVar.w().h(measuredHeight);
                                }
                                if (z7 && fVar.l() > max2) {
                                    max2 = Math.max(max2, fVar.l() + fVar.h(e.d.BOTTOM).d());
                                }
                                z8 = true;
                            }
                            if (!aVar.W || (baseline = view.getBaseline()) == -1 || baseline == fVar.j()) {
                                z4 = z8;
                                i11 = 11;
                            } else {
                                fVar.V(baseline);
                                i11 = 11;
                                z4 = true;
                            }
                            if (i13 >= i11) {
                                i17 = ViewGroup.combineMeasuredStates(i17, view.getMeasuredState());
                            }
                            z8 = z4;
                            i16 = i6 + 1;
                            i12 = i2;
                            D = i8;
                            size3 = i7;
                        }
                        i17 = i17;
                        i16 = i6 + 1;
                        i12 = i2;
                        D = i8;
                        size3 = i7;
                    }
                }
                i6 = i16;
                i17 = i17;
                i16 = i6 + 1;
                i12 = i2;
                D = i8;
                size3 = i7;
            }
            if (z8) {
                this.f546e.y0(D);
                this.f546e.b0(i4);
                if (z5) {
                    this.f546e.e1();
                }
                m("2nd pass");
                if (this.f546e.D() < max) {
                    this.f546e.y0(max);
                    z2 = true;
                } else {
                    z2 = false;
                }
                if (this.f546e.r() < max2) {
                    this.f546e.b0(max2);
                    z3 = true;
                } else {
                    z3 = z2;
                }
                if (z3) {
                    m("3rd pass");
                }
            }
            for (int i20 = 0; i20 < size3; i20++) {
                f fVar3 = this.f545d.get(i20);
                View view2 = (View) fVar3.m();
                if (view2 != null && (view2.getMeasuredWidth() != fVar3.D() || view2.getMeasuredHeight() != fVar3.r())) {
                    if (fVar3.C() != 8) {
                        view2.measure(View.MeasureSpec.makeMeasureSpec(fVar3.D(), 1073741824), View.MeasureSpec.makeMeasureSpec(fVar3.r(), 1073741824));
                        b.d.a.f fVar4 = this.q;
                        if (fVar4 != null) {
                            fVar4.f1128b++;
                        }
                    }
                }
            }
            i5 = i17;
        } else {
            i5 = 0;
        }
        int D3 = this.f546e.D() + paddingRight;
        int r3 = this.f546e.r() + paddingBottom;
        if (i13 >= 11) {
            int min = Math.min(this.h, ViewGroup.resolveSizeAndState(D3, i2, i5) & 16777215);
            int min2 = Math.min(this.i, ViewGroup.resolveSizeAndState(r3, i3, i5 << 16) & 16777215);
            if (this.f546e.V0()) {
                min |= 16777216;
            }
            if (this.f546e.T0()) {
                min2 |= 16777216;
            }
            setMeasuredDimension(min, min2);
            this.o = min;
            this.p = min2;
            return;
        }
        setMeasuredDimension(D3, r3);
        this.o = D3;
        this.p = r3;
    }

    public void onViewAdded(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewAdded(view);
        }
        f f2 = f(view);
        if ((view instanceof e) && !(f2 instanceof i)) {
            a aVar = (a) view.getLayoutParams();
            i iVar = new i();
            aVar.k0 = iVar;
            aVar.X = true;
            iVar.M0(aVar.R);
        }
        if (view instanceof b) {
            b bVar = (b) view;
            bVar.f();
            ((a) view.getLayoutParams()).Y = true;
            if (!this.f544c.contains(bVar)) {
                this.f544c.add(bVar);
            }
        }
        this.f543b.put(view.getId(), view);
        this.j = true;
    }

    public void onViewRemoved(View view) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onViewRemoved(view);
        }
        this.f543b.remove(view.getId());
        f f2 = f(view);
        this.f546e.L0(f2);
        this.f544c.remove(view);
        this.f545d.remove(f2);
        this.j = true;
    }

    public void removeView(View view) {
        super.removeView(view);
        if (Build.VERSION.SDK_INT < 14) {
            onViewRemoved(view);
        }
    }

    public void requestLayout() {
        super.requestLayout();
        this.j = true;
        this.o = -1;
        this.p = -1;
    }

    public void setConstraintSet(c cVar) {
        this.l = cVar;
    }

    public void setId(int i2) {
        this.f543b.remove(getId());
        super.setId(i2);
        this.f543b.put(getId(), this);
    }

    public void setMaxHeight(int i2) {
        if (i2 != this.i) {
            this.i = i2;
            requestLayout();
        }
    }

    public void setMaxWidth(int i2) {
        if (i2 != this.h) {
            this.h = i2;
            requestLayout();
        }
    }

    public void setMinHeight(int i2) {
        if (i2 != this.g) {
            this.g = i2;
            requestLayout();
        }
    }

    public void setMinWidth(int i2) {
        if (i2 != this.f547f) {
            this.f547f = i2;
            requestLayout();
        }
    }

    public void setOptimizationLevel(int i2) {
        this.f546e.c1(i2);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new a(layoutParams);
    }

    public static class a extends ViewGroup.MarginLayoutParams {
        public float A = 0.5f;
        public String B = null;
        int C = 1;
        public float D = -1.0f;
        public float E = -1.0f;
        public int F = 0;
        public int G = 0;
        public int H = 0;
        public int I = 0;
        public int J = 0;
        public int K = 0;
        public int L = 0;
        public int M = 0;
        public float N = 1.0f;
        public float O = 1.0f;
        public int P = -1;
        public int Q = -1;
        public int R = -1;
        public boolean S = false;
        public boolean T = false;
        boolean U = true;
        boolean V = true;
        boolean W = false;
        boolean X = false;
        boolean Y = false;
        boolean Z = false;

        /* renamed from: a  reason: collision with root package name */
        public int f548a = -1;
        int a0 = -1;

        /* renamed from: b  reason: collision with root package name */
        public int f549b = -1;
        int b0 = -1;

        /* renamed from: c  reason: collision with root package name */
        public float f550c = -1.0f;
        int c0 = -1;

        /* renamed from: d  reason: collision with root package name */
        public int f551d = -1;
        int d0 = -1;

        /* renamed from: e  reason: collision with root package name */
        public int f552e = -1;
        int e0 = -1;

        /* renamed from: f  reason: collision with root package name */
        public int f553f = -1;
        int f0 = -1;
        public int g = -1;
        float g0 = 0.5f;
        public int h = -1;
        int h0;
        public int i = -1;
        int i0;
        public int j = -1;
        float j0;
        public int k = -1;
        f k0 = new f();
        public int l = -1;
        public boolean l0 = false;
        public int m = -1;
        public int n = 0;
        public float o = 0.0f;
        public int p = -1;
        public int q = -1;
        public int r = -1;
        public int s = -1;
        public int t = -1;
        public int u = -1;
        public int v = -1;
        public int w = -1;
        public int x = -1;
        public int y = -1;
        public float z = 0.5f;

        /* renamed from: androidx.constraintlayout.widget.ConstraintLayout$a$a  reason: collision with other inner class name */
        private static class C0011a {

            /* renamed from: a  reason: collision with root package name */
            public static final SparseIntArray f554a;

            static {
                SparseIntArray sparseIntArray = new SparseIntArray();
                f554a = sparseIntArray;
                sparseIntArray.append(h.I, 8);
                sparseIntArray.append(h.J, 9);
                sparseIntArray.append(h.L, 10);
                sparseIntArray.append(h.M, 11);
                sparseIntArray.append(h.R, 12);
                sparseIntArray.append(h.Q, 13);
                sparseIntArray.append(h.q, 14);
                sparseIntArray.append(h.p, 15);
                sparseIntArray.append(h.n, 16);
                sparseIntArray.append(h.r, 2);
                sparseIntArray.append(h.t, 3);
                sparseIntArray.append(h.s, 4);
                sparseIntArray.append(h.Z, 49);
                sparseIntArray.append(h.a0, 50);
                sparseIntArray.append(h.x, 5);
                sparseIntArray.append(h.y, 6);
                sparseIntArray.append(h.z, 7);
                sparseIntArray.append(h.f574b, 1);
                sparseIntArray.append(h.N, 17);
                sparseIntArray.append(h.O, 18);
                sparseIntArray.append(h.w, 19);
                sparseIntArray.append(h.v, 20);
                sparseIntArray.append(h.d0, 21);
                sparseIntArray.append(h.g0, 22);
                sparseIntArray.append(h.e0, 23);
                sparseIntArray.append(h.b0, 24);
                sparseIntArray.append(h.f0, 25);
                sparseIntArray.append(h.c0, 26);
                sparseIntArray.append(h.E, 29);
                sparseIntArray.append(h.S, 30);
                sparseIntArray.append(h.u, 44);
                sparseIntArray.append(h.G, 45);
                sparseIntArray.append(h.U, 46);
                sparseIntArray.append(h.F, 47);
                sparseIntArray.append(h.T, 48);
                sparseIntArray.append(h.l, 27);
                sparseIntArray.append(h.k, 28);
                sparseIntArray.append(h.V, 31);
                sparseIntArray.append(h.A, 32);
                sparseIntArray.append(h.X, 33);
                sparseIntArray.append(h.W, 34);
                sparseIntArray.append(h.Y, 35);
                sparseIntArray.append(h.C, 36);
                sparseIntArray.append(h.B, 37);
                sparseIntArray.append(h.D, 38);
                sparseIntArray.append(h.H, 39);
                sparseIntArray.append(h.P, 40);
                sparseIntArray.append(h.K, 41);
                sparseIntArray.append(h.o, 42);
                sparseIntArray.append(h.m, 43);
            }
        }

        public a(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            int i2;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, h.f573a);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i3 = 0; i3 < indexCount; i3++) {
                int index = obtainStyledAttributes.getIndex(i3);
                int i4 = C0011a.f554a.get(index);
                switch (i4) {
                    case 1:
                        this.R = obtainStyledAttributes.getInt(index, this.R);
                        break;
                    case 2:
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.m);
                        this.m = resourceId;
                        if (resourceId == -1) {
                            this.m = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        this.n = obtainStyledAttributes.getDimensionPixelSize(index, this.n);
                        break;
                    case 4:
                        float f2 = obtainStyledAttributes.getFloat(index, this.o) % 360.0f;
                        this.o = f2;
                        if (f2 < 0.0f) {
                            this.o = (360.0f - f2) % 360.0f;
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        this.f548a = obtainStyledAttributes.getDimensionPixelOffset(index, this.f548a);
                        break;
                    case 6:
                        this.f549b = obtainStyledAttributes.getDimensionPixelOffset(index, this.f549b);
                        break;
                    case 7:
                        this.f550c = obtainStyledAttributes.getFloat(index, this.f550c);
                        break;
                    case 8:
                        int resourceId2 = obtainStyledAttributes.getResourceId(index, this.f551d);
                        this.f551d = resourceId2;
                        if (resourceId2 == -1) {
                            this.f551d = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        int resourceId3 = obtainStyledAttributes.getResourceId(index, this.f552e);
                        this.f552e = resourceId3;
                        if (resourceId3 == -1) {
                            this.f552e = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        int resourceId4 = obtainStyledAttributes.getResourceId(index, this.f553f);
                        this.f553f = resourceId4;
                        if (resourceId4 == -1) {
                            this.f553f = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        int resourceId5 = obtainStyledAttributes.getResourceId(index, this.g);
                        this.g = resourceId5;
                        if (resourceId5 == -1) {
                            this.g = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        int resourceId6 = obtainStyledAttributes.getResourceId(index, this.h);
                        this.h = resourceId6;
                        if (resourceId6 == -1) {
                            this.h = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        int resourceId7 = obtainStyledAttributes.getResourceId(index, this.i);
                        this.i = resourceId7;
                        if (resourceId7 == -1) {
                            this.i = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        int resourceId8 = obtainStyledAttributes.getResourceId(index, this.j);
                        this.j = resourceId8;
                        if (resourceId8 == -1) {
                            this.j = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        int resourceId9 = obtainStyledAttributes.getResourceId(index, this.k);
                        this.k = resourceId9;
                        if (resourceId9 == -1) {
                            this.k = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        int resourceId10 = obtainStyledAttributes.getResourceId(index, this.l);
                        this.l = resourceId10;
                        if (resourceId10 == -1) {
                            this.l = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        int resourceId11 = obtainStyledAttributes.getResourceId(index, this.p);
                        this.p = resourceId11;
                        if (resourceId11 == -1) {
                            this.p = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        int resourceId12 = obtainStyledAttributes.getResourceId(index, this.q);
                        this.q = resourceId12;
                        if (resourceId12 == -1) {
                            this.q = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 19:
                        int resourceId13 = obtainStyledAttributes.getResourceId(index, this.r);
                        this.r = resourceId13;
                        if (resourceId13 == -1) {
                            this.r = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 20:
                        int resourceId14 = obtainStyledAttributes.getResourceId(index, this.s);
                        this.s = resourceId14;
                        if (resourceId14 == -1) {
                            this.s = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 21:
                        this.t = obtainStyledAttributes.getDimensionPixelSize(index, this.t);
                        break;
                    case 22:
                        this.u = obtainStyledAttributes.getDimensionPixelSize(index, this.u);
                        break;
                    case 23:
                        this.v = obtainStyledAttributes.getDimensionPixelSize(index, this.v);
                        break;
                    case 24:
                        this.w = obtainStyledAttributes.getDimensionPixelSize(index, this.w);
                        break;
                    case 25:
                        this.x = obtainStyledAttributes.getDimensionPixelSize(index, this.x);
                        break;
                    case 26:
                        this.y = obtainStyledAttributes.getDimensionPixelSize(index, this.y);
                        break;
                    case 27:
                        this.S = obtainStyledAttributes.getBoolean(index, this.S);
                        break;
                    case 28:
                        this.T = obtainStyledAttributes.getBoolean(index, this.T);
                        break;
                    case 29:
                        this.z = obtainStyledAttributes.getFloat(index, this.z);
                        break;
                    case 30:
                        this.A = obtainStyledAttributes.getFloat(index, this.A);
                        break;
                    case h.F:
                        int i5 = obtainStyledAttributes.getInt(index, 0);
                        this.H = i5;
                        if (i5 == 1) {
                            Log.e("ConstraintLayout", "layout_constraintWidth_default=\"wrap\" is deprecated.\nUse layout_width=\"WRAP_CONTENT\" and layout_constrainedWidth=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case h.G:
                        int i6 = obtainStyledAttributes.getInt(index, 0);
                        this.I = i6;
                        if (i6 == 1) {
                            Log.e("ConstraintLayout", "layout_constraintHeight_default=\"wrap\" is deprecated.\nUse layout_height=\"WRAP_CONTENT\" and layout_constrainedHeight=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 33:
                        try {
                            this.J = obtainStyledAttributes.getDimensionPixelSize(index, this.J);
                            break;
                        } catch (Exception unused) {
                            if (obtainStyledAttributes.getInt(index, this.J) == -2) {
                                this.J = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 34:
                        try {
                            this.L = obtainStyledAttributes.getDimensionPixelSize(index, this.L);
                            break;
                        } catch (Exception unused2) {
                            if (obtainStyledAttributes.getInt(index, this.L) == -2) {
                                this.L = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 35:
                        this.N = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.N));
                        break;
                    case 36:
                        try {
                            this.K = obtainStyledAttributes.getDimensionPixelSize(index, this.K);
                            break;
                        } catch (Exception unused3) {
                            if (obtainStyledAttributes.getInt(index, this.K) == -2) {
                                this.K = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 37:
                        try {
                            this.M = obtainStyledAttributes.getDimensionPixelSize(index, this.M);
                            break;
                        } catch (Exception unused4) {
                            if (obtainStyledAttributes.getInt(index, this.M) == -2) {
                                this.M = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 38:
                        this.O = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.O));
                        break;
                    default:
                        switch (i4) {
                            case 44:
                                String string = obtainStyledAttributes.getString(index);
                                this.B = string;
                                this.C = -1;
                                if (string != null) {
                                    int length = string.length();
                                    int indexOf = this.B.indexOf(44);
                                    if (indexOf <= 0 || indexOf >= length - 1) {
                                        i2 = 0;
                                    } else {
                                        String substring = this.B.substring(0, indexOf);
                                        if (substring.equalsIgnoreCase("W")) {
                                            this.C = 0;
                                        } else if (substring.equalsIgnoreCase("H")) {
                                            this.C = 1;
                                        }
                                        i2 = indexOf + 1;
                                    }
                                    int indexOf2 = this.B.indexOf(58);
                                    if (indexOf2 < 0 || indexOf2 >= length - 1) {
                                        String substring2 = this.B.substring(i2);
                                        if (substring2.length() > 0) {
                                            Float.parseFloat(substring2);
                                            break;
                                        } else {
                                            break;
                                        }
                                    } else {
                                        String substring3 = this.B.substring(i2, indexOf2);
                                        String substring4 = this.B.substring(indexOf2 + 1);
                                        if (substring3.length() > 0 && substring4.length() > 0) {
                                            try {
                                                float parseFloat = Float.parseFloat(substring3);
                                                float parseFloat2 = Float.parseFloat(substring4);
                                                if (parseFloat > 0.0f && parseFloat2 > 0.0f) {
                                                    if (this.C == 1) {
                                                        Math.abs(parseFloat2 / parseFloat);
                                                        break;
                                                    } else {
                                                        Math.abs(parseFloat / parseFloat2);
                                                        break;
                                                    }
                                                }
                                            } catch (NumberFormatException unused5) {
                                                break;
                                            }
                                        }
                                    }
                                } else {
                                    continue;
                                }
                                break;
                            case 45:
                                this.D = obtainStyledAttributes.getFloat(index, this.D);
                                continue;
                            case 46:
                                this.E = obtainStyledAttributes.getFloat(index, this.E);
                                continue;
                            case 47:
                                this.F = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 48:
                                this.G = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 49:
                                this.P = obtainStyledAttributes.getDimensionPixelOffset(index, this.P);
                                continue;
                            case 50:
                                this.Q = obtainStyledAttributes.getDimensionPixelOffset(index, this.Q);
                                continue;
                        }
                }
            }
            obtainStyledAttributes.recycle();
            a();
        }

        public void a() {
            this.X = false;
            this.U = true;
            this.V = true;
            int i2 = ((ViewGroup.MarginLayoutParams) this).width;
            if (i2 == -2 && this.S) {
                this.U = false;
                this.H = 1;
            }
            int i3 = ((ViewGroup.MarginLayoutParams) this).height;
            if (i3 == -2 && this.T) {
                this.V = false;
                this.I = 1;
            }
            if (i2 == 0 || i2 == -1) {
                this.U = false;
                if (i2 == 0 && this.H == 1) {
                    ((ViewGroup.MarginLayoutParams) this).width = -2;
                    this.S = true;
                }
            }
            if (i3 == 0 || i3 == -1) {
                this.V = false;
                if (i3 == 0 && this.I == 1) {
                    ((ViewGroup.MarginLayoutParams) this).height = -2;
                    this.T = true;
                }
            }
            if (this.f550c != -1.0f || this.f548a != -1 || this.f549b != -1) {
                this.X = true;
                this.U = true;
                this.V = true;
                if (!(this.k0 instanceof i)) {
                    this.k0 = new i();
                }
                ((i) this.k0).M0(this.R);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x004c  */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0053  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x005a  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0060  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0066  */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x007c  */
        /* JADX WARNING: Removed duplicated region for block: B:34:0x0084  */
        @TargetApi(17)
        public void resolveLayoutDirection(int i2) {
            int i3;
            int i4;
            int i5;
            int i6;
            float f2;
            int i7 = ((ViewGroup.MarginLayoutParams) this).leftMargin;
            int i8 = ((ViewGroup.MarginLayoutParams) this).rightMargin;
            super.resolveLayoutDirection(i2);
            this.c0 = -1;
            this.d0 = -1;
            this.a0 = -1;
            this.b0 = -1;
            this.e0 = -1;
            this.f0 = -1;
            this.e0 = this.t;
            this.f0 = this.v;
            this.g0 = this.z;
            this.h0 = this.f548a;
            this.i0 = this.f549b;
            this.j0 = this.f550c;
            boolean z2 = false;
            if (1 == getLayoutDirection()) {
                int i9 = this.p;
                if (i9 != -1) {
                    this.c0 = i9;
                } else {
                    int i10 = this.q;
                    if (i10 != -1) {
                        this.d0 = i10;
                    }
                    i3 = this.r;
                    if (i3 != -1) {
                        this.b0 = i3;
                        z2 = true;
                    }
                    i4 = this.s;
                    if (i4 != -1) {
                        this.a0 = i4;
                        z2 = true;
                    }
                    i5 = this.x;
                    if (i5 != -1) {
                        this.f0 = i5;
                    }
                    i6 = this.y;
                    if (i6 != -1) {
                        this.e0 = i6;
                    }
                    if (z2) {
                        this.g0 = 1.0f - this.z;
                    }
                    if (this.X && this.R == 1) {
                        f2 = this.f550c;
                        if (f2 == -1.0f) {
                            this.j0 = 1.0f - f2;
                            this.h0 = -1;
                            this.i0 = -1;
                        } else {
                            int i11 = this.f548a;
                            if (i11 != -1) {
                                this.i0 = i11;
                                this.h0 = -1;
                                this.j0 = -1.0f;
                            } else {
                                int i12 = this.f549b;
                                if (i12 != -1) {
                                    this.h0 = i12;
                                    this.i0 = -1;
                                    this.j0 = -1.0f;
                                }
                            }
                        }
                    }
                }
                z2 = true;
                i3 = this.r;
                if (i3 != -1) {
                }
                i4 = this.s;
                if (i4 != -1) {
                }
                i5 = this.x;
                if (i5 != -1) {
                }
                i6 = this.y;
                if (i6 != -1) {
                }
                if (z2) {
                }
                f2 = this.f550c;
                if (f2 == -1.0f) {
                }
            } else {
                int i13 = this.p;
                if (i13 != -1) {
                    this.b0 = i13;
                }
                int i14 = this.q;
                if (i14 != -1) {
                    this.a0 = i14;
                }
                int i15 = this.r;
                if (i15 != -1) {
                    this.c0 = i15;
                }
                int i16 = this.s;
                if (i16 != -1) {
                    this.d0 = i16;
                }
                int i17 = this.x;
                if (i17 != -1) {
                    this.e0 = i17;
                }
                int i18 = this.y;
                if (i18 != -1) {
                    this.f0 = i18;
                }
            }
            if (this.r == -1 && this.s == -1 && this.q == -1 && this.p == -1) {
                int i19 = this.f553f;
                if (i19 != -1) {
                    this.c0 = i19;
                    if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                    }
                } else {
                    int i20 = this.g;
                    if (i20 != -1) {
                        this.d0 = i20;
                        if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                            ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                        }
                    }
                }
                int i21 = this.f551d;
                if (i21 != -1) {
                    this.a0 = i21;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                        return;
                    }
                    return;
                }
                int i22 = this.f552e;
                if (i22 != -1) {
                    this.b0 = i22;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                    }
                }
            }
        }

        public a(int i2, int i3) {
            super(i2, i3);
        }

        public a(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
