package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import b.d.a.j.j;
import java.util.Arrays;

/* compiled from: ConstraintHelper */
public abstract class b extends View {

    /* renamed from: b  reason: collision with root package name */
    protected int[] f555b = new int[32];

    /* renamed from: c  reason: collision with root package name */
    protected int f556c;

    /* renamed from: d  reason: collision with root package name */
    protected Context f557d;

    /* renamed from: e  reason: collision with root package name */
    protected j f558e;

    /* renamed from: f  reason: collision with root package name */
    protected boolean f559f = false;
    private String g;

    public b(Context context) {
        super(context);
        this.f557d = context;
        b(null);
    }

    private void a(String str) {
        int i;
        Object c2;
        if (str != null && this.f557d != null) {
            String trim = str.trim();
            try {
                i = g.class.getField(trim).getInt(null);
            } catch (Exception unused) {
                i = 0;
            }
            if (i == 0) {
                i = this.f557d.getResources().getIdentifier(trim, "id", this.f557d.getPackageName());
            }
            if (i == 0 && isInEditMode() && (getParent() instanceof ConstraintLayout) && (c2 = ((ConstraintLayout) getParent()).c(0, trim)) != null && (c2 instanceof Integer)) {
                i = ((Integer) c2).intValue();
            }
            if (i != 0) {
                setTag(i, null);
                return;
            }
            Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
        }
    }

    private void setIds(String str) {
        if (str != null) {
            int i = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    a(str.substring(i));
                    return;
                } else {
                    a(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void b(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, h.f573a);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == h.j) {
                    String string = obtainStyledAttributes.getString(index);
                    this.g = string;
                    setIds(string);
                }
            }
        }
    }

    public void c(ConstraintLayout constraintLayout) {
    }

    public void d(ConstraintLayout constraintLayout) {
    }

    public void e(ConstraintLayout constraintLayout) {
        if (isInEditMode()) {
            setIds(this.g);
        }
        j jVar = this.f558e;
        if (jVar != null) {
            jVar.J0();
            for (int i = 0; i < this.f556c; i++) {
                View e2 = constraintLayout.e(this.f555b[i]);
                if (e2 != null) {
                    this.f558e.I0(constraintLayout.f(e2));
                }
            }
        }
    }

    public void f() {
        if (this.f558e != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.a) {
                ((ConstraintLayout.a) layoutParams).k0 = this.f558e;
            }
        }
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f555b, this.f556c);
    }

    public void onDraw(Canvas canvas) {
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.f559f) {
            super.onMeasure(i, i2);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f556c = 0;
        for (int i : iArr) {
            setTag(i, null);
        }
    }

    public void setTag(int i, Object obj) {
        int i2 = this.f556c + 1;
        int[] iArr = this.f555b;
        if (i2 > iArr.length) {
            this.f555b = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.f555b;
        int i3 = this.f556c;
        iArr2[i3] = i;
        this.f556c = i3 + 1;
    }
}
