package androidx.core.app;

import android.app.Activity;
import android.app.SharedElementCallback;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.pm.PackageManager;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.view.View;
import androidx.core.app.k;
import java.util.List;
import java.util.Map;

/* compiled from: ActivityCompat */
public class a extends androidx.core.content.a {

    /* renamed from: c  reason: collision with root package name */
    private static c f579c;

    /* renamed from: androidx.core.app.a$a  reason: collision with other inner class name */
    /* compiled from: ActivityCompat */
    static class RunnableC0012a implements Runnable {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String[] f580b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Activity f581c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ int f582d;

        RunnableC0012a(String[] strArr, Activity activity, int i) {
            this.f580b = strArr;
            this.f581c = activity;
            this.f582d = i;
        }

        public void run() {
            int[] iArr = new int[this.f580b.length];
            PackageManager packageManager = this.f581c.getPackageManager();
            String packageName = this.f581c.getPackageName();
            int length = this.f580b.length;
            for (int i = 0; i < length; i++) {
                iArr[i] = packageManager.checkPermission(this.f580b[i], packageName);
            }
            ((b) this.f581c).onRequestPermissionsResult(this.f582d, this.f580b, iArr);
        }
    }

    /* compiled from: ActivityCompat */
    public interface b {
        void onRequestPermissionsResult(int i, String[] strArr, int[] iArr);
    }

    /* compiled from: ActivityCompat */
    public interface c {
        boolean a(Activity activity, String[] strArr, int i);

        boolean b(Activity activity, int i, int i2, Intent intent);
    }

    /* compiled from: ActivityCompat */
    public interface d {
        void validateRequestPermissionsRequestCode(int i);
    }

    /* compiled from: ActivityCompat */
    private static class e extends SharedElementCallback {

        /* renamed from: a  reason: collision with root package name */
        private final k f583a;

        /* renamed from: androidx.core.app.a$e$a  reason: collision with other inner class name */
        /* compiled from: ActivityCompat */
        class C0013a implements k.a {
            C0013a(e eVar, SharedElementCallback.OnSharedElementsReadyListener onSharedElementsReadyListener) {
            }
        }

        e(k kVar) {
        }

        public Parcelable onCaptureSharedElementSnapshot(View view, Matrix matrix, RectF rectF) {
            return this.f583a.a(view, matrix, rectF);
        }

        public View onCreateSnapshotView(Context context, Parcelable parcelable) {
            return this.f583a.b(context, parcelable);
        }

        @Override // android.app.SharedElementCallback
        public void onMapSharedElements(List<String> list, Map<String, View> map) {
            this.f583a.c(list, map);
        }

        @Override // android.app.SharedElementCallback
        public void onRejectSharedElements(List<View> list) {
            this.f583a.d(list);
        }

        @Override // android.app.SharedElementCallback
        public void onSharedElementEnd(List<String> list, List<View> list2, List<View> list3) {
            this.f583a.e(list, list2, list3);
        }

        @Override // android.app.SharedElementCallback
        public void onSharedElementStart(List<String> list, List<View> list2, List<View> list3) {
            this.f583a.f(list, list2, list3);
        }

        @Override // android.app.SharedElementCallback
        public void onSharedElementsArrived(List<String> list, List<View> list2, SharedElementCallback.OnSharedElementsReadyListener onSharedElementsReadyListener) {
            this.f583a.g(list, list2, new C0013a(this, onSharedElementsReadyListener));
        }
    }

    public static void i(Activity activity) {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.finishAffinity();
        } else {
            activity.finish();
        }
    }

    public static void j(Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.finishAfterTransition();
        } else {
            activity.finish();
        }
    }

    public static c k() {
        return f579c;
    }

    public static void l(Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.postponeEnterTransition();
        }
    }

    public static void m(Activity activity, String[] strArr, int i) {
        c cVar = f579c;
        if (cVar != null && cVar.a(activity, strArr, i)) {
            return;
        }
        if (Build.VERSION.SDK_INT >= 23) {
            if (activity instanceof d) {
                ((d) activity).validateRequestPermissionsRequestCode(i);
            }
            activity.requestPermissions(strArr, i);
        } else if (activity instanceof b) {
            new Handler(Looper.getMainLooper()).post(new RunnableC0012a(strArr, activity, i));
        }
    }

    public static void n(Activity activity, k kVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.setEnterSharedElementCallback(kVar != null ? new e(kVar) : null);
        }
    }

    public static void o(Activity activity, k kVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.setExitSharedElementCallback(kVar != null ? new e(kVar) : null);
        }
    }

    public static void p(Activity activity, Intent intent, int i, Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.startActivityForResult(intent, i, bundle);
        } else {
            activity.startActivityForResult(intent, i);
        }
    }

    public static void q(Activity activity, IntentSender intentSender, int i, Intent intent, int i2, int i3, int i4, Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4, bundle);
        } else {
            activity.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4);
        }
    }

    public static void r(Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.startPostponedEnterTransition();
        }
    }
}
