package androidx.core.content.c;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.Base64;
import android.util.TypedValue;
import android.util.Xml;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: FontResourcesParserCompat */
public class c {

    /* compiled from: FontResourcesParserCompat */
    public interface a {
    }

    /* compiled from: FontResourcesParserCompat */
    public static final class b implements a {

        /* renamed from: a  reason: collision with root package name */
        private final C0014c[] f620a;

        public b(C0014c[] cVarArr) {
            this.f620a = cVarArr;
        }

        public C0014c[] a() {
            return this.f620a;
        }
    }

    /* renamed from: androidx.core.content.c.c$c  reason: collision with other inner class name */
    /* compiled from: FontResourcesParserCompat */
    public static final class C0014c {

        /* renamed from: a  reason: collision with root package name */
        private final String f621a;

        /* renamed from: b  reason: collision with root package name */
        private int f622b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f623c;

        /* renamed from: d  reason: collision with root package name */
        private String f624d;

        /* renamed from: e  reason: collision with root package name */
        private int f625e;

        /* renamed from: f  reason: collision with root package name */
        private int f626f;

        public C0014c(String str, int i, boolean z, String str2, int i2, int i3) {
            this.f621a = str;
            this.f622b = i;
            this.f623c = z;
            this.f624d = str2;
            this.f625e = i2;
            this.f626f = i3;
        }

        public String a() {
            return this.f621a;
        }

        public int b() {
            return this.f626f;
        }

        public int c() {
            return this.f625e;
        }

        public String d() {
            return this.f624d;
        }

        public int e() {
            return this.f622b;
        }

        public boolean f() {
            return this.f623c;
        }
    }

    /* compiled from: FontResourcesParserCompat */
    public static final class d implements a {

        /* renamed from: a  reason: collision with root package name */
        private final b.e.h.a f627a;

        /* renamed from: b  reason: collision with root package name */
        private final int f628b;

        /* renamed from: c  reason: collision with root package name */
        private final int f629c;

        public d(b.e.h.a aVar, int i, int i2) {
            this.f627a = aVar;
            this.f629c = i;
            this.f628b = i2;
        }

        public int a() {
            return this.f629c;
        }

        public b.e.h.a b() {
            return this.f627a;
        }

        public int c() {
            return this.f628b;
        }
    }

    private static int a(TypedArray typedArray, int i) {
        if (Build.VERSION.SDK_INT >= 21) {
            return typedArray.getType(i);
        }
        TypedValue typedValue = new TypedValue();
        typedArray.getValue(i, typedValue);
        return typedValue.type;
    }

    public static a b(XmlPullParser xmlPullParser, Resources resources) {
        int next;
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return d(xmlPullParser, resources);
        }
        throw new XmlPullParserException("No start tag found");
    }

    public static List<List<byte[]>> c(Resources resources, int i) {
        if (i == 0) {
            return Collections.emptyList();
        }
        TypedArray obtainTypedArray = resources.obtainTypedArray(i);
        try {
            if (obtainTypedArray.length() == 0) {
                return Collections.emptyList();
            }
            ArrayList arrayList = new ArrayList();
            if (a(obtainTypedArray, 0) == 1) {
                for (int i2 = 0; i2 < obtainTypedArray.length(); i2++) {
                    int resourceId = obtainTypedArray.getResourceId(i2, 0);
                    if (resourceId != 0) {
                        arrayList.add(h(resources.getStringArray(resourceId)));
                    }
                }
            } else {
                arrayList.add(h(resources.getStringArray(i)));
            }
            obtainTypedArray.recycle();
            return arrayList;
        } finally {
            obtainTypedArray.recycle();
        }
    }

    private static a d(XmlPullParser xmlPullParser, Resources resources) {
        xmlPullParser.require(2, null, "font-family");
        if (xmlPullParser.getName().equals("font-family")) {
            return e(xmlPullParser, resources);
        }
        g(xmlPullParser);
        return null;
    }

    private static a e(XmlPullParser xmlPullParser, Resources resources) {
        TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), b.e.c.f1213e);
        String string = obtainAttributes.getString(b.e.c.f1214f);
        String string2 = obtainAttributes.getString(b.e.c.j);
        String string3 = obtainAttributes.getString(b.e.c.k);
        int resourceId = obtainAttributes.getResourceId(b.e.c.g, 0);
        int integer = obtainAttributes.getInteger(b.e.c.h, 1);
        int integer2 = obtainAttributes.getInteger(b.e.c.i, 500);
        obtainAttributes.recycle();
        if (string == null || string2 == null || string3 == null) {
            ArrayList arrayList = new ArrayList();
            while (xmlPullParser.next() != 3) {
                if (xmlPullParser.getEventType() == 2) {
                    if (xmlPullParser.getName().equals("font")) {
                        arrayList.add(f(xmlPullParser, resources));
                    } else {
                        g(xmlPullParser);
                    }
                }
            }
            if (arrayList.isEmpty()) {
                return null;
            }
            return new b((C0014c[]) arrayList.toArray(new C0014c[arrayList.size()]));
        }
        while (xmlPullParser.next() != 3) {
            g(xmlPullParser);
        }
        return new d(new b.e.h.a(string, string2, string3, c(resources, resourceId)), integer, integer2);
    }

    private static C0014c f(XmlPullParser xmlPullParser, Resources resources) {
        TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), b.e.c.l);
        int i = b.e.c.u;
        if (!obtainAttributes.hasValue(i)) {
            i = b.e.c.n;
        }
        int i2 = obtainAttributes.getInt(i, 400);
        int i3 = b.e.c.s;
        if (!obtainAttributes.hasValue(i3)) {
            i3 = b.e.c.o;
        }
        boolean z = 1 == obtainAttributes.getInt(i3, 0);
        int i4 = b.e.c.v;
        if (!obtainAttributes.hasValue(i4)) {
            i4 = b.e.c.p;
        }
        int i5 = b.e.c.t;
        if (!obtainAttributes.hasValue(i5)) {
            i5 = b.e.c.q;
        }
        String string = obtainAttributes.getString(i5);
        int i6 = obtainAttributes.getInt(i4, 0);
        int i7 = b.e.c.r;
        if (!obtainAttributes.hasValue(i7)) {
            i7 = b.e.c.m;
        }
        int resourceId = obtainAttributes.getResourceId(i7, 0);
        String string2 = obtainAttributes.getString(i7);
        obtainAttributes.recycle();
        while (xmlPullParser.next() != 3) {
            g(xmlPullParser);
        }
        return new C0014c(string2, i2, z, string, i6, resourceId);
    }

    private static void g(XmlPullParser xmlPullParser) {
        int i = 1;
        while (i > 0) {
            int next = xmlPullParser.next();
            if (next == 2) {
                i++;
            } else if (next == 3) {
                i--;
            }
        }
    }

    private static List<byte[]> h(String[] strArr) {
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            arrayList.add(Base64.decode(str, 0));
        }
        return arrayList;
    }
}
