package androidx.core.content.c;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.RadialGradient;
import android.graphics.Shader;
import android.graphics.SweepGradient;
import android.util.AttributeSet;
import b.e.c;
import java.util.ArrayList;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: GradientColorInflaterCompat */
final class d {
    private static a a(a aVar, int i, int i2, boolean z, int i3) {
        if (aVar != null) {
            return aVar;
        }
        if (z) {
            return new a(i, i3, i2);
        }
        return new a(i, i2);
    }

    static Shader b(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        String name = xmlPullParser.getName();
        if (name.equals("gradient")) {
            TypedArray i = g.i(resources, theme, attributeSet, c.w);
            float d2 = g.d(i, xmlPullParser, "startX", c.F, 0.0f);
            float d3 = g.d(i, xmlPullParser, "startY", c.G, 0.0f);
            float d4 = g.d(i, xmlPullParser, "endX", c.H, 0.0f);
            float d5 = g.d(i, xmlPullParser, "endY", c.I, 0.0f);
            float d6 = g.d(i, xmlPullParser, "centerX", c.A, 0.0f);
            float d7 = g.d(i, xmlPullParser, "centerY", c.B, 0.0f);
            int e2 = g.e(i, xmlPullParser, "type", c.z, 0);
            int b2 = g.b(i, xmlPullParser, "startColor", c.x, 0);
            boolean h = g.h(xmlPullParser, "centerColor");
            int b3 = g.b(i, xmlPullParser, "centerColor", c.E, 0);
            int b4 = g.b(i, xmlPullParser, "endColor", c.y, 0);
            int e3 = g.e(i, xmlPullParser, "tileMode", c.D, 0);
            float d8 = g.d(i, xmlPullParser, "gradientRadius", c.C, 0.0f);
            i.recycle();
            a a2 = a(c(resources, xmlPullParser, attributeSet, theme), b2, b4, h, b3);
            if (e2 != 1) {
                if (e2 != 2) {
                    return new LinearGradient(d2, d3, d4, d5, a2.f630a, a2.f631b, d(e3));
                }
                return new SweepGradient(d6, d7, a2.f630a, a2.f631b);
            } else if (d8 > 0.0f) {
                return new RadialGradient(d6, d7, d8, a2.f630a, a2.f631b, d(e3));
            } else {
                throw new XmlPullParserException("<gradient> tag requires 'gradientRadius' attribute with radial type");
            }
        } else {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid gradient color tag " + name);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0085, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(r10.getPositionDescription() + ": <item> tag requires a 'color' attribute and a 'offset' " + "attribute!");
     */
    private static a c(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int depth;
        int depth2 = xmlPullParser.getDepth() + 1;
        ArrayList arrayList = new ArrayList(20);
        ArrayList arrayList2 = new ArrayList(20);
        while (true) {
            int next = xmlPullParser.next();
            if (next != 1 && ((depth = xmlPullParser.getDepth()) >= depth2 || next != 3)) {
                if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                    TypedArray i = g.i(resources, theme, attributeSet, c.J);
                    int i2 = c.K;
                    boolean hasValue = i.hasValue(i2);
                    int i3 = c.L;
                    boolean hasValue2 = i.hasValue(i3);
                    if (!hasValue || !hasValue2) {
                    } else {
                        int color = i.getColor(i2, 0);
                        float f2 = i.getFloat(i3, 0.0f);
                        i.recycle();
                        arrayList2.add(Integer.valueOf(color));
                        arrayList.add(Float.valueOf(f2));
                    }
                }
            }
        }
        if (arrayList2.size() > 0) {
            return new a(arrayList2, arrayList);
        }
        return null;
    }

    private static Shader.TileMode d(int i) {
        if (i == 1) {
            return Shader.TileMode.REPEAT;
        }
        if (i != 2) {
            return Shader.TileMode.CLAMP;
        }
        return Shader.TileMode.MIRROR;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: GradientColorInflaterCompat */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        final int[] f630a;

        /* renamed from: b  reason: collision with root package name */
        final float[] f631b;

        a(List<Integer> list, List<Float> list2) {
            int size = list.size();
            this.f630a = new int[size];
            this.f631b = new float[size];
            for (int i = 0; i < size; i++) {
                this.f630a[i] = list.get(i).intValue();
                this.f631b[i] = list2.get(i).floatValue();
            }
        }

        a(int i, int i2) {
            this.f630a = new int[]{i, i2};
            this.f631b = new float[]{0.0f, 1.0f};
        }

        a(int i, int i2, int i3) {
            this.f630a = new int[]{i, i2, i3};
            this.f631b = new float[]{0.0f, 0.5f, 1.0f};
        }
    }
}
