package androidx.core.content.c;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.util.TypedValue;
import androidx.core.content.c.c;
import b.e.d.c;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ResourcesCompat */
public final class f {

    /* compiled from: ResourcesCompat */
    public static abstract class a {

        /* access modifiers changed from: package-private */
        /* renamed from: androidx.core.content.c.f$a$a  reason: collision with other inner class name */
        /* compiled from: ResourcesCompat */
        public class RunnableC0015a implements Runnable {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Typeface f632b;

            RunnableC0015a(Typeface typeface) {
                this.f632b = typeface;
            }

            public void run() {
                a.this.d(this.f632b);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: ResourcesCompat */
        public class b implements Runnable {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ int f634b;

            b(int i) {
                this.f634b = i;
            }

            public void run() {
                a.this.c(this.f634b);
            }
        }

        public final void a(int i, Handler handler) {
            if (handler == null) {
                handler = new Handler(Looper.getMainLooper());
            }
            handler.post(new b(i));
        }

        public final void b(Typeface typeface, Handler handler) {
            if (handler == null) {
                handler = new Handler(Looper.getMainLooper());
            }
            handler.post(new RunnableC0015a(typeface));
        }

        public abstract void c(int i);

        public abstract void d(Typeface typeface);
    }

    public static Drawable a(Resources resources, int i, Resources.Theme theme) {
        if (Build.VERSION.SDK_INT >= 21) {
            return resources.getDrawable(i, theme);
        }
        return resources.getDrawable(i);
    }

    public static Typeface b(Context context, int i, TypedValue typedValue, int i2, a aVar) {
        if (context.isRestricted()) {
            return null;
        }
        return c(context, i, typedValue, i2, aVar, null, true);
    }

    private static Typeface c(Context context, int i, TypedValue typedValue, int i2, a aVar, Handler handler, boolean z) {
        Resources resources = context.getResources();
        resources.getValue(i, typedValue, true);
        Typeface d2 = d(context, resources, typedValue, i, i2, aVar, handler, z);
        if (d2 != null || aVar != null) {
            return d2;
        }
        throw new Resources.NotFoundException("Font resource ID #0x" + Integer.toHexString(i) + " could not be retrieved.");
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x00a3  */
    private static Typeface d(Context context, Resources resources, TypedValue typedValue, int i, int i2, a aVar, Handler handler, boolean z) {
        CharSequence charSequence = typedValue.string;
        if (charSequence != null) {
            String charSequence2 = charSequence.toString();
            if (!charSequence2.startsWith("res/")) {
                if (aVar != null) {
                    aVar.a(-3, handler);
                }
                return null;
            }
            Typeface e2 = c.e(resources, i, i2);
            if (e2 != null) {
                if (aVar != null) {
                    aVar.b(e2, handler);
                }
                return e2;
            }
            try {
                if (charSequence2.toLowerCase().endsWith(".xml")) {
                    c.a b2 = c.b(resources.getXml(i), resources);
                    if (b2 != null) {
                        return b.e.d.c.b(context, b2, resources, i, i2, aVar, handler, z);
                    }
                    Log.e("ResourcesCompat", "Failed to find font-family tag");
                    if (aVar != null) {
                        aVar.a(-3, handler);
                    }
                    return null;
                }
                Typeface c2 = b.e.d.c.c(context, resources, i, charSequence2, i2);
                if (aVar != null) {
                    if (c2 != null) {
                        aVar.b(c2, handler);
                    } else {
                        aVar.a(-3, handler);
                    }
                }
                return c2;
            } catch (XmlPullParserException e3) {
                Log.e("ResourcesCompat", "Failed to parse xml resource " + charSequence2, e3);
                if (aVar != null) {
                    aVar.a(-3, handler);
                }
                return null;
            } catch (IOException e4) {
                Log.e("ResourcesCompat", "Failed to read xml resource " + charSequence2, e4);
                if (aVar != null) {
                }
                return null;
            }
        } else {
            throw new Resources.NotFoundException("Resource \"" + resources.getResourceName(i) + "\" (" + Integer.toHexString(i) + ") is not a Font: " + typedValue);
        }
    }
}
