package androidx.lifecycle;

import androidx.lifecycle.e;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: ClassesInfoCache */
class a {

    /* renamed from: c  reason: collision with root package name */
    static a f704c = new a();

    /* renamed from: a  reason: collision with root package name */
    private final Map<Class, C0017a> f705a = new HashMap();

    /* renamed from: b  reason: collision with root package name */
    private final Map<Class, Boolean> f706b = new HashMap();

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.lifecycle.a$a  reason: collision with other inner class name */
    /* compiled from: ClassesInfoCache */
    public static class C0017a {

        /* renamed from: a  reason: collision with root package name */
        final Map<e.a, List<b>> f707a = new HashMap();

        /* renamed from: b  reason: collision with root package name */
        final Map<b, e.a> f708b;

        C0017a(Map<b, e.a> map) {
            this.f708b = map;
            for (Map.Entry<b, e.a> entry : map.entrySet()) {
                e.a value = entry.getValue();
                List<b> list = this.f707a.get(value);
                if (list == null) {
                    list = new ArrayList<>();
                    this.f707a.put(value, list);
                }
                list.add(entry.getKey());
            }
        }

        private static void b(List<b> list, g gVar, e.a aVar, Object obj) {
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    list.get(size).a(gVar, aVar, obj);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(g gVar, e.a aVar, Object obj) {
            b(this.f707a.get(aVar), gVar, aVar, obj);
            b(this.f707a.get(e.a.ON_ANY), gVar, aVar, obj);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClassesInfoCache */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        final int f709a;

        /* renamed from: b  reason: collision with root package name */
        final Method f710b;

        b(int i, Method method) {
            this.f709a = i;
            this.f710b = method;
            method.setAccessible(true);
        }

        /* access modifiers changed from: package-private */
        public void a(g gVar, e.a aVar, Object obj) {
            try {
                int i = this.f709a;
                if (i == 0) {
                    this.f710b.invoke(obj, new Object[0]);
                } else if (i == 1) {
                    this.f710b.invoke(obj, gVar);
                } else if (i == 2) {
                    this.f710b.invoke(obj, gVar, aVar);
                }
            } catch (InvocationTargetException e2) {
                throw new RuntimeException("Failed to call observer method", e2.getCause());
            } catch (IllegalAccessException e3) {
                throw new RuntimeException(e3);
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || b.class != obj.getClass()) {
                return false;
            }
            b bVar = (b) obj;
            if (this.f709a != bVar.f709a || !this.f710b.getName().equals(bVar.f710b.getName())) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return (this.f709a * 31) + this.f710b.getName().hashCode();
        }
    }

    a() {
    }

    private C0017a a(Class cls, Method[] methodArr) {
        int i;
        C0017a c2;
        Class superclass = cls.getSuperclass();
        HashMap hashMap = new HashMap();
        if (!(superclass == null || (c2 = c(superclass)) == null)) {
            hashMap.putAll(c2.f708b);
        }
        for (Class<?> cls2 : cls.getInterfaces()) {
            for (Map.Entry<b, e.a> entry : c(cls2).f708b.entrySet()) {
                e(hashMap, entry.getKey(), entry.getValue(), cls);
            }
        }
        if (methodArr == null) {
            methodArr = b(cls);
        }
        boolean z = false;
        for (Method method : methodArr) {
            n nVar = (n) method.getAnnotation(n.class);
            if (nVar != null) {
                Class<?>[] parameterTypes = method.getParameterTypes();
                if (parameterTypes.length <= 0) {
                    i = 0;
                } else if (parameterTypes[0].isAssignableFrom(g.class)) {
                    i = 1;
                } else {
                    throw new IllegalArgumentException("invalid parameter type. Must be one and instanceof LifecycleOwner");
                }
                e.a value = nVar.value();
                if (parameterTypes.length > 1) {
                    if (!parameterTypes[1].isAssignableFrom(e.a.class)) {
                        throw new IllegalArgumentException("invalid parameter type. second arg must be an event");
                    } else if (value == e.a.ON_ANY) {
                        i = 2;
                    } else {
                        throw new IllegalArgumentException("Second arg is supported only for ON_ANY value");
                    }
                }
                if (parameterTypes.length <= 2) {
                    e(hashMap, new b(i, method), value, cls);
                    z = true;
                } else {
                    throw new IllegalArgumentException("cannot have more than 2 params");
                }
            }
        }
        C0017a aVar = new C0017a(hashMap);
        this.f705a.put(cls, aVar);
        this.f706b.put(cls, Boolean.valueOf(z));
        return aVar;
    }

    private Method[] b(Class cls) {
        try {
            return cls.getDeclaredMethods();
        } catch (NoClassDefFoundError e2) {
            throw new IllegalArgumentException("The observer class has some methods that use newer APIs which are not available in the current OS version. Lifecycles cannot access even other methods so you should make sure that your observer classes only access framework classes that are available in your min API level OR use lifecycle:compiler annotation processor.", e2);
        }
    }

    private void e(Map<b, e.a> map, b bVar, e.a aVar, Class cls) {
        e.a aVar2 = map.get(bVar);
        if (aVar2 != null && aVar != aVar2) {
            Method method = bVar.f710b;
            throw new IllegalArgumentException("Method " + method.getName() + " in " + cls.getName() + " already declared with different @OnLifecycleEvent value: previous" + " value " + aVar2 + ", new value " + aVar);
        } else if (aVar2 == null) {
            map.put(bVar, aVar);
        }
    }

    /* access modifiers changed from: package-private */
    public C0017a c(Class cls) {
        C0017a aVar = this.f705a.get(cls);
        if (aVar != null) {
            return aVar;
        }
        return a(cls, null);
    }

    /* access modifiers changed from: package-private */
    public boolean d(Class cls) {
        if (this.f706b.containsKey(cls)) {
            return this.f706b.get(cls).booleanValue();
        }
        Method[] b2 = b(cls);
        for (Method method : b2) {
            if (((n) method.getAnnotation(n.class)) != null) {
                a(cls, b2);
                return true;
            }
        }
        this.f706b.put(cls, Boolean.FALSE);
        return false;
    }
}
