package b.a.k.a;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import androidx.appcompat.widget.j;
import java.util.WeakHashMap;

/* compiled from: AppCompatResources */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal<TypedValue> f973a = new ThreadLocal<>();

    /* renamed from: b  reason: collision with root package name */
    private static final WeakHashMap<Context, SparseArray<C0023a>> f974b = new WeakHashMap<>(0);

    /* renamed from: c  reason: collision with root package name */
    private static final Object f975c = new Object();

    /* access modifiers changed from: private */
    /* renamed from: b.a.k.a.a$a  reason: collision with other inner class name */
    /* compiled from: AppCompatResources */
    public static class C0023a {

        /* renamed from: a  reason: collision with root package name */
        final ColorStateList f976a;

        /* renamed from: b  reason: collision with root package name */
        final Configuration f977b;

        C0023a(ColorStateList colorStateList, Configuration configuration) {
            this.f976a = colorStateList;
            this.f977b = configuration;
        }
    }

    private static void a(Context context, int i, ColorStateList colorStateList) {
        synchronized (f975c) {
            WeakHashMap<Context, SparseArray<C0023a>> weakHashMap = f974b;
            SparseArray<C0023a> sparseArray = weakHashMap.get(context);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                weakHashMap.put(context, sparseArray);
            }
            sparseArray.append(i, new C0023a(colorStateList, context.getResources().getConfiguration()));
        }
    }

    private static ColorStateList b(Context context, int i) {
        C0023a aVar;
        synchronized (f975c) {
            SparseArray<C0023a> sparseArray = f974b.get(context);
            if (!(sparseArray == null || sparseArray.size() <= 0 || (aVar = sparseArray.get(i)) == null)) {
                if (aVar.f977b.equals(context.getResources().getConfiguration())) {
                    return aVar.f976a;
                }
                sparseArray.remove(i);
            }
            return null;
        }
    }

    public static ColorStateList c(Context context, int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            return context.getColorStateList(i);
        }
        ColorStateList b2 = b(context, i);
        if (b2 != null) {
            return b2;
        }
        ColorStateList f2 = f(context, i);
        if (f2 == null) {
            return androidx.core.content.a.c(context, i);
        }
        a(context, i, f2);
        return f2;
    }

    public static Drawable d(Context context, int i) {
        return j.n().p(context, i);
    }

    private static TypedValue e() {
        ThreadLocal<TypedValue> threadLocal = f973a;
        TypedValue typedValue = threadLocal.get();
        if (typedValue != null) {
            return typedValue;
        }
        TypedValue typedValue2 = new TypedValue();
        threadLocal.set(typedValue2);
        return typedValue2;
    }

    private static ColorStateList f(Context context, int i) {
        if (g(context, i)) {
            return null;
        }
        Resources resources = context.getResources();
        try {
            return androidx.core.content.c.a.a(resources, resources.getXml(i), context.getTheme());
        } catch (Exception e2) {
            Log.e("AppCompatResources", "Failed to inflate ColorStateList, leaving it to the framework", e2);
            return null;
        }
    }

    private static boolean g(Context context, int i) {
        Resources resources = context.getResources();
        TypedValue e2 = e();
        resources.getValue(i, e2, true);
        int i2 = e2.type;
        if (i2 < 28 || i2 > 31) {
            return false;
        }
        return true;
    }
}
