package b.e.h;

import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import java.util.concurrent.Callable;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.ReentrantLock;

/* compiled from: SelfDestructiveThread */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private final Object f1260a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private HandlerThread f1261b;

    /* renamed from: c  reason: collision with root package name */
    private Handler f1262c;

    /* renamed from: d  reason: collision with root package name */
    private int f1263d;

    /* renamed from: e  reason: collision with root package name */
    private Handler.Callback f1264e = new a();

    /* renamed from: f  reason: collision with root package name */
    private final int f1265f;
    private final int g;
    private final String h;

    /* compiled from: SelfDestructiveThread */
    class a implements Handler.Callback {
        a() {
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                c.this.a();
                return true;
            } else if (i != 1) {
                return true;
            } else {
                c.this.b((Runnable) message.obj);
                return true;
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: SelfDestructiveThread */
    public class b implements Runnable {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Callable f1267b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Handler f1268c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ d f1269d;

        /* compiled from: SelfDestructiveThread */
        class a implements Runnable {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Object f1270b;

            a(Object obj) {
                this.f1270b = obj;
            }

            public void run() {
                b.this.f1269d.a(this.f1270b);
            }
        }

        b(c cVar, Callable callable, Handler handler, d dVar) {
            this.f1267b = callable;
            this.f1268c = handler;
            this.f1269d = dVar;
        }

        public void run() {
            Object obj;
            try {
                obj = this.f1267b.call();
            } catch (Exception unused) {
                obj = null;
            }
            this.f1268c.post(new a(obj));
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: b.e.h.c$c  reason: collision with other inner class name */
    /* compiled from: SelfDestructiveThread */
    public class RunnableC0030c implements Runnable {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ AtomicReference f1272b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Callable f1273c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ ReentrantLock f1274d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ AtomicBoolean f1275e;

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Condition f1276f;

        RunnableC0030c(c cVar, AtomicReference atomicReference, Callable callable, ReentrantLock reentrantLock, AtomicBoolean atomicBoolean, Condition condition) {
            this.f1272b = atomicReference;
            this.f1273c = callable;
            this.f1274d = reentrantLock;
            this.f1275e = atomicBoolean;
            this.f1276f = condition;
        }

        public void run() {
            try {
                this.f1272b.set(this.f1273c.call());
            } catch (Exception unused) {
            }
            this.f1274d.lock();
            try {
                this.f1275e.set(false);
                this.f1276f.signal();
            } finally {
                this.f1274d.unlock();
            }
        }
    }

    /* compiled from: SelfDestructiveThread */
    public interface d<T> {
        void a(T t);
    }

    public c(String str, int i, int i2) {
        this.h = str;
        this.g = i;
        this.f1265f = i2;
        this.f1263d = 0;
    }

    private void c(Runnable runnable) {
        synchronized (this.f1260a) {
            if (this.f1261b == null) {
                HandlerThread handlerThread = new HandlerThread(this.h, this.g);
                this.f1261b = handlerThread;
                handlerThread.start();
                this.f1262c = new Handler(this.f1261b.getLooper(), this.f1264e);
                this.f1263d++;
            }
            this.f1262c.removeMessages(0);
            Handler handler = this.f1262c;
            handler.sendMessage(handler.obtainMessage(1, runnable));
        }
    }

    /* access modifiers changed from: package-private */
    public void a() {
        synchronized (this.f1260a) {
            if (!this.f1262c.hasMessages(1)) {
                this.f1261b.quit();
                this.f1261b = null;
                this.f1262c = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void b(Runnable runnable) {
        runnable.run();
        synchronized (this.f1260a) {
            this.f1262c.removeMessages(0);
            Handler handler = this.f1262c;
            handler.sendMessageDelayed(handler.obtainMessage(0), (long) this.f1265f);
        }
    }

    public <T> void d(Callable<T> callable, d<T> dVar) {
        c(new b(this, callable, new Handler(), dVar));
    }

    public <T> T e(Callable<T> callable, int i) {
        ReentrantLock reentrantLock = new ReentrantLock();
        Condition newCondition = reentrantLock.newCondition();
        AtomicReference atomicReference = new AtomicReference();
        AtomicBoolean atomicBoolean = new AtomicBoolean(true);
        c(new RunnableC0030c(this, atomicReference, callable, reentrantLock, atomicBoolean, newCondition));
        reentrantLock.lock();
        try {
            if (!atomicBoolean.get()) {
                return (T) atomicReference.get();
            }
            long nanos = TimeUnit.MILLISECONDS.toNanos((long) i);
            do {
                try {
                    nanos = newCondition.awaitNanos(nanos);
                } catch (InterruptedException unused) {
                }
                if (!atomicBoolean.get()) {
                    T t = (T) atomicReference.get();
                    reentrantLock.unlock();
                    return t;
                }
            } while (nanos > 0);
            throw new InterruptedException("timeout");
        } finally {
            reentrantLock.unlock();
        }
    }
}
