package b.e.k.y;

import android.graphics.Rect;
import android.os.Build;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.constraintlayout.widget.h;
import org.acra.ACRAConstants;

/* compiled from: AccessibilityNodeInfoCompat */
public class b {

    /* renamed from: a  reason: collision with root package name */
    private final AccessibilityNodeInfo f1332a;

    /* compiled from: AccessibilityNodeInfoCompat */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        final Object f1333a;

        a(Object obj) {
            this.f1333a = obj;
        }

        public static a a(int i, int i2, boolean z, int i3) {
            int i4 = Build.VERSION.SDK_INT;
            if (i4 >= 21) {
                return new a(AccessibilityNodeInfo.CollectionInfo.obtain(i, i2, z, i3));
            }
            if (i4 >= 19) {
                return new a(AccessibilityNodeInfo.CollectionInfo.obtain(i, i2, z));
            }
            return new a(null);
        }
    }

    /* renamed from: b.e.k.y.b$b  reason: collision with other inner class name */
    /* compiled from: AccessibilityNodeInfoCompat */
    public static class C0035b {

        /* renamed from: a  reason: collision with root package name */
        final Object f1334a;

        C0035b(Object obj) {
            this.f1334a = obj;
        }

        public static C0035b a(int i, int i2, int i3, int i4, boolean z, boolean z2) {
            int i5 = Build.VERSION.SDK_INT;
            if (i5 >= 21) {
                return new C0035b(AccessibilityNodeInfo.CollectionItemInfo.obtain(i, i2, i3, i4, z, z2));
            }
            if (i5 >= 19) {
                return new C0035b(AccessibilityNodeInfo.CollectionItemInfo.obtain(i, i2, i3, i4, z));
            }
            return new C0035b(null);
        }
    }

    private b(AccessibilityNodeInfo accessibilityNodeInfo) {
        this.f1332a = accessibilityNodeInfo;
    }

    private static String b(int i) {
        if (i == 1) {
            return "ACTION_FOCUS";
        }
        if (i == 2) {
            return "ACTION_CLEAR_FOCUS";
        }
        switch (i) {
            case 4:
                return "ACTION_SELECT";
            case 8:
                return "ACTION_CLEAR_SELECTION";
            case 16:
                return "ACTION_CLICK";
            case h.G:
                return "ACTION_LONG_CLICK";
            case h.p1:
                return "ACTION_ACCESSIBILITY_FOCUS";
            case 128:
                return "ACTION_CLEAR_ACCESSIBILITY_FOCUS";
            case 256:
                return "ACTION_NEXT_AT_MOVEMENT_GRANULARITY";
            case 512:
                return "ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY";
            case 1024:
                return "ACTION_NEXT_HTML_ELEMENT";
            case 2048:
                return "ACTION_PREVIOUS_HTML_ELEMENT";
            case 4096:
                return "ACTION_SCROLL_FORWARD";
            case ACRAConstants.DEFAULT_BUFFER_SIZE_IN_BYTES /*{ENCODED_INT: 8192}*/:
                return "ACTION_SCROLL_BACKWARD";
            case 16384:
                return "ACTION_COPY";
            case 32768:
                return "ACTION_PASTE";
            case 65536:
                return "ACTION_CUT";
            case 131072:
                return "ACTION_SET_SELECTION";
            default:
                return "ACTION_UNKNOWN";
        }
    }

    public static b z(AccessibilityNodeInfo accessibilityNodeInfo) {
        return new b(accessibilityNodeInfo);
    }

    public void a(int i) {
        this.f1332a.addAction(i);
    }

    public int c() {
        return this.f1332a.getActions();
    }

    public void d(Rect rect) {
        this.f1332a.getBoundsInParent(rect);
    }

    public void e(Rect rect) {
        this.f1332a.getBoundsInScreen(rect);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || b.class != obj.getClass()) {
            return false;
        }
        b bVar = (b) obj;
        AccessibilityNodeInfo accessibilityNodeInfo = this.f1332a;
        if (accessibilityNodeInfo == null) {
            if (bVar.f1332a != null) {
                return false;
            }
        } else if (!accessibilityNodeInfo.equals(bVar.f1332a)) {
            return false;
        }
        return true;
    }

    public CharSequence f() {
        return this.f1332a.getClassName();
    }

    public CharSequence g() {
        return this.f1332a.getContentDescription();
    }

    public CharSequence h() {
        return this.f1332a.getPackageName();
    }

    public int hashCode() {
        AccessibilityNodeInfo accessibilityNodeInfo = this.f1332a;
        if (accessibilityNodeInfo == null) {
            return 0;
        }
        return accessibilityNodeInfo.hashCode();
    }

    public CharSequence i() {
        return this.f1332a.getText();
    }

    public String j() {
        if (Build.VERSION.SDK_INT >= 18) {
            return this.f1332a.getViewIdResourceName();
        }
        return null;
    }

    public boolean k() {
        return this.f1332a.isCheckable();
    }

    public boolean l() {
        return this.f1332a.isChecked();
    }

    public boolean m() {
        return this.f1332a.isClickable();
    }

    public boolean n() {
        return this.f1332a.isEnabled();
    }

    public boolean o() {
        return this.f1332a.isFocusable();
    }

    public boolean p() {
        return this.f1332a.isFocused();
    }

    public boolean q() {
        return this.f1332a.isLongClickable();
    }

    public boolean r() {
        return this.f1332a.isPassword();
    }

    public boolean s() {
        return this.f1332a.isScrollable();
    }

    public boolean t() {
        return this.f1332a.isSelected();
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        Rect rect = new Rect();
        d(rect);
        sb.append("; boundsInParent: " + rect);
        e(rect);
        sb.append("; boundsInScreen: " + rect);
        sb.append("; packageName: ");
        sb.append(h());
        sb.append("; className: ");
        sb.append(f());
        sb.append("; text: ");
        sb.append(i());
        sb.append("; contentDescription: ");
        sb.append(g());
        sb.append("; viewId: ");
        sb.append(j());
        sb.append("; checkable: ");
        sb.append(k());
        sb.append("; checked: ");
        sb.append(l());
        sb.append("; focusable: ");
        sb.append(o());
        sb.append("; focused: ");
        sb.append(p());
        sb.append("; selected: ");
        sb.append(t());
        sb.append("; clickable: ");
        sb.append(m());
        sb.append("; longClickable: ");
        sb.append(q());
        sb.append("; enabled: ");
        sb.append(n());
        sb.append("; password: ");
        sb.append(r());
        sb.append("; scrollable: " + s());
        sb.append("; [");
        int c2 = c();
        while (c2 != 0) {
            int numberOfTrailingZeros = 1 << Integer.numberOfTrailingZeros(c2);
            c2 &= ~numberOfTrailingZeros;
            sb.append(b(numberOfTrailingZeros));
            if (c2 != 0) {
                sb.append(", ");
            }
        }
        sb.append("]");
        return sb.toString();
    }

    public void u(CharSequence charSequence) {
        this.f1332a.setClassName(charSequence);
    }

    public void v(Object obj) {
        if (Build.VERSION.SDK_INT >= 19) {
            this.f1332a.setCollectionInfo(obj == null ? null : (AccessibilityNodeInfo.CollectionInfo) ((a) obj).f1333a);
        }
    }

    public void w(Object obj) {
        if (Build.VERSION.SDK_INT >= 19) {
            this.f1332a.setCollectionItemInfo(obj == null ? null : (AccessibilityNodeInfo.CollectionItemInfo) ((C0035b) obj).f1334a);
        }
    }

    public void x(boolean z) {
        this.f1332a.setScrollable(z);
    }

    public AccessibilityNodeInfo y() {
        return this.f1332a;
    }
}
