package org.acra.collector;

import android.content.Context;
import android.os.Environment;
import androidx.core.content.a;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import org.acra.ACRA;
import org.acra.ACRAConstants;
import org.acra.ReportField;
import org.acra.builder.ReportBuilder;
import org.acra.config.ACRAConfiguration;
import org.acra.file.Directory;
import org.acra.log.ACRALog;
import org.acra.model.Element;
import org.acra.model.StringElement;
import org.acra.util.IOUtils;

/* access modifiers changed from: package-private */
public final class LogFileCollector extends Collector {
    private final ACRAConfiguration config;
    private final Context context;

    /* access modifiers changed from: package-private */
    /* renamed from: org.acra.collector.LogFileCollector$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$org$acra$file$Directory;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[Directory.values().length];
            $SwitchMap$org$acra$file$Directory = iArr;
            iArr[Directory.FILES.ordinal()] = 1;
            $SwitchMap$org$acra$file$Directory[Directory.EXTERNAL_FILES.ordinal()] = 2;
            $SwitchMap$org$acra$file$Directory[Directory.CACHE.ordinal()] = 3;
            $SwitchMap$org$acra$file$Directory[Directory.EXTERNAL_CACHE.ordinal()] = 4;
            $SwitchMap$org$acra$file$Directory[Directory.NO_BACKUP_FILES.ordinal()] = 5;
            $SwitchMap$org$acra$file$Directory[Directory.EXTERNAL_STORAGE.ordinal()] = 6;
            try {
                $SwitchMap$org$acra$file$Directory[Directory.ROOT.ordinal()] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    LogFileCollector(Context context2, ACRAConfiguration aCRAConfiguration) {
        super(ReportField.APPLICATION_LOG);
        this.context = context2;
        this.config = aCRAConfiguration;
    }

    private InputStream getStream(Directory directory, String str) {
        File file;
        if (directory == Directory.FILES_LEGACY) {
            directory = str.startsWith("/") ? Directory.ROOT : Directory.FILES;
        }
        switch (AnonymousClass1.$SwitchMap$org$acra$file$Directory[directory.ordinal()]) {
            case 1:
                file = this.context.getFilesDir();
                break;
            case 2:
                file = this.context.getExternalFilesDir(null);
                break;
            case 3:
                file = this.context.getCacheDir();
                break;
            case 4:
                file = this.context.getExternalCacheDir();
                break;
            case 5:
                file = a.g(this.context);
                break;
            case 6:
                file = Environment.getExternalStorageDirectory();
                break;
            default:
                file = new File("/");
                break;
        }
        File file2 = new File(file, str);
        if (!file2.exists()) {
            if (ACRA.DEV_LOGGING) {
                ACRALog aCRALog = ACRA.log;
                String str2 = ACRA.LOG_TAG;
                aCRALog.d(str2, "Log file '" + file2.getPath() + "' does not exist");
            }
        } else if (file2.isDirectory()) {
            ACRALog aCRALog2 = ACRA.log;
            String str3 = ACRA.LOG_TAG;
            aCRALog2.e(str3, "Log file '" + file2.getPath() + "' is a directory");
        } else if (!file2.canRead()) {
            ACRALog aCRALog3 = ACRA.log;
            String str4 = ACRA.LOG_TAG;
            aCRALog3.e(str4, "Log file '" + file2.getPath() + "' can't be read");
        } else {
            try {
                return new FileInputStream(file2);
            } catch (IOException unused) {
                ACRALog aCRALog4 = ACRA.log;
                String str5 = ACRA.LOG_TAG;
                aCRALog4.e(str5, "Could not open stream for log file '" + file2.getPath() + "'");
            }
        }
        return new ByteArrayInputStream(new byte[0]);
    }

    /* access modifiers changed from: package-private */
    @Override // org.acra.collector.Collector
    public Element collect(ReportField reportField, ReportBuilder reportBuilder) {
        try {
            return new StringElement(IOUtils.streamToString(getStream(this.config.applicationLogFileDir(), this.config.applicationLogFile()), this.config.applicationLogFileLines()));
        } catch (IOException unused) {
            return ACRAConstants.NOT_AVAILABLE;
        }
    }
}
