package org.acra.collector;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;
import org.acra.ACRA;
import org.acra.ACRAConstants;
import org.acra.ReportField;
import org.acra.builder.ReportBuilder;
import org.acra.config.ACRAConfiguration;
import org.acra.model.ComplexElement;
import org.acra.model.Element;
import org.acra.model.StringElement;
import org.json.JSONException;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public final class SharedPreferencesCollector extends Collector {
    private final ACRAConfiguration config;
    private final Context context;
    private final SharedPreferences prefs;

    /* renamed from: org.acra.collector.SharedPreferencesCollector$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$org$acra$ReportField;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[ReportField.values().length];
            $SwitchMap$org$acra$ReportField = iArr;
            iArr[ReportField.USER_EMAIL.ordinal()] = 1;
            $SwitchMap$org$acra$ReportField[ReportField.SHARED_PREFERENCES.ordinal()] = 2;
        }
    }

    SharedPreferencesCollector(Context context2, ACRAConfiguration aCRAConfiguration, SharedPreferences sharedPreferences) {
        super(ReportField.USER_EMAIL, ReportField.SHARED_PREFERENCES);
        this.context = context2;
        this.config = aCRAConfiguration;
        this.prefs = sharedPreferences;
    }

    private Element collect() {
        ComplexElement complexElement = new ComplexElement();
        TreeMap treeMap = new TreeMap();
        treeMap.put("default", PreferenceManager.getDefaultSharedPreferences(this.context));
        Iterator<String> it = this.config.additionalSharedPreferences().iterator();
        while (it.hasNext()) {
            String next = it.next();
            treeMap.put(next, this.context.getSharedPreferences(next, 0));
        }
        for (Map.Entry entry : treeMap.entrySet()) {
            String str = (String) entry.getKey();
            Map<String, ?> all = ((SharedPreferences) entry.getValue()).getAll();
            if (all.isEmpty()) {
                complexElement.put(str, "empty");
            } else {
                Iterator<String> it2 = all.keySet().iterator();
                while (it2.hasNext()) {
                    if (filteredKey(it2.next())) {
                        it2.remove();
                    }
                }
                complexElement.put(str, new JSONObject(all));
            }
        }
        return complexElement;
    }

    private boolean filteredKey(String str) {
        Iterator<String> it = this.config.excludeMatchingSharedPreferencesKeys().iterator();
        while (it.hasNext()) {
            if (str.matches(it.next())) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // org.acra.collector.Collector
    public Element collect(ReportField reportField, ReportBuilder reportBuilder) {
        int i = AnonymousClass1.$SwitchMap$org$acra$ReportField[reportField.ordinal()];
        if (i == 1) {
            String string = this.prefs.getString(ACRA.PREF_USER_EMAIL_ADDRESS, null);
            return string != null ? new StringElement(string) : ACRAConstants.NOT_AVAILABLE;
        } else if (i == 2) {
            try {
                return collect();
            } catch (JSONException e2) {
                ACRA.log.w(ACRA.LOG_TAG, "Could not collect shared preferences", e2);
                return ACRAConstants.NOT_AVAILABLE;
            }
        } else {
            throw new IllegalArgumentException();
        }
    }
}
