package org.acra.collector;

import android.content.Context;
import android.os.Build;
import java.io.File;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;
import java.util.Set;
import java.util.UUID;
import org.acra.ACRA;
import org.acra.ReportField;
import org.acra.builder.ReportBuilder;
import org.acra.log.ACRALog;
import org.acra.model.BooleanElement;
import org.acra.model.Element;
import org.acra.model.StringElement;
import org.acra.util.Installation;

/* access modifiers changed from: package-private */
public final class SimpleValuesCollector extends Collector {
    private final Context context;

    /* renamed from: org.acra.collector.SimpleValuesCollector$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$org$acra$ReportField;

        /* JADX WARNING: Can't wrap try/catch for region: R(20:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|(3:19|20|22)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(22:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|22) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[ReportField.values().length];
            $SwitchMap$org$acra$ReportField = iArr;
            iArr[ReportField.IS_SILENT.ordinal()] = 1;
            $SwitchMap$org$acra$ReportField[ReportField.REPORT_ID.ordinal()] = 2;
            $SwitchMap$org$acra$ReportField[ReportField.INSTALLATION_ID.ordinal()] = 3;
            $SwitchMap$org$acra$ReportField[ReportField.PACKAGE_NAME.ordinal()] = 4;
            $SwitchMap$org$acra$ReportField[ReportField.PHONE_MODEL.ordinal()] = 5;
            $SwitchMap$org$acra$ReportField[ReportField.ANDROID_VERSION.ordinal()] = 6;
            $SwitchMap$org$acra$ReportField[ReportField.BRAND.ordinal()] = 7;
            $SwitchMap$org$acra$ReportField[ReportField.PRODUCT.ordinal()] = 8;
            $SwitchMap$org$acra$ReportField[ReportField.FILE_PATH.ordinal()] = 9;
            try {
                $SwitchMap$org$acra$ReportField[ReportField.USER_IP.ordinal()] = 10;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    SimpleValuesCollector(Context context2) {
        super(ReportField.IS_SILENT, ReportField.REPORT_ID, ReportField.INSTALLATION_ID, ReportField.PACKAGE_NAME, ReportField.PHONE_MODEL, ReportField.ANDROID_VERSION, ReportField.BRAND, ReportField.PRODUCT, ReportField.FILE_PATH, ReportField.USER_IP);
        this.context = context2;
    }

    private String getApplicationFilePath() {
        File filesDir = this.context.getFilesDir();
        if (filesDir != null) {
            return filesDir.getAbsolutePath();
        }
        ACRALog aCRALog = ACRA.log;
        String str = ACRA.LOG_TAG;
        aCRALog.w(str, "Couldn't retrieve ApplicationFilePath for : " + this.context.getPackageName());
        return "Couldn't retrieve ApplicationFilePath";
    }

    private static String getLocalIpAddress() {
        StringBuilder sb = new StringBuilder();
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            boolean z = true;
            while (networkInterfaces.hasMoreElements()) {
                Enumeration<InetAddress> inetAddresses = networkInterfaces.nextElement().getInetAddresses();
                while (inetAddresses.hasMoreElements()) {
                    InetAddress nextElement = inetAddresses.nextElement();
                    if (!nextElement.isLoopbackAddress()) {
                        if (!z) {
                            sb.append('\n');
                        }
                        sb.append(nextElement.getHostAddress());
                        z = false;
                    }
                }
            }
        } catch (SocketException e2) {
            ACRA.log.w(ACRA.LOG_TAG, e2.toString());
        }
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    @Override // org.acra.collector.Collector
    public Element collect(ReportField reportField, ReportBuilder reportBuilder) {
        switch (AnonymousClass1.$SwitchMap$org$acra$ReportField[reportField.ordinal()]) {
            case 1:
                return new BooleanElement(reportBuilder.isSendSilently());
            case 2:
                return new StringElement(UUID.randomUUID().toString());
            case 3:
                return new StringElement(Installation.id(this.context));
            case 4:
                return new StringElement(this.context.getPackageName());
            case 5:
                return new StringElement(Build.MODEL);
            case 6:
                return new StringElement(Build.VERSION.RELEASE);
            case 7:
                return new StringElement(Build.BRAND);
            case 8:
                return new StringElement(Build.PRODUCT);
            case 9:
                return new StringElement(getApplicationFilePath());
            case 10:
                return new StringElement(getLocalIpAddress());
            default:
                throw new IllegalArgumentException();
        }
    }

    /* access modifiers changed from: package-private */
    @Override // org.acra.collector.Collector
    public boolean shouldCollect(Set<ReportField> set, ReportField reportField, ReportBuilder reportBuilder) {
        return reportField == ReportField.IS_SILENT || reportField == ReportField.REPORT_ID || super.shouldCollect(set, reportField, reportBuilder);
    }
}
