package org.acra.security;

import android.content.Context;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import org.acra.ACRA;
import org.acra.ACRAConstants;
import org.acra.util.IOUtils;

public abstract class BaseKeyStoreFactory implements KeyStoreFactory {
    private final String certificateType;

    /* renamed from: org.acra.security.BaseKeyStoreFactory$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$org$acra$security$BaseKeyStoreFactory$Type;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[Type.values().length];
            $SwitchMap$org$acra$security$BaseKeyStoreFactory$Type = iArr;
            iArr[Type.CERTIFICATE.ordinal()] = 1;
            $SwitchMap$org$acra$security$BaseKeyStoreFactory$Type[Type.KEYSTORE.ordinal()] = 2;
        }
    }

    public enum Type {
        CERTIFICATE,
        KEYSTORE
    }

    public BaseKeyStoreFactory() {
        this(ACRAConstants.DEFAULT_CERTIFICATE_TYPE);
    }

    @Override // org.acra.security.KeyStoreFactory
    public final KeyStore create(Context context) {
        BufferedInputStream bufferedInputStream;
        InputStream inputStream = getInputStream(context);
        if (inputStream != null) {
            bufferedInputStream = new BufferedInputStream(inputStream);
            try {
                KeyStore instance = KeyStore.getInstance(getKeyStoreType());
                int i = AnonymousClass1.$SwitchMap$org$acra$security$BaseKeyStoreFactory$Type[getStreamType().ordinal()];
                if (i == 1) {
                    Certificate generateCertificate = CertificateFactory.getInstance(this.certificateType).generateCertificate(bufferedInputStream);
                    instance.load(null, null);
                    instance.setCertificateEntry("ca", generateCertificate);
                } else if (i == 2) {
                    instance.load(bufferedInputStream, getPassword());
                }
                IOUtils.safeClose(bufferedInputStream);
                return instance;
            } catch (CertificateException e2) {
                ACRA.log.e(ACRA.LOG_TAG, "Could not load certificate", e2);
            } catch (KeyStoreException e3) {
                ACRA.log.e(ACRA.LOG_TAG, "Could not load keystore", e3);
            } catch (NoSuchAlgorithmException e4) {
                ACRA.log.e(ACRA.LOG_TAG, "Could not load keystore", e4);
            } catch (IOException e5) {
                ACRA.log.e(ACRA.LOG_TAG, "Could not load keystore", e5);
            } catch (Throwable th) {
                IOUtils.safeClose(bufferedInputStream);
                throw th;
            }
        }
        return null;
        IOUtils.safeClose(bufferedInputStream);
        return null;
    }

    /* access modifiers changed from: protected */
    public abstract InputStream getInputStream(Context context);

    /* access modifiers changed from: protected */
    public String getKeyStoreType() {
        return KeyStore.getDefaultType();
    }

    /* access modifiers changed from: protected */
    public char[] getPassword() {
        return null;
    }

    /* access modifiers changed from: protected */
    public Type getStreamType() {
        return Type.CERTIFICATE;
    }

    public BaseKeyStoreFactory(String str) {
        this.certificateType = str;
    }
}
