package org.acra.util;

import android.content.Context;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.util.UUID;
import org.acra.ACRA;
import org.acra.log.ACRALog;

public final class Installation {
    private static final String INSTALLATION = "ACRA-INSTALLATION";
    private static String sID;

    private Installation() {
    }

    public static synchronized String id(Context context) {
        String str;
        synchronized (Installation.class) {
            if (sID == null) {
                File file = new File(context.getFilesDir(), INSTALLATION);
                try {
                    if (!file.exists()) {
                        writeInstallationFile(file);
                    }
                    sID = readInstallationFile(file);
                } catch (IOException e2) {
                    ACRALog aCRALog = ACRA.log;
                    String str2 = ACRA.LOG_TAG;
                    aCRALog.w(str2, "Couldn't retrieve InstallationId for " + context.getPackageName(), e2);
                    return "Couldn't retrieve InstallationId";
                } catch (RuntimeException e3) {
                    ACRALog aCRALog2 = ACRA.log;
                    String str3 = ACRA.LOG_TAG;
                    aCRALog2.w(str3, "Couldn't retrieve InstallationId for " + context.getPackageName(), e3);
                    return "Couldn't retrieve InstallationId";
                }
            }
            str = sID;
        }
        return str;
    }

    /* JADX INFO: finally extract failed */
    private static String readInstallationFile(File file) {
        RandomAccessFile randomAccessFile = new RandomAccessFile(file, "r");
        byte[] bArr = new byte[((int) randomAccessFile.length())];
        try {
            randomAccessFile.readFully(bArr);
            IOUtils.safeClose(randomAccessFile);
            return new String(bArr);
        } catch (Throwable th) {
            IOUtils.safeClose(randomAccessFile);
            throw th;
        }
    }

    private static void writeInstallationFile(File file) {
        FileOutputStream fileOutputStream = new FileOutputStream(file);
        try {
            fileOutputStream.write(UUID.randomUUID().toString().getBytes());
        } finally {
            IOUtils.safeClose(fileOutputStream);
        }
    }
}
